$(() => {
const deployment = 'demo-mini';
const apiVersion = '2024-02-01';
const endpoint = 'https://public-api.devexpress.com/demo-openai';
const apiKey = 'DEMO';
const aiService = new AzureOpenAI({
dangerouslyAllowBrowser: true,
deployment,
endpoint,
apiVersion,
apiKey,
});
async function getAIResponse(messages, signal) {
const params = {
messages,
model: deployment,
max_completion_tokens: 1000,
temperature: 0.7,
};
const response = await aiService.chat.completions
.create(params, { signal });
const result = response.choices[0].message?.content;
return result;
}
async function getAIResponseRecursive(messages, signal) {
return getAIResponse(messages, signal)
.catch(async (error) => {
if (!error.message.includes('Connection error')) {
return Promise.reject(error);
}
DevExpress.ui.notify({
message: 'Our demo AI service reached a temporary request limit. Retrying in 30 seconds.',
width: 'auto',
type: 'error',
displayTime: 5000,
});
await new Promise((resolve) => setTimeout(resolve, 30000));
return getAIResponseRecursive(messages, signal);
});
}
const aiIntegration = new DevExpress.aiIntegration.AIIntegration({
sendRequest({ prompt }) {
const isValidRequest = JSON.stringify(prompt.user).length < 5000;
if (!isValidRequest) {
return {
promise: Promise.reject(new Error('Request is too long. Specify a shorter prompt.')),
abort: () => {},
};
}
const controller = new AbortController();
const signal = controller.signal;
const aiPrompt = [
{ role: 'system', content: prompt.system },
{ role: 'user', content: prompt.user },
];
const promise = getAIResponseRecursive(aiPrompt, signal);
const result = {
promise,
abort: () => {
controller.abort();
},
};
return result;
},
});
const popupContentTemplate = function (vehicle) {
const {
Source,
LicenseName,
Author,
Edits,
} = vehicle;
const sourceLink = `https://${Source}`;
return $('<div>').append(
$('<p>')
.append($('<b>').text('Image licensed under: '))
.append($('<span>').text(LicenseName)),
$('<p>')
.append($('<b>').text('Author: '))
.append($('<span>').text(Author)),
$('<p>')
.append($('<b>').text('Source link: '))
.append(
$('<a>', {
href: sourceLink,
target: '_blank',
})
.text(sourceLink),
),
$('<p>')
.append($('<b>').text('Edits: '))
.append($('<span>').text(Edits)),
);
};
const popup = $('#popup').dxPopup({
width: 360,
height: 260,
visible: false,
dragEnabled: false,
hideOnOutsideClick: true,
showCloseButton: true,
title: 'Image Info',
position: {
at: 'center',
my: 'center',
collision: 'fit',
},
}).dxPopup('instance');
const createTrademarkTemplate = (vehicle) => {
const {
ID,
Name,
TrademarkName,
} = vehicle;
const trademarkWrapper = $('<div>').addClass('trademark__wrapper');
const imgWrapper = $('<div>').addClass('trademark__img-wrapper');
const img = $('<img>').addClass('trademark__img');
img.attr({
src: `../../../../images/vehicles/image_${ID}.png`,
alt: `${TrademarkName} ${Name}`,
tabindex: 0,
role: 'button',
'aria-haspopup': 'dialog',
'aria-label': `${TrademarkName} ${Name} - press Enter for image info`,
});
const showPopup = () => {
popup.option('contentTemplate', () => popupContentTemplate(vehicle));
popup.show();
};
img.on('click', showPopup);
img.on('keydown', (e) => {
if (e.key === 'Enter') {
showPopup();
}
});
imgWrapper.append(img);
trademarkWrapper.append(imgWrapper);
const textWrapper = $('<div>').addClass('trademark__text-wrapper');
const trademarkText = $('<div>').addClass('trademark__text trademark__text--title').text(TrademarkName);
const nameText = $('<div>').addClass('trademark__text trademark__text--subtitle').text(Name);
textWrapper.append(trademarkText, nameText);
trademarkWrapper.append(textWrapper);
return trademarkWrapper;
};
const createCategoryTemplate = ({ CategoryName }) => $('<div>').addClass('category__wrapper').text(CategoryName);
$('#gridContainer').dxDataGrid({
dataSource: vehicles,
showBorders: true,
keyExpr: 'ID',
paging: {
pageSize: 10,
},
aiIntegration,
grouping: {
contextMenuEnabled: false,
},
columns: [
{
caption: 'Trademark',
width: 200,
cellTemplate: (container, options) => {
const vehicle = options.data;
const imageWrapper = createTrademarkTemplate(vehicle);
container.append(imageWrapper);
},
},
{
dataField: 'Price',
alignment: 'left',
format: 'currency',
width: 100,
},
{
caption: 'Category',
cellTemplate: (container, options) => {
const category = options.data;
const categoryWrapper = createCategoryTemplate(category);
container.append(categoryWrapper);
},
minWidth: 180,
},
{
dataField: 'Modification',
width: 180,
},
{
dataField: 'Horsepower',
width: 140,
},
{
dataField: 'BodyStyleName',
caption: 'Body Style',
width: 180,
},
{
name: 'AI column',
caption: 'AI Column',
type: 'ai',
ai: {
prompt: 'Identify the country where the vehicle model is manufactured. When looking up a country, consider vehicle brand, model, and specifications.',
mode: 'auto',
noDataText: 'No data',
},
width: 200,
fixed: true,
fixedPosition: 'right',
cssClass: 'ai__cell',
},
],
onAIColumnRequestCreating(e) {
e.data = e.data.map((item) => ({
ID: item.ID,
TrademarkName: item.TrademarkName,
Name: item.Name,
Modification: item.Modification,
}));
},
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<script src="js/dx.all.js?v=26.1.4"></script>
<script src="js/dx.ai-integration.js"></script>
<script type="module">
import { AzureOpenAI } from "https://esm.sh/openai@4.73.1";
window.AzureOpenAI = AzureOpenAI;
</script>
<script src="data.js"></script>
<script src="index.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="data-grid-demo">
<div id="gridContainer"></div>
<div id="popup"></div>
</div>
</div>
</body>
</html>
#gridContainer {
min-height: 560px;
}
#gridContainer .ai__cell {
background-color: var(--dx-datagrid-row-alternation-bg);
}
.trademark__wrapper {
display: flex;
align-items: center;
gap: 8px;
}
.trademark__img-wrapper {
width: 40px;
height: 40px;
border: var(--dx-border-width) solid var(--dx-color-border);
border-radius: var(--dx-border-radius);
cursor: pointer;
}
.trademark__img-wrapper img {
width: 100%;
height: 100%;
object-fit: cover;
object-position: center;
border-radius: var(--dx-border-radius);
}
.trademark__text-wrapper {
width: calc(100% - 48px);
}
.trademark__text {
margin: 0;
padding: 0;
white-space: nowrap;
overflow: hidden;
text-overflow: ellipsis;
}
.trademark__text--title {
font-weight: 600;
}
.trademark__text--subtitle {
font-weight: 400;
}
.category__wrapper {
display: inline-block;
padding: 2px 8px;
border-radius: 24px;
background-color: var(--dx-color-separator);
}
const vehicles = [
{
ID: 1,
TrademarkName: 'Toyota',
TrademarkID: 1,
Name: 'Venza',
Modification: 'LE FWD',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 28695,
MPGCity: 20,
MPGHighway: 26,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '181@5800',
Torque: '182@4200',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Toyota Venza is a mid-size crossover SUV (CUV) produced by Japanese automaker Toyota and unveiled at the 2008 North American International Auto Show in Detroit. Based on the Toyota FT-SX concept car unveiled at the 2005 North American International Auto Show, the Venza was primarily engineered at Toyota Technical Center in Ann Arbor, Michigan, and designed at the Calty Design studios in Newport Beach, California. It is currently slotted in size and price between the RAV4 compact crossover SUV, and the Highlander mid-size crossover SUV that has third-row seating. However, the Venza is an inch longer than the Highlander and for the 2009-2010 model years, the base Venza\'s MSRP was $1000 USD higher than the base Highlander.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage44',
},
{
ID: 2,
TrademarkName: 'Ford',
TrademarkID: 2,
Name: 'Edge',
Modification: 'SEL FWD 3.5L V6 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 31995,
MPGCity: 19,
MPGHighway: 27,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '285@6500',
Torque: '253@4000',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Ford Edge is a mid-size crossover SUV (CUV) manufactured by Ford, based on the Ford CD3 platform shared with the Mazda CX-9.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Vauxford',
Source: 'devexpress.com/carimage45',
},
{
ID: 3,
TrademarkName: 'Nissan',
TrademarkID: 3,
Name: 'Murano',
Modification: 'S FWD 3.5L V6 VA',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 29285,
MPGCity: 18,
MPGHighway: 24,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '260@6000',
Torque: '240@4400',
TransmissionSpeeds: -1,
TransmissionType: 1,
Description: 'The Nissan Murano is a mid-size crossover SUV first sold by Nissan in December 2002 as a 2003 model. Nissan introduced the Murano as its first crossover SUV for the United States and Canada. Initially designed at Nissan America in La Jolla, California, the first generation Murano was based on the Nissan FF-L platform first used by the third generation Altima. The single European version of the Murano began sales in 2004.[3] A convertible variant, marketed as the CrossCabriolet, premiered at the 2010 Los Angeles International Auto Show for model year 2011.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Minseong Kim',
Source: 'devexpress.com/carimage46',
},
{
ID: 4,
TrademarkName: 'Honda',
TrademarkID: 4,
Name: 'Crosstour',
Modification: 'EX 2WD 2.4L I4 5A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 28060,
MPGCity: 22,
MPGHighway: 31,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '192@7000',
Torque: '162@4400',
TransmissionSpeeds: 5,
TransmissionType: 1,
Description: 'The Crosstour (initially branded the Accord Crosstour) is a full-size crossover SUV manufactured by Japanese automaker Honda. Sales began in November 2009 for the 2010 model year.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage47',
},
{
ID: 5,
TrademarkName: 'Audi',
TrademarkID: 5,
Name: 'Q5',
Modification: '2.0L I4 8A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 36795,
MPGCity: 20,
MPGHighway: 28,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '211@4300',
Torque: '258@1500',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The Audi Q5 (Typ 8R) is a mid-sized utility vehicle (SUV) manufactured and marketed by Audi since 2008, using the Audi MLP platform (Modular Longitudinal Platform) which debuted on the 2007 Audi A5 coupé. The Q5 is smaller than the Audi Q7 and larger than the Audi Q3.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage76',
},
{
ID: 6,
TrademarkName: 'BMW',
TrademarkID: 6,
Name: 'X3',
Modification: '2.0L I4 8A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 39775,
MPGCity: 21,
MPGHighway: 28,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '240@5000',
Torque: '260@1250',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The BMW X3 is a crossover marketed by German automaker BMW since 2003. Based on the BMW 3 Series platform, and now in its second generation, BMW markets the crossover as a Sports Activity Vehicle, the company\'s proprietary descriptor for its X-line of vehicles. The first generation X3 was designed by BMW in conjunction with Magna Steyr of Graz, Austria—who also manufactured all X3s under contract to BMW. BMW manufactures the second generation X3 at their Spartanburg plant in South Carolina, United States.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage49',
},
{
ID: 7,
TrademarkName: 'Subaru',
TrademarkID: 7,
Name: 'Forester',
Modification: '2.5L H4 5M',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 22090,
MPGCity: 21,
MPGHighway: 27,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '170@5800',
Torque: '174@4100',
TransmissionSpeeds: 5,
TransmissionType: 2,
Description: 'The Subaru Forester is a crossover manufactured since 1997 by Fuji Heavy Industries and sold under the Subaru brand. Available in Japan from 1997, the Forester shares its platform with the Impreza. It was introduced in 1997 as a compact crossover wagon. After ten years of production, it grew to a mid-size crossover SUV. It has been crowned Motor Trend\'s 2014 SUV of the Year.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage50',
},
{
ID: 8,
TrademarkName: 'Volkswagen',
TrademarkID: 8,
Name: 'Tiguan',
Modification: 'S 2.0L I4 6M',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 23820,
MPGCity: 18,
MPGHighway: 26,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '200@5100',
Torque: '207@1700',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'Volkswagen Tiguan is a compact crossover vehicle (CUV) manufactured by German automaker Volkswagen using the PQ35 platform of the Volkswagen Golf. All Tiguans feature two-row seating and four-cylinder engines.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Alexander Migl',
Source: 'devexpress.com/carimage51',
},
{
ID: 9,
TrademarkName: 'Mitsubishi',
TrademarkID: 9,
Name: 'Outlander',
Modification: 'GT S-Awc 3.0L V6 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 29420,
MPGCity: 19,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '230@6250',
Torque: '215@3750',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Mitsubishi Outlander is a crossover manufactured by Japanese automaker Mitsubishi Motors. It was originally known as the Mitsubishi Airtrek when it was introduced in Japan in 2001, and was based on the Mitsubishi ASX concept vehicle exhibited at the 2001 North American International Auto Show. It was sold at Mitsubishi Japan dealership chain called Car Plaza. The ASX (Active Sports Crossover) represented Mitsubishi\'s approach to the industry wide SUV trend for retaining the all-season and off-road abilities offered by a high ground clearance and four-wheel drive, while still offering car-like levels of emissions, economy and size.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage52',
},
{
ID: 10,
TrademarkName: 'Mercedes-Benz',
TrademarkID: 10,
Name: 'Ml350',
Modification: '3.5L V6 7A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 48175,
MPGCity: 18,
MPGHighway: 23,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '302@6500',
Torque: '273@3500',
TransmissionSpeeds: 7,
TransmissionType: 1,
Description: 'The Mercedes-Benz M-Class is a luxury midsize sport utility vehicle (SUV), first offered in 1997 as a 1998 model, and built by the German automaker Mercedes-Benz. Gradually, the M-Class became a sales success in the United States and Mexico. In terms of size, it is slotted in between the smaller GLK-Class (based on the C-Class) and the larger GL-Class, with which it shares platforms. For a short time, between the years 1999 and 2002, the M-Class was also built by Magna Steyr in Graz, Austria, for the European market, before all production moved to the U.S. plant near Vance, Alabama.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'Attribution Only',
Author: 'M 93',
Source: 'devexpress.com/carimage53',
},
{
ID: 11,
TrademarkName: 'Mazda',
TrademarkID: 11,
Name: 'Cx-5',
Modification: 'Sport FWD 2.0L I4 6M',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 21790,
MPGCity: 26,
MPGHighway: 35,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '155@6000',
Torque: '150@4000',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Mazda CX-5 is a compact/small-family crossover SUV produced by Mazda starting in 2012 for the 2013 model year lineup. It is Mazda\'s first car featuring the new KODO - Soul of Motion Design language[9] first shown in the Shinari concept vehicle in May 2010. It is also the first vehicle featuring the company\'s full Skyactiv Technology suite, featuring a rigid, lightweight platform, combined with a new series of efficient engines and transmissions resulting in reduced emissions and fuel consumption. The Skyactiv Engine and Transmission Technologies were released in the 2012 Mazda3 compact sedan and hatchback.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage54',
},
{
ID: 12,
TrademarkName: 'KIA',
TrademarkID: 12,
Name: 'Sportage',
Modification: 'SX AWD 2.0L I4 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 29250,
MPGCity: 20,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '260@6000',
Torque: '269@1850',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Kia Sportage is a compact crossover SUV built by the Korean automaker Kia Motors since July 1993.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'JustAnotherCarDesigner',
Source: 'devexpress.com/carimage55',
},
{
ID: 13,
TrademarkName: 'Land Rover',
TrademarkID: 13,
Name: 'Range Rover Evoque',
Modification: '2.0L I4 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 42040,
MPGCity: 20,
MPGHighway: 28,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '240@5500',
Torque: '251@1750',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Range Rover Evoque is a compact sport utility vehicle (SUV) produced by the British manufacturer Land Rover, part of Tata\'s Jaguar Land Rover group. It has been produced since July 2011 in three and five-door versions, with both two-wheel and four-wheel drive. The Evoque is designed to appeal to urban buyers and meet requirements for lower CO2 emissions and fuel economy. The production vehicle is similar to the Land Rover LRX concept, which was unveiled at the North American International Auto Show in January 2008. The Evoque has been received positively by the automotive press for retaining the features, amenities, and off-road capabilities of a traditional Range Rover in a smaller package. Land Rover sold nearly 88,000 units of the Evoque in its first year of production.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Alexander Migl',
Source: 'devexpress.com/carimage56',
},
{
ID: 14,
TrademarkName: 'Chrysler',
TrademarkID: 14,
Name: 'Town & Country',
Modification: 'Limited 3.6L V6 6A',
CategoryID: 4,
CategoryName: 'Minivan',
Price: 42140,
MPGCity: 17,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 4,
BodyStyleName: 'Passenger Van',
Cylinders: 6,
Horsepower: '283@6400',
Torque: '260@4400',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Chrysler Town & Country is a luxury minivan sold worldwide by the Chrysler division of Chrysler Group LLC. The model was introduced in 1989 as a traditional minivan.\nThe Town & Country has evolved through five generations, offered variously in long-wheelbase (LWB) and short-wheelbase (SWB) versions — though currently only in LWB form. Anniversary editions have included the 1994 \'\"10 Year Anniversary Edition\"\" and the 2004 Platinum Series, marking the Chrysler twentieth year of minivan production.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'crash71100',
Source: 'devexpress.com/carimage71',
},
{
ID: 15,
TrademarkName: 'Dodge',
TrademarkID: 15,
Name: 'Durango',
Modification: 'SXT RWD 3.6L V6 5A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 30790,
MPGCity: 16,
MPGHighway: 23,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '290@6400',
Torque: '260@4800',
TransmissionSpeeds: 5,
TransmissionType: 1,
Description: 'The Dodge Durango is a sport utility vehicle (SUV) produced by the Dodge division of Chrysler. The first two generations were very similar in that both were based on the Dodge Dakota, both featured a body-on-frame construction and both were produced at the Newark Assembly plant in Newark, Delaware. However, they did differ in that the first generation was classified as a mid-size SUV while, the second generation was classified as a full-size SUV.\nThe third generation Durango however is built on the same platform as the Jeep Grand Cherokee, features unibody construction and is currently being assembled at the Jefferson North Assembly plant in Detroit, Michigan. However, it does retain the previous generation\'s classification as a full-size SUV.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'DestinationFearFan',
Source: 'devexpress.com/carimage57',
},
{
ID: 16,
TrademarkName: 'Lexus',
TrademarkID: 16,
Name: 'LX 570',
Modification: '5.7L V8 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 82425,
MPGCity: 12,
MPGHighway: 17,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '383@5600',
Torque: '403@3600',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Lexus LX is a full-size luxury sport utility vehicle (SUV) sold by Lexus since 1996. Three generations of the Lexus LX have been produced, all based heavily on the long-running Toyota Land Cruiser series of SUVs. The first generation LX 450 debuted in 1996 as Lexus\' first entry into the SUV market. Its successor, the LX 470, premiered in 1998 and was produced until 2006. The latest third generation Lexus LX 570 debuted at the New York International Auto Show in April 2007 as a complete redesign for the 2008 model year. The LX 570 is not offered to the Japanese market, but is sold by Lexus in Russia, Brunei, Australia, New Zealand, Dominican Republic, China, Indonesia, Philippines, Taiwan, Middle East, and North America; in those regions, the related Land Cruiser is also sold by Toyota. The LX is not available in the rest of the world, where the Toyota Land Cruiser 200 is sold.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'HJUdall',
Source: 'devexpress.com/carimage58',
},
{
ID: 17,
TrademarkName: 'Suzuki',
TrademarkID: 17,
Name: 'Grand Vitara',
Modification: 'Limited 4WD 2.4L I4 4A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 26799,
MPGCity: 19,
MPGHighway: 23,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '166@6000',
Torque: '162@4000',
TransmissionSpeeds: 4,
TransmissionType: 1,
Description: 'The Suzuki Escudo (known as Sidekick in USA, Vitara in most of Western Europe, Bolivia, Ecuador, the Philippines, Hong Kong, Taiwan as well as North America after 1999 and the Grand Vitara in the United Kingdom, Eastern Europe, parts of South Asia, the Caribbean, South Africa, Iran, Canada, and Australia) is an off-road vehicle that has been in production since 1988. The North American version was produced as a joint venture between Suzuki and General Motors known as CAMI. The vehicle was a follow-up to the popular SJ413 and Samurai. Also, this vehicle, while sold in North America, was designed to slot above the Samurai. A larger version is also made, known as the Suzuki Grand Escudo (known as Grand Vitara XL-7 in other markets). The name is derived from the \'\"escudo\"\", the monetary unit of Portugal until the Euro was adopted.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage59',
},
{
ID: 18,
TrademarkName: 'Toyota',
TrademarkID: 1,
Name: 'Tundra 4x4 Reg. Cab',
Modification: '5.7L V8',
CategoryID: 3,
CategoryName: 'Truck',
Price: 31645,
MPGCity: 13,
MPGHighway: 17,
Doors: 2,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 8,
Horsepower: '381@5600',
Torque: '401@3600',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Toyota Tundra is a full-size pickup truck manufactured in the US by the Japanese manufacturer Toyota since May 1999. The Tundra was eventually nominated for the North American Truck of the Year award and was Motor Trend magazine\'s Truck of the Year in 2000 and 2008. Currently the Tundra is assembled in San Antonio, Texas, USA where production was consolidated in 2008.\nThe first generation Tundra had many similarities with the older Toyota T100 and the compact Toyota Tacoma. The biggest of those similarities was the shared use of a 3.4-liter V6 engine which was the top of the line engine in both the Tacoma and T100. The V6 engine would serve as the base engine for the Tundra, while a second powerplant, a first for a Toyota truck, a V8 engine sized at 4.7-liters was added to the lineup.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Matti Blume',
Source: 'devexpress.com/carimage72',
},
{
ID: 19,
TrademarkName: 'Chevrolet',
TrademarkID: 18,
Name: 'Silverado 1500 Regular CAB 4WD',
Modification: 'LT Standard Box 4.8L V8 4A',
CategoryID: 3,
CategoryName: 'Truck',
Price: 33650,
MPGCity: 13,
MPGHighway: 18,
Doors: 2,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 8,
Horsepower: '302@5600',
Torque: '305@4600',
TransmissionSpeeds: 4,
TransmissionType: 1,
Description: 'The Chevrolet Silverado (along with its GMC counterpart, the GMC Sierra), is the latest line of full-size pickup trucks from General Motors.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'DestinationFearFan',
Source: 'devexpress.com/carimage19',
},
{
ID: 20,
TrademarkName: 'Ford',
TrademarkID: 2,
Name: 'F-150 Regular CAB 4X4',
Modification: '3.7L V6 6A',
CategoryID: 3,
CategoryName: 'Truck',
Price: 31900,
MPGCity: 16,
MPGHighway: 21,
Doors: 2,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 6,
Horsepower: '302@6500',
Torque: '278@4000',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The F-Series is a series of full-size pickup trucks from Ford Motor Company which has been sold continuously for over six decades. The most popular variant of the F-Series is the F-150. It was the best-selling vehicle in the United States for 17 years, currently (2007) the best-selling pick-up for 37 years, and the best selling vehicle in Canada, though this does not include combined sales of GM pick-up trucks. In the tenth generation of the F-series, the F-250 and F-350 changed body style in 1998 and joined the Super Duty series.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Alexander-93',
Source: 'devexpress.com/carimage73',
},
{
ID: 21,
TrademarkName: 'RAM',
TrademarkID: 19,
Name: '1500 Regular CAB 4X4',
Modification: 'SLT SWB 3.6L V6 8A',
CategoryID: 3,
CategoryName: 'Truck',
Price: 32825,
MPGCity: 16,
MPGHighway: 23,
Doors: 2,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 6,
Horsepower: '305@6350',
Torque: '269@4800',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The Ram (formerly the Dodge Ram) is a full-size pickup truck manufactured by the Chrysler Group LLC. As of 2010, it has been sold under the Ram Trucks brand. Previously, Ram was part of the Dodge lineup of light trucks. The name Ram was first used in 1981 on the redesigned Ram and Power Ram following the retiring and rebadging of the Dodge D Series pickup trucks as well as B-series vans. The truck is named for the Ram hood ornament that first appeared on Dodge vehicles in 1933. The Ram Truck is in its fourth generation as of the 2009 model year.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Ruben de Rijcke',
Source: 'devexpress.com/carimage74',
},
{
ID: 22,
TrademarkName: 'Toyota',
TrademarkID: 1,
Name: 'Camry',
Modification: 'XLE 3.5L V6 6AT',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 31260,
MPGCity: 21,
MPGHighway: 31,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '268@6200',
Torque: '248@4700',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Toyota Camry is a series of mid-size automobiles manufactured by Toyota since 1982, and sold in the majority of automotive markets throughout the world. Between 1980 and 1982, the \'\"Camry\"\" nameplate was delegated to a four-door sedan, known as the Toyota Celica Camry.\nThe name \"\"Camry\"\" is an Anglicized phonetic transcription of the Japanese word kanmuri, meaning \"\"crown\"\". This follows Toyota\'s naming tradition of using the crown name for primary models starting with the Toyota Crown in 1955, continuing with the Toyota Corona and Corolla; the Latin words for \"\"crown\"\" and \"\"small crown\"\", respectively. In Japan, it is exclusive to Toyota Corolla Store retail dealerships.\nAs of May 2012, the Camry is the best-selling passenger car in North America. The Camry also sells very well in Australia, and a number of Asian markets. Despite international success, the Camry has not sold as well in its home market Japan, where the only powertrain offered is a hybrid. In Europe, sales ended in 2004, where the similarly sized Toyota Avensis is offered instead.[4] For the East and Southeast Asian markets, high-specification Camry models are seen as executive cars. Since the XV30 series, the Camrys sold in these markets have sported revised front- and rear-end treatment. For the 2006 onwards XV40 version, the same was done, although the Australian-designed and Camry-derived Toyota Aurion (XV40) was the donor model. The Aurion features revised front- and rear-end styling and changes to the interior, but has the same powertrains as the Camry in various markets.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage25',
},
{
ID: 23,
TrademarkName: 'Nissan',
TrademarkID: 3,
Name: 'Altima',
Modification: 'SL 3.5L V6 VA',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 31350,
MPGCity: 22,
MPGHighway: 31,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '270@6400',
Torque: '251@4400',
TransmissionSpeeds: -1,
TransmissionType: 1,
Description: 'The Nissan Altima is a mid-size car manufactured by Nissan, and is a continuation of the Nissan Bluebird line, which began in 1957. The Altima primarily competes in the mainstream mid-size sedan class in the United States against its main rivals, the Toyota Camry and Honda Accord, managing to become the second best-selling car in the United States in 2011.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage26',
},
{
ID: 24,
TrademarkName: 'Honda',
TrademarkID: 4,
Name: 'Accord',
Modification: 'Ex-L V-6 6-Spd AT 3.5L V6 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 30860,
MPGCity: 21,
MPGHighway: 34,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '278@6200',
Torque: '252@4900',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Honda Accord is a series of automobiles manufactured by Honda since 1976, best known for its four-door sedan variant which has been one of the best-selling cars in the United States since 1989. The Accord nameplate has been applied to a variety of vehicles worldwide, including coupes, wagons, hatchbacks and a crossover.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 3.0',
Author: 'Gold Pony',
Source: 'devexpress.com/carimage27',
},
{
ID: 25,
TrademarkName: 'Audi',
TrademarkID: 5,
Name: 'A6',
Modification: '2.0L I4 VA',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 43095,
MPGCity: 25,
MPGHighway: 33,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 4,
Horsepower: '211@4300',
Torque: '258@1500',
TransmissionSpeeds: -1,
TransmissionType: 1,
Description: 'The Audi A6 is an executive car made by the German automaker Audi AG, now in its fourth generation. As the successor to the Audi 100, the A6 is manufactured in Neckarsulm, Germany – and is available in saloon and wagon configurations, the latter marketed by Audi as the Avant.\nAll generations of the A6 have offered either front-wheel drive or Torsen-based four-wheel drive – marketed by Audi as their Quattro system. Second- and third- generation A6 models have shared their platform with the company\'s Allroad models.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 4.0',
Author: 'OWS Photography',
Source: 'devexpress.com/carimage28',
},
{
ID: 26,
TrademarkName: 'Toyota',
TrademarkID: 1,
Name: 'Sienna',
Modification: 'LE 8 Passenger 3.5L V6 6A',
CategoryID: 4,
CategoryName: 'Minivan',
Price: 30980,
MPGCity: 18,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 4,
BodyStyleName: 'Passenger Van',
Cylinders: 6,
Horsepower: '266@6200',
Torque: '245@4700',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Toyota Sienna is a family minivan manufactured by Toyota at the Toyota Motor Manufacturing Indiana facility, in Princeton, Indiana, United States, for the North American market. It replaced the first-generation Previa van in 1997 with a more conventional front wheel drive layout and shares a heavily revised platform with the Camry. Both the Previa and original Sienna were smaller than the other minivans they competed against, but a redesign in 2004 increased the dimensions to match those of its competitors. The Sienna is currently the only minivan in its class to offer all-wheel-drive. It was redesigned a second time for the 2011 model year. The third generation Sienna was put on sale in the US in February 2010 and is the first Sienna to ever receive a \'\"Top Safety Pick\"\" award from the Insurance Institute for Highway Safety.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage15',
},
{
ID: 27,
TrademarkName: 'Honda',
TrademarkID: 4,
Name: 'Odyssey',
Modification: 'EX 3.5L V6 5A',
CategoryID: 4,
CategoryName: 'Minivan',
Price: 32655,
MPGCity: 18,
MPGHighway: 27,
Doors: 4,
BodyStyleID: 4,
BodyStyleName: 'Passenger Van',
Cylinders: 6,
Horsepower: '248@5700',
Torque: '250@4800',
TransmissionSpeeds: 5,
TransmissionType: 1,
Description: 'The Honda Odyssey is a minivan manufactured by Japanese automaker Honda since 1994, marketed worldwide, and now in its fourth generation in North America and Japan.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage16',
},
{
ID: 28,
TrademarkName: 'Dodge',
TrademarkID: 15,
Name: 'Grand Caravan',
Modification: 'SXT 3.6L V6 6A',
CategoryID: 4,
CategoryName: 'Minivan',
Price: 27690,
MPGCity: 17,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 4,
BodyStyleName: 'Passenger Van',
Cylinders: 6,
Horsepower: '283@6400',
Torque: '260@4400',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Dodge Caravan is a family minivan manufactured by Chrysler Group LLC and sold under its Dodge brand. The Caravan was introduced for the 1984 model year along with its nameplate variant, the Plymouth Voyager (1984-2001). In 1987, the Dodge Grand Caravan long-wheelbase (LWB) model was introduced and sold alongside the short-wheelbase (SWB) Caravan. The SWB model was discontinued after the 2007 model year; and, since the 2008 model year, the van has been sold only under the Grand Caravan nameplate.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Christopher Ziemnowicz',
Source: 'devexpress.com/carimage17',
},
{
ID: 29,
TrademarkName: 'Ford',
TrademarkID: 2,
Name: 'Taurus',
Modification: 'SHO AWD 3.5L V6 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 40095,
MPGCity: 17,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '365@5500',
Torque: '350@1500',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Ford Taurus is an automobile manufactured by the Ford Motor Company in the United States. Originally introduced in the 1986 model year, it has remained in near-continuous production for more than two decades, making it the fourth oldest nameplate that is currently sold in the North American Ford lineup. It has had a more upscale Mercury branded version entitled the Sable (1986–2005; 2008–2009), as well as a performance variant, the Ford Taurus SHO (1989–1999 and 2010–); in addition, it served as the basis for the first-ever front-wheel drive Lincoln Continental (1988–1994). It was a front-wheel drive mid-size car until 1999, and has been a full-size car since 2000, and available in front- or all-wheel drive since 2008. It has been built on the D3 platform since 2008.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Anonymousfox36',
Source: 'devexpress.com/carimage29',
},
{
ID: 30,
TrademarkName: 'Toyota',
TrademarkID: 1,
Name: 'Sequoia',
Modification: '2WD 5dr. SR5 5.7L V8',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 43450,
MPGCity: 13,
MPGHighway: 18,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '381@5600',
Torque: '401@3600',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Toyota Sequoia is a full size sport utility vehicle (SUV) manufactured by Toyota and derived from its Tundra pickup truck.\nIntroduced in 2000 and manufactured at Toyota Motor Manufacturing Indiana in Princeton, the Sequoia is the first vehicle from a Japanese marque in the popular mainstream full-sized SUV class in North America, and initial planning done by first-generation Sequoia chief engineer Kaoru Hosegawa aimed the Sequoia directly at the Ford Expedition, also competing with the Chevrolet Tahoe and the later Nissan Armada.\nThe Sequoia slots in above the 4Runner and below the premium Land Cruiser in the North American Toyota SUV lineup, and is the largest SUV currently being produced under the Toyota brand, with the only larger SUV in Toyota\'s history being the Mega Cruiser.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'deathpallie325',
Source: 'devexpress.com/carimage60',
},
{
ID: 31,
TrademarkName: 'Chevrolet',
TrademarkID: 18,
Name: 'Tahoe',
Modification: 'LS 2WD 5.3L V8 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 41400,
MPGCity: 15,
MPGHighway: 21,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '320@5400',
Torque: '335@4000',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Chevrolet Tahoe (and very similar GMC Yukon) are full-size SUVs from General Motors. Chevrolet and GMC sold two different-sized SUVs under their Blazer/Jimmy model names through the early 1990s. This situation changed when GMC rebadged the full-size Jimmy as the Yukon in 1992. Chevrolet waited until 1995 to rebadge the redesigned mid-size S-10 Blazer as the Blazer, renaming the full-size Blazer as the Tahoe. The Tahoe and Yukon gained a new 4-door model slotting in size between the 2-door models and the longer wheelbase and higher passenger capacity Chevrolet Suburban and newly named Yukon XL.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'HJUdall',
Source: 'devexpress.com/carimage61',
},
{
ID: 32,
TrademarkName: 'Ford',
TrademarkID: 2,
Name: 'Expedition',
Modification: 'XLT 4X2 5.4L V8 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 41600,
MPGCity: 14,
MPGHighway: 20,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '310@5100',
Torque: '365@3600',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Ford Expedition is a full-size SUV built by the Ford Motor Company. Introduced in 1996 for the 1997 model year as a replacement to the Ford Bronco, it was previously slotted between the smaller Ford Explorer and the larger Ford Excursion, but as of the 2005 model year, it is Ford\'s largest and last truck-based, off-road and tow-capable SUV. The Expedition is based heavily on the Ford F-150 pickup and continues to share various components (transmissions, electronics, chassis control systems, towing features, etc.) with the full-size half-ton pickup truck. Ford currently offers the standard regular-sized model and the longer EL/Max model, succeeding the Excursion which was discontinued in 2005.\nThe Expedition is the third Ford vehicle to use the \'\"Expedition\"\" name, as it was originally used on a 1992 concept vehicle, the F-150 Eddie Bauer Expedition. The name was subsequently and briefly used for one of the Explorer Sport (two door)\'s trim levels during the 1995 model year, before finding a home on the full-size SUV for the 1997 model year. All Expeditions were originally built in Wayne, Michigan. In 2009, Ford shifted its current third generation (2007–present) model production to Louisville, Kentucky when Ford converted the Wayne assembly plant to begin further production of the Focus. A fourth generation will arrive to dealers in either 2014 for the 2015 model year, or 2015 for the 2016 model year.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'Public Domain',
Author: 'Bull-Doser',
Source: 'devexpress.com/carimage62',
},
{
ID: 33,
TrademarkName: 'Mercedes-Benz',
TrademarkID: 10,
Name: 'G550',
Modification: '5.5L V8 7A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 113905,
MPGCity: 12,
MPGHighway: 15,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '388@6000',
Torque: '391@2800',
TransmissionSpeeds: 7,
TransmissionType: 1,
Description: 'The Mercedes-Benz G-Class or G-Wagen (as it was called from 1979 to 1994), short for Geländewagen (or cross-country vehicle), is a four-wheel drive vehicle / sport utility vehicle (SUV) produced by Steyr-Puch (now Magna Steyr) in Austria for German automaker Mercedes-Benz. The G-wagen is characterized by its boxy styling and body-on-frame construction. It uses three fully locking differentials, one of the few vehicles to have such a feature. Despite the introduction of an intended replacement, the unibody crossover SUV Mercedes-Benz GL-Class in 2006, the G-Class is still in production and is the longest produced Mercedes-Benz in Daimler\'s history, with a span of 32 years.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 3.0',
Author: 'Alekc2m',
Source: 'devexpress.com/carimage75',
},
{
ID: 34,
TrademarkName: 'Toyota',
TrademarkID: 1,
Name: 'Avalon',
Modification: 'XLE 3.5L V6 6AT',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 31785,
MPGCity: 21,
MPGHighway: 31,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '268@6200',
Torque: '248@4700',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Toyota Avalon is a full-size car produced by Toyota in the United States, and is the flagship sedan of Toyota in the United States, Canada, Puerto Rico and the Middle East. It was also produced in Australia from 2000 until July 2005 when it was replaced in November 2006 by the Toyota Aurion. The first Toyota Avalon rolled off the assembly line in Georgetown, Kentucky on February 21, 1994 as a 1995 model. A second-generation model was released in the United States and Japan in 1999. In 2000, the Toyota Avalon was the first Toyota model to feature a non-touch screen navigation system.\nToyota marketed the Avalon as filling the gap left by the discontinuation of the Toyota Cressida in the American market in 1992. While the Cressida was an upper-level midsize rear-wheel drive car with a straight-six engine, the Avalon is front-wheel drive, powered by a V6 engine. In recent years, there has been considerable overlapping with its platform mates, the Toyota Camry V6 and the Lexus ES, although the third generation Avalon was distinguished by offering extra legroom. For its fourth generation, the Avalon was introduced with a platform that is directly shared with the Lexus ES.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage30',
},
{
ID: 35,
TrademarkName: 'Audi',
TrademarkID: 5,
Name: 'S8',
Modification: '4.0L V8 8A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 110895,
MPGCity: 15,
MPGHighway: 26,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 8,
Horsepower: '520@6000',
Torque: '481@5500',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The Audi A8 is a four-door, full-size, luxury sedan car manufactured and marketed by the German automaker Audi since 1994. Succeeding the Audi V8, and now in its third generation, the A8 has been offered with both front- or permanent all-wheel drive—and in short- and long-wheelbase variants. The first two generations employed the Volkswagen Group D platform, with the current generation deriving the MLB platform. After the original model\'s 1994 release, Audi released the second generation in 2002, and the third and current iteration in 2009.\nNotable for being the first mass-market car with an aluminium chassis, all A8 models have utilised this construction method co-developed with Alcoa and marketed as the Audi Space Frame.\nA mechanically-upgraded, high-performance version of the A8 debuted in 1996 as the Audi S8. Produced exclusively at Audi\'s Neckarsulm plant, unlike the donor A8 model, the S8 has been available only in short-wheelbase form and is fitted standard with Audi\'s quattro all-wheel drive system.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Damian B Oh',
Source: 'devexpress.com/carimage31',
},
{
ID: 36,
TrademarkName: 'Nissan',
TrademarkID: 3,
Name: 'Maxima',
Modification: 'SV 3.5L V6 VA',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 34030,
MPGCity: 19,
MPGHighway: 26,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '290@6400',
Torque: '261@4400',
TransmissionSpeeds: -1,
TransmissionType: 1,
Description: 'The Nissan Maxima is an entry-level luxury car manufactured by Nissan, marketed as the \'\"four-door sports car\"\". The origins of the Maxima began in July 1976 as the Datsun 810, an upscale six-cylinder version of the Bluebird, and was spun into its own line in 1981, having been made continuously since then. The \"\"Maxima\"\" name was applied gradually, beginning in 1981. Most pre-2004 Maximas were built in Oppama, Japan, until the current North American Maximas started being assembled in Smyrna, Tennessee.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage32',
},
{
ID: 37,
TrademarkName: 'BMW',
TrademarkID: 6,
Name: '760li',
Modification: '6.0L V12 8A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 141625,
MPGCity: 13,
MPGHighway: 20,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 12,
Horsepower: '536@5250',
Torque: '550@1500',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The BMW 7 Series is a line of full-size luxury vehicles produced by the German automaker BMW. Introduced in 1977, it is BMW\'s flagship car and is only available as a sedan or extended-length limousine. The 7 Series traditionally introduces technologies and exterior design themes before they trickle down to smaller sedans in BMW\'s lineup.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage33',
},
{
ID: 38,
TrademarkName: 'Audi',
TrademarkID: 5,
Name: 'TT RS',
Modification: '2.5L I5 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 58095,
MPGCity: 18,
MPGHighway: 25,
Doors: 2,
BodyStyleID: 1,
BodyStyleName: 'Convertible',
Cylinders: 5,
Horsepower: '360@5500',
Torque: '343@1650',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Audi TT is a small two-door sports car marketed by Volkswagen Group subsidiary Audi since 1998, both assembled by the Audi subsidiary Audi Hungaria Motor Kft. in Győr, Hungary, using bodyshells manufactured and painted at Audi\'s Ingolstadt plant.\nFor each of its two generations, the TT has been available as a 2+2 Coupé and as a two-seater roadster employing consecutive generations of the Volkswagen Group A platform, starting with the A4 (PQ34). As a result of this platform-sharing, the Audi TT has identical powertrain and suspension layouts as its related platform-mates; including a front-mounted transversely oriented engine, front-wheel drive or quattro four-wheel drive system, and fully independent front suspension using MacPherson struts.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 2.0 DE',
Author: 'Lothar Spurzem',
Source: 'devexpress.com/carimage02',
},
{
ID: 39,
TrademarkName: 'Audi',
TrademarkID: 5,
Name: 'Allroad',
Modification: '2.0L I4 8A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 40495,
MPGCity: 20,
MPGHighway: 27,
Doors: 4,
BodyStyleID: 8,
BodyStyleName: 'Wagon',
Cylinders: 4,
Horsepower: '211@4300',
Torque: '258@1500',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The Audi allroad quattro is an automotive nameplate used by the German automobile manufacturer Audi, a division of the Volkswagen Group since 1999. Audi has utilised the name \'\"allroad quattro\"\" to signify semi-offroad ability on two of its mainstream model lines.\nOriginally, the name \"\"Audi allroad quattro\"\" applied to a semi-offroad version of the Audi A6 Avant (wagon) in 1999. Audi retitled subsequent generations, as released in 2006 and 2012, as \"\"Audi A6 allroad quattro\"\".\nSince 2009, Audi has offered the \"\"Audi A4 allroad quattro\"\", based on the mainstream Audi A4 Avant (wagon).',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 2.0',
Author: 'AUDI AG',
Source: 'devexpress.com/carimage69',
},
{
ID: 40,
TrademarkName: 'BMW',
TrademarkID: 6,
Name: 'Z4 Sdrive35i',
Modification: '3.0L I6 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 56075,
MPGCity: 19,
MPGHighway: 26,
Doors: 2,
BodyStyleID: 1,
BodyStyleName: 'Convertible',
Cylinders: 6,
Horsepower: '300@5800',
Torque: '300@1400',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The BMW Z4 is a rear-wheel drive sports car by the German car maker BMW. It follows a line of past BMW roadsters such as the BMW Z1, BMW 507, BMW Z8, and the BMW Z3. The Z4 replaces the Z3. First generation production started in 2002 at BMW USA\'s Greer, South Carolina plant, with production of both roadster and coupe forms. When debuted, it won Automobile Magazine \'\"Design of the Year Award\"\". Starting with the 2009 model year, the second-generation Z4 is built at BMW\'s Regensburg, Germany plant as a retractable hardtop roadster. In 2009, the BMW Z4 won the Red Dot Design Award.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 2.0',
Author: 'Milestoned',
Source: 'devexpress.com/carimage03',
},
{
ID: 41,
TrademarkName: 'BMW',
TrademarkID: 6,
Name: 'M5',
Modification: '4.4L V8 7M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 91125,
MPGCity: 14,
MPGHighway: 20,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 8,
Horsepower: '560@6000',
Torque: '500@1500',
TransmissionSpeeds: 7,
TransmissionType: 2,
Description: 'The BMW M5 is a high performance version of the BMW 5-Series executive car built by the Motorsport division of BMW. Beginning production in 1985, the first incarnation of the M5 was hand-built utilizing the 535i chassis and a modified BMW M1 engine, being the fastest production sedan in the world at the time of its introduction. Subsequent iterations of the M5 have been built from each generation of the 5-Series platform, including the E34, E39, E60/E61, and most recently, F10, with the first orders delivered in late 2011.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 2.0',
Author: 'ilikewaffles11',
Source: 'devexpress.com/carimage34',
},
{
ID: 42,
TrademarkName: 'BMW',
TrademarkID: 6,
Name: 'X6',
Modification: '4.4L V8 8A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 71325,
MPGCity: 14,
MPGHighway: 20,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '400@5500',
Torque: '450@1750',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The BMW X6 is a mid-size luxury crossover released for sale in the second quarter of 2008 for the 2009 model year by German automaker BMW. The X6 was marketed as a Sports Activity Coupé (SAC) by BMW. It combines the attributes of an SUV (high ground clearance, all wheel drive and all-weather ability, large wheels and tires) with the stance of a coupé (bold styling, dramatic sloping roof).',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage64',
},
{
ID: 43,
TrademarkName: 'Subaru',
TrademarkID: 7,
Name: 'Impreza',
Modification: '2.0L H4 5M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 19165,
MPGCity: 25,
MPGHighway: 33,
Doors: 4,
BodyStyleID: 3,
BodyStyleName: 'Hatchback',
Cylinders: 4,
Horsepower: '148@6200',
Torque: '145@4200',
TransmissionSpeeds: 5,
TransmissionType: 2,
Description: 'The Subaru Impreza is a compact automobile, manufactured since 1992 by Subaru—the automobile division of Japanese transportation conglomerate, Fuji Heavy Industries (FHI). Subaru introduced the Impreza as a replacement for the Leone, with the Leone\'s EA series engines replaced by the newer EJ series versions.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'Guillaume Vachey',
Source: 'devexpress.com/carimage11',
},
{
ID: 44,
TrademarkName: 'Subaru',
TrademarkID: 7,
Name: 'Outback',
Modification: '3.6L H6 5A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 29290,
MPGCity: 18,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 8,
BodyStyleName: 'Wagon',
Cylinders: 6,
Horsepower: '256@6000',
Torque: '247@4400',
TransmissionSpeeds: 5,
TransmissionType: 1,
Description: 'The Subaru Outback is an automotive nameplate used by the Japanese automobile manufacturer Fuji Heavy Industries (FHI) since 1994. The \'\"Outback\"\" name has been utilized on two different Subaru branded vehicles. One of these models is based on the mid-sized Subaru Legacy and the other derived from the hatchback version of the Subaru Impreza. Named after the vast, remote, and arid outback regions in Australia—the name is intended to emphasize the moderate off-road capability of the vehicle.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage70',
},
{
ID: 45,
TrademarkName: 'Volkswagen',
TrademarkID: 8,
Name: 'Jetta',
Modification: 'SE 2.5L I5 5M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 19810,
MPGCity: 23,
MPGHighway: 33,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 5,
Horsepower: '170@5700',
Torque: '177@4250',
TransmissionSpeeds: 5,
TransmissionType: 2,
Description: 'The Volkswagen Jetta is a small family car produced by German automaker Volkswagen Group for the Volkswagen Passenger Cars marque since 1979. Positioned to fill a saloon/sedan niche above the firm\'s Golf hatchback offering, it has been marketed over six generations variously as the Atlantic, Fox, Vento, Bora, City Jetta, Jetta City, GLI, Jetta, and Sagitar.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage35',
},
{
ID: 46,
TrademarkName: 'Volkswagen',
TrademarkID: 8,
Name: 'Touareg',
Modification: 'TDI Sport 3.0L V6 8A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 48320,
MPGCity: 20,
MPGHighway: 29,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '240@4000',
Torque: '406@2000',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The Volkswagen Touareg is a mid-size crossover SUV produced by German automaker Volkswagen since 2002 at the Volkswagen Bratislava Plant. The vehicle was named after the Tuareg people, a Berber-speaking group in North Africa.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage65',
},
{
ID: 47,
TrademarkName: 'Volkswagen',
TrademarkID: 8,
Name: 'Golf',
Modification: '2.5l 2.5L I5 5M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 18890,
MPGCity: 23,
MPGHighway: 33,
Doors: 2,
BodyStyleID: 3,
BodyStyleName: 'Hatchback',
Cylinders: 5,
Horsepower: '170@5700',
Torque: '177@4250',
TransmissionSpeeds: 5,
TransmissionType: 2,
Description: 'The Volkswagen Golf is a subcompact car manufactured by German automaker Volkswagen since 1974, marketed worldwide across seven generations, in various body configurations and under various nameplates – as the Volkswagen Rabbit in the United States and Canada (Mk1 and Mk5), and as the Volkswagen Caribe in Mexico (Mk1).',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 2.0',
Author: 'Allie_Caulfield',
Source: 'devexpress.com/carimage12',
},
{
ID: 48,
TrademarkName: 'Mitsubishi',
TrademarkID: 9,
Name: 'Lancer',
Modification: 'GT 2.4L I4 5M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 20790,
MPGCity: 22,
MPGHighway: 31,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 4,
Horsepower: '168@6000',
Torque: '167@4100',
TransmissionSpeeds: 5,
TransmissionType: 2,
Description: 'The Mitsubishi Lancer is a compact car produced by the Japanese manufacturer Mitsubishi Motors since 1973. It has been known as the Colt Lancer, Dodge/Plymouth Colt, Chrysler Valiant Lancer, Chrysler Lancer, Eagle Summit, Hindustan Lancer, Soueast Lioncel, and Mitsubishi Mirage in various countries at different times, and has been sold as the Mitsubishi Galant Fortis in Japan since 2007. It has also been sold as Mitsubishi Lancer Fortis in Taiwan with a different facelift compared to Galant Fortis. In Japan, it was sold at a specific retail chain called Car Plaza.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 3.0',
Author: 'XD4rkxL1ghtx',
Source: 'devexpress.com/carimage36',
},
{
ID: 49,
TrademarkName: 'Mercedes-Benz',
TrademarkID: 10,
Name: 'Slk350',
Modification: '3.5L V6 7A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 56305,
MPGCity: 21,
MPGHighway: 29,
Doors: 2,
BodyStyleID: 1,
BodyStyleName: 'Convertible',
Cylinders: 6,
Horsepower: '302@6500',
Torque: '273@3500',
TransmissionSpeeds: 7,
TransmissionType: 1,
Description: 'The SLK is a compact roadster manufactured by Mercedes-Benz in three generations; R170 launched in 1996, the R171 in 2004 and R172 in 2011.\nAs one of the first modern retractable hardtop convertibles, the SLK followed the 1995 Mitsubishi 3000GT Spyder and preceded other retractable hardtops such as the Peugeot 206cc, Lexus SC, Pontiac G6 and the Chrysler Sebring. The SLK Vario-roof was first shown on the SLK II concept car at the 1994 Paris Motor Show. The car went on sale two years later in Europe, and in 1997 in the US. The SLK is built in Bremen, Germany.\nThe designation SLK derives from the company\'s design mission to create a roadster that was at once sporty, light and short — in German: Sportlich, Leicht und Kurz.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 2.0',
Author: 'Shadman Samee',
Source: 'devexpress.com/carimage04',
},
{
ID: 50,
TrademarkName: 'Mercedes-Benz',
TrademarkID: 10,
Name: 'S600',
Modification: '5.5L V12 5A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 161205,
MPGCity: 12,
MPGHighway: 19,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 12,
Horsepower: '510@5000',
Torque: '612@1800',
TransmissionSpeeds: 5,
TransmissionType: 1,
Description: 'The Mercedes-Benz W140 is a series of flagship vehicles that were manufactured by the German automotive company Mercedes-Benz. On November 16, 1990, Mercedes-Benz unveiled the W140 S-Class via press release, later appearing in several February and March editions of magazines. The W140 made its public debut at the Geneva Motor Show in March 1991, with the first examples rolling off the production line in April 1991 and North American examples on August 6, 1991. Short (SE) and long (SEL) wheelbase sedans were offered initially, as well as the coupé (SEC) body style from October 1992. Like all Mercedes-Benz lines, the W140 S-Class was rationalized in late 1993 using the new \'\"letter-first\"\" nomenclature. The SE, SEL, and SEC cars were renamed the S-Class, with alphanumerical designations inverted. For example, the 500 SE became the S 500, and the 500 SEL became the S 500 L. In 1996 the coupé models following a mid-life update were separated into the CL-Class. The W140 series S-Class was superseded by the W220 S-Class sedan and C215 CL-Class coupe in 1999 after an eight-year production run.\nMercedes-Benz built 432,732 examples of the 140 series,[6] comprising 406,710 sedans and 26,022 coupés.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 4.0',
Author: 'OWS Photography',
Source: 'devexpress.com/carimage37',
},
{
ID: 51,
TrademarkName: 'Mercedes-Benz',
TrademarkID: 10,
Name: 'Cls550',
Modification: '4.6L V8 7A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 72905,
MPGCity: 17,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 8,
Horsepower: '402@5000',
Torque: '443@1800',
TransmissionSpeeds: 7,
TransmissionType: 1,
Description: 'The Mercedes-Benz CLS is an executive-size sedan originally launched in 2004 and based on the W211 E-Class and was internally designated as the W219. The second generation CLS-Class was introduced in September 2010 and production started in the beginning of 2011.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage38',
},
{
ID: 52,
TrademarkName: 'Mazda',
TrademarkID: 11,
Name: 'Mazda6',
Modification: '2.5L I4 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 21520,
MPGCity: 21,
MPGHighway: 30,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 4,
Horsepower: '170@6000',
Torque: '167@4000',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Mazda6 or Mazda 6 (known as the Mazda Atenza in China and Japan) is a large family car produced by the Japanese car manufacturer Mazda since 2002, now in its third generation. The Mazda6 has sold over one million units worldwide since its introduction, hitting this sales milestone faster than all previous Mazdas.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 2.0',
Author: 'Erik Drost',
Source: 'devexpress.com/carimage39',
},
{
ID: 53,
TrademarkName: 'Mazda',
TrademarkID: 11,
Name: 'Mx-5 Miata',
Modification: '2.0L I4 5M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 24515,
MPGCity: 22,
MPGHighway: 28,
Doors: 2,
BodyStyleID: 1,
BodyStyleName: 'Convertible',
Cylinders: 4,
Horsepower: '167@7000',
Torque: '140@5000',
TransmissionSpeeds: 5,
TransmissionType: 2,
Description: 'The MX-5, released as the MX-5 Miata in North America, and the Roadster in Japan, is a lightweight two-seater roadster with a front-engine, rear-wheel-drive layout. Manufactured by Mazda in Hiroshima, Japan, the model debuted in 1989 at the Chicago Auto Show. The MX-5 was conceived as a small roadster – with light weight and minimal mechanical complexity limited only by legal and safety requirements; technologically modern, but philosophically descending from small British and Italian roadsters of the 1960s such as the Triumph Spitfire, MG MGB, Fiat 124 Sport Spider, Alfa Romeo Spider, and Lotus Elan.\nThe second generation MX-5 (NB) was launched in 1998 and the current (NC) model has been in production since 2005. It continues to be the best-selling two-seat convertible sports car in history and by February 2011 over 900,000 MX-5s had been built and sold around the world.\nSince the launch of the third generation, Mazda consolidated worldwide marketing using the MX-5 name with the exception of North America where it is marketed as the MX-5 Miata. The name Miata derives from Old High German for reward.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'Public Domain',
Author: 'IFCAR',
Source: 'devexpress.com/carimage01',
},
{
ID: 54,
TrademarkName: 'KIA',
TrademarkID: 12,
Name: 'RIO',
Modification: 'EX 1.6L I4 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 17300,
MPGCity: 28,
MPGHighway: 36,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 4,
Horsepower: '138@6300',
Torque: '123@4850',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Kia Rio is a subcompact automobile manufactured and marketed by Kia Motors since August 2000 and now in its third generation. Body styles have included a five-door hatchback and four-door sedan body styles, equipped with inline-four gasoline and diesel engines, and front-wheel drive.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Jakub CA',
Source: 'devexpress.com/carimage40',
},
{
ID: 55,
TrademarkName: 'KIA',
TrademarkID: 12,
Name: 'Soul',
Modification: '2.0L I4 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 20700,
MPGCity: 23,
MPGHighway: 28,
Doors: 4,
BodyStyleID: 3,
BodyStyleName: 'Hatchback',
Cylinders: 4,
Horsepower: '164@6500',
Torque: '148@4800',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Kia Soul is a subcompact car designed at Kia\'s design center in California, unveiled at the 2008 Paris Motor Show, manufactured in South Korea and marketed globally beginning with model year 2010.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'Public Domain',
Author: 'US NHTSA',
Source: 'devexpress.com/carimage13',
},
{
ID: 56,
TrademarkName: 'Land Rover',
TrademarkID: 13,
Name: 'LR4',
Modification: '5.0L V8 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 49995,
MPGCity: 12,
MPGHighway: 17,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '375@6500',
Torque: '375@3500',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Land Rover Discovery is an offroad focused mid-size SUV, from the British car maker Land Rover. There have been four generations of the vehicle, which was first introduced in 1989. The current Discovery 4 is marketed in North America as the LR4.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 2.0',
Author: 'Land Rover MENA',
Source: 'devexpress.com/carimage66',
},
{
ID: 57,
TrademarkName: 'Land Rover',
TrademarkID: 13,
Name: 'Range Rover Supercharged',
Modification: '5.0L V8 8A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 99995,
MPGCity: 13,
MPGHighway: 19,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '510@6000',
Torque: '461@2500',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The Range Rover is a large luxury four-wheel drive sport utility vehicle (SUV) flagship model produced by British car maker Land Rover, which is part of the Jaguar Land Rover group, a subsidiary of Tata Motors of India.\nThe model, launched in 1970, is now in its fourth generation. Range Rover is also being developed by Land Rover as its premium brand, and it is used as a brand name on two other models – the Range Rover Evoque and the Range Rover Sport.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'HJUdall',
Source: 'devexpress.com/carimage67',
},
{
ID: 58,
TrademarkName: 'Chrysler',
TrademarkID: 14,
Name: '200 Convertible',
Modification: 'S 3.6L V6 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 34015,
MPGCity: 19,
MPGHighway: 29,
Doors: 2,
BodyStyleID: 1,
BodyStyleName: 'Convertible',
Cylinders: 6,
Horsepower: '283@6400',
Torque: '260@4400',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Chrysler 200 is an entry-level luxury car produced by the American manufacturer Chrysler, introduced during the 2011 model year. It is an update and new nameplate for the outgoing 2010 Chrysler Sebring. The 200 name first appeared on a prototype hybrid vehicle shown at the 2009 North American International Auto Show in Detroit, called the 200C. The prototype was based on the Chrysler 300. While Chrysler\'s sales chief, Steven Landry, said it had been approved for production, CEO Sergio Marchionne later said it was not practical. The 200C concept was engineered to accept either a traditional gasoline engine, hybrid or electric powertrain.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Damian B Oh',
Source: 'devexpress.com/carimage05',
},
{
ID: 59,
TrademarkName: 'Dodge',
TrademarkID: 15,
Name: 'SRT Viper',
Modification: 'GTS 8.4L V10 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 122390,
MPGCity: 13,
MPGHighway: 18,
Doors: 2,
BodyStyleID: 2,
BodyStyleName: 'Coupe',
Cylinders: 10,
Horsepower: '640@6200',
Torque: '600@5000',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The SRT Viper (formerly the Dodge Viper prior to the 2013 model year) is a V10-powered sports car, manufactured by the Dodge (SRT after 2013) division of Chrysler. Production of the two-seat sports car began at New Mack Assembly in 1991 and moved to its current home at Conner Avenue Assembly in October 1995.\nThe Viper was initially conceived in late 1988 at Chrysler\'s Advanced Design Studios. The following February, Chrysler president Bob Lutz suggested to Tom Gale at Chrysler Design that the company should consider producing a modern Cobra, and a clay model was presented to Lutz a few months later. Produced in sheet metal by Metalcrafters, the car appeared as a concept at the North American International Auto Show in 1989. Public reaction was so enthusiastic that chief engineer Roy Sjoberg was directed to develop it as a standard production vehicle.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 2.0',
Author: 'Alden Jewell',
Source: 'devexpress.com/carimage07',
},
{
ID: 60,
TrademarkName: 'Dodge',
TrademarkID: 15,
Name: 'Challenger',
Modification: 'Srt8 6.4L V8 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 45190,
MPGCity: 14,
MPGHighway: 23,
Doors: 2,
BodyStyleID: 2,
BodyStyleName: 'Coupe',
Cylinders: 8,
Horsepower: '470@6000',
Torque: '470@4200',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Dodge Challenger is the name of three different generations of automobiles marketed by the Dodge division of Chrysler. The Dodge Silver Challenger was produced in 1959. From 1970 to 1974, the first generation Dodge Challenger pony car was built using the Chrysler E platform, sharing major components with the Plymouth Barracuda. The second generation, from 1978 to 1983, was a badge engineered Mitsubishi Galant Lambda. The third, and current generation, was introduced in 2008 as a rival to the evolved fifth generation Ford Mustang and the reintroduced fifth generation Chevrolet Camaro.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Calreyn88',
Source: 'devexpress.com/carimage08',
},
{
ID: 61,
TrademarkName: 'Dodge',
TrademarkID: 15,
Name: 'Charger',
Modification: 'SE RWD 3.6L V6 5A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 27290,
MPGCity: 18,
MPGHighway: 27,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '292@6350',
Torque: '260@4800',
TransmissionSpeeds: 5,
TransmissionType: 1,
Description: 'The Dodge Charger is an American automobile manufactured by the Dodge division of Chrysler. There have been several different Dodge vehicles, built on three different platforms and sizes, all bearing the Charger nameplate. The name is generally associated with a performance model in the Dodge range; however, it has also adorned subcompact hatchbacks, full-sized sedans, and personal luxury coupes.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Real Liquidstone',
Source: 'devexpress.com/carimage41',
},
{
ID: 62,
TrademarkName: 'Lexus',
TrademarkID: 16,
Name: 'RX 350',
Modification: '3.5L V6 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 41955,
MPGCity: 18,
MPGHighway: 24,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '270@6200',
Torque: '248@4700',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Lexus RX is a crossover sport utility vehicle (SUV) sold since 1998 by Lexus, the luxury division of Toyota. Originally released in its home market of Japan in late 1997 as the Toyota Harrier, exports began in early 1998 as Lexus RX. Three generations of the Lexus RX have been produced to date, the first being compact in size, and the latter two classified as mid-size. Both front- and four-wheel drive configurations have been used on the RX series, and several gasoline powertrain options, including V6 engines and hybrid systems, have been offered. In the Lexus model lineup, the RX sits below the larger GX and LX body-on-frame SUVs, and remains the marque\'s only crossover model. The RX name stands for Radiant Crossover. It has also been labelled as \'\"Recreation Cross Country\"\" in some markets.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage68',
},
{
ID: 63,
TrademarkName: 'Lexus',
TrademarkID: 16,
Name: 'IS 350',
Modification: '3.5L V6 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 43675,
MPGCity: 19,
MPGHighway: 26,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '306@6400',
Torque: '277@4800',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Lexus IS is a series of entry-level luxury cars / compact executive cars sold by Lexus since 1998. The IS was introduced as an entry-level sport model slotted below the ES in the Lexus lineup (and outside of North America, the Lexus GS). The IS was originally sold under the Toyota Altezza nameplate in Japan (the word \'\"altezza\"\" is Italian for \"\"highness\"\") until the introduction of the Lexus brand and the second generation Lexus IS design in 2006. The Altezza name is still used at times to refer to chromed car taillights like those fitted to the first generation model, known as \'Altezza lights\' or \'Lexus-style\' lights.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Ethan Llamas',
Source: 'devexpress.com/carimage42',
},
{
ID: 64,
TrademarkName: 'Chevrolet',
TrademarkID: 18,
Name: 'Malibu',
Modification: 'LS 2.5L I4 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 22805,
MPGCity: 22,
MPGHighway: 34,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 4,
Horsepower: '197@6300',
Torque: '191@4400',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Chevrolet Malibu is a mid-size car produced by the American manufacturer General Motors (GM) from 1964 to 1983 and from 1997 to present. The Malibu began as a trim-level of the Chevrolet Chevelle, but became its own model line in 1978. Originally a rear-wheel-drive intermediate, GM revived the Malibu nameplate as a front-wheel-drive car in 1997. It is named after the city of Malibu, California.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage43',
},
{
ID: 65,
TrademarkName: 'Chevrolet',
TrademarkID: 18,
Name: 'Camaro',
Modification: 'ZL1 6.2L V8 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 55250,
MPGCity: 14,
MPGHighway: 19,
Doors: 2,
BodyStyleID: 1,
BodyStyleName: 'Convertible',
Cylinders: 8,
Horsepower: '580@6000',
Torque: '556@4200',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Chevrolet Camaro is an automobile manufactured by General Motors under the Chevrolet brand, classified as a pony car and some versions also as a muscle car. It went on sale on September 29, 1966, for the 1967 model year and was designed as a competing model to the Ford Mustang. The car shared its platform and major components with the Pontiac Firebird, also introduced for 1967.\nFour distinct generations of the Camaro were developed before production ended in 2002. The nameplate was revived again on a concept car that evolved into the fifth-generation Camaro; production started on March 16, 2009.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 3.0',
Author: 'Noah Wulf',
Source: 'devexpress.com/carimage06',
},
{
ID: 66,
TrademarkName: 'Chevrolet',
TrademarkID: 18,
Name: 'Corvette Coupe',
Modification: 'ZR1 3ZR 6.2L V8 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 122595,
MPGCity: 14,
MPGHighway: 21,
Doors: 2,
BodyStyleID: 2,
BodyStyleName: 'Coupe',
Cylinders: 8,
Horsepower: '638@6500',
Torque: '604@3800',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Chevrolet Corvette is a sports car by the Chevrolet division of General Motors (GM) that has been produced in seven generations. The first model, a convertible, was designed by Harley Earl and introduced at the GM Motorama in 1953 as a concept show car. Myron Scott is credited for naming the car after the type of small, maneuverable warship called a corvette. Originally built in Flint, Michigan and St. Louis, Missouri, the Corvette is currently manufactured in Bowling Green, Kentucky and is the official sports car of the Commonwealth of Kentucky.\nA Corvette has been used as the Indianapolis 500 pace car 12 times.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 4.0',
Author: 'OWS Photography',
Source: 'devexpress.com/carimage09',
},
{
ID: 67,
TrademarkName: 'RAM',
TrademarkID: 19,
Name: '3500 Regular CAB 4X4',
Modification: 'ST LWB 5.7L V8 6A',
CategoryID: 3,
CategoryName: 'Truck',
Price: 34370,
MPGCity: 0,
MPGHighway: 0,
Doors: 2,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 8,
Horsepower: '383@5600',
Torque: '400@4000',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: "",
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'HJUdall',
Source: 'devexpress.com/carimage22',
},
{
ID: 68,
TrademarkName: 'RAM',
TrademarkID: 19,
Name: '2500 Mega CAB 4X4',
Modification: 'SLT SWB 5.7L V8 6A',
CategoryID: 3,
CategoryName: 'Truck',
Price: 42460,
MPGCity: 0,
MPGHighway: 0,
Doors: 4,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 8,
Horsepower: '383@5600',
Torque: '400@4000',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: "",
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'HJUdall',
Source: 'devexpress.com/carimage23',
},
{
ID: 69,
TrademarkName: 'Ford',
TrademarkID: 2,
Name: 'F-350 SD Supercab 4X4',
Modification: '6.2L V8 6A',
CategoryID: 3,
CategoryName: 'Truck',
Price: 48050,
MPGCity: 0,
MPGHighway: 0,
Doors: 4,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 8,
Horsepower: '316@4179',
Torque: '397@4179',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The F-Series is a series of full-size pickup trucks from Ford Motor Company which has been sold continuously for over six decades.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 3.0',
Author: 'Cristianv14',
Source: 'devexpress.com/carimage24',
},
{
ID: 70,
TrademarkName: 'Ford',
TrademarkID: 2,
Name: 'Mustang GT Coupe',
Modification: '5.0L V8 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 31545,
MPGCity: 15,
MPGHighway: 26,
Doors: 3,
BodyStyleID: 2,
BodyStyleName: 'Coupe',
Cylinders: 8,
Horsepower: '420@6500',
Torque: '390@4250',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Ford Mustang is an automobile manufactured by the Ford Motor Company. It was initially based on the platform of the second generation North American Ford Falcon, a compact car. Introduced early on April 17, 1964, and thus dubbed as a \'\"1964½\"\" model by Mustang fans, the 1965 Mustang was the automaker\'s most successful launch since the Model A. The Mustang has undergone several transformations to its current fifth generation.\nThe Mustang created the \"\"pony car\"\" class of American automobiles—sports car-like coupes with long hoods and short rear decks—and gave rise to competitors such as the Chevrolet Camaro, and Pontiac Firebird, AMC Javelin, as well as Chrysler\'s revamped Plymouth Barracuda and the first generation Dodge Challenger. The Mustang is also credited for inspiring the designs of coupés such as the Toyota Celica and Ford Capri, which were imported to the United States.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 3.0',
Author: 'Tobias \'\"ToMar\"\" Maier',
Source: 'devexpress.com/carimage10',
},
];

<template>
<DxDataGrid
keyExpr="ID"
:dataSource="vehicles"
:showBorders="true"
:aiIntegration="aiIntegration"
:onAIColumnRequestCreating="onAIColumnRequestCreating"
class="ai__grid"
>
<DxGrouping :contextMenuEnabled="false"/>
<DxPaging :pageSize="10"/>
<DxColumn
caption="Trademark"
dataField="TrademarkName"
:width="200"
cellTemplate="trademark-cell"
/>
<template #trademark-cell="{ data: { data: vehicle} }">
<Trademark
:vehicle="vehicle"
@showInfo="showInfo"
/>
</template>
<DxColumn
dataField="Price"
alignment="left"
format="currency"
:width="100"
/>
<DxColumn
caption="Category"
:minWidth="180"
cellTemplate="category-cell"
/>
<template #category-cell="{ data: { data: vehicle} }">
<Category :category="vehicle.CategoryName"/>
</template>
<DxColumn
dataField="Modification"
:width="180"
/>
<DxColumn
dataField="Horsepower"
:width="140"
/>
<DxColumn
dataField="BodyStyleName"
caption="Body Style"
:width="180"
/>
<DxColumn
name="AI Column"
caption="AI Column"
cssClass="ai__cell"
type="ai"
:fixed="true"
fixedPosition="right"
:width="200"
>
<DxAI
mode="auto"
noDataText="No data"
prompt="Identify the country where the vehicle model is manufactured.
When looking up a country, consider vehicle brand, model, and specifications."
/>
</DxColumn>
</DxDataGrid>
<DxPopup
v-model:visible="popupVisible"
title="Image Info"
width="360"
height="260"
:dragEnabled="false"
:hideOnOutsideClick="true"
:onHiding="hideInfo"
>
<DxPosition
at="center"
my="center"
collision="fit"
/>
<template #content>
<LicenseInfo :vehicle="currentVehicle"/>
</template>
</DxPopup>
</template>
<script setup lang="ts">
import { ref } from 'vue';
import { DxDataGrid, DxColumn, DxGrouping, DxPaging, DxAI } from 'devextreme-vue/data-grid';
import { DxPopup, DxPosition } from 'devextreme-vue/popup';
import { vehicles, type Vehicle } from './data.ts';
import { aiIntegration } from './service.ts';
import Trademark from './Trademark.vue';
import Category from './Category.vue';
import LicenseInfo from './LicenseInfo.vue';
const currentVehicle = ref<Vehicle | undefined>();
const popupVisible = ref(false);
const showInfo = (vehicle: Vehicle) => {
currentVehicle.value = vehicle;
popupVisible.value = true;
};
const hideInfo = () => {
popupVisible.value = false;
};
const onAIColumnRequestCreating = (e: { data: Partial<Vehicle>[] }) => {
e.data = e.data.map((item) => ({
ID: item.ID,
TrademarkName: item.TrademarkName,
Name: item.Name,
Modification: item.Modification,
}));
};
</script>
<style scoped>
#app .ai__cell {
background-color: var(--dx-datagrid-row-alternation-bg);
}
.ai__grid {
min-height: 560px;
}
</style>
<template>
<div class="category__wrapper">{{ category }}</div>
</template>
<script setup lang="ts">
defineProps<{
category: string,
}>();
</script>
<style scoped>
.category__wrapper {
display: inline-block;
padding: 2px 8px;
border-radius: 24px;
background-color: var(--dx-color-separator);
}
</style>
<template>
<p><b>Image licensed under: </b> <span>{{ LicenseName }}</span></p>
<p><b>Author: </b> <span>{{ Author }}</span></p>
<p>
<b>Source link: </b>
<a
:href="vehicleLink"
target="_blank"
rel="noopener noreferrer"
>
{{ vehicleLink }}
</a>
</p>
<p><b>Edits: </b> <span>{{ Edits }}</span></p>
</template>
<script setup lang="ts">
import type { Vehicle } from './data.ts';
const props = withDefaults(defineProps<{
vehicle?: Vehicle,
}>(), {
vehicle: () => ({} as Vehicle),
});
const {
LicenseName,
Author,
Source,
Edits,
} = props.vehicle;
const vehicleLink = `https://${Source}`;
</script>
<template>
<div class="trademark__wrapper">
<div class="trademark__img-wrapper">
<img
class="trademark__img"
:src="`../../../../images/vehicles/image_${ID}.png`"
:alt="`${TrademarkName} ${Name}`"
@click="emit('showInfo', vehicle)"
@keydown="onKeyDown"
role="button"
tabindex="0"
aria-haspopup="dialog"
:aria-label="`${TrademarkName} ${Name} - press Enter for image info`"
>
</div>
<div class="trademark__text-wrapper">
<div class="trademark__text trademark__text--title">{{ TrademarkName }}</div>
<div class="trademark__text trademark__text--subtitle">{{ Name }}</div>
</div>
</div>
</template>
<script setup lang="ts">
import type { Vehicle } from './data.ts';
interface TrademarkNameProps { vehicle: Vehicle }
interface TrademarkNameEmits { (e: 'showInfo', v: Vehicle): void }
const { vehicle } = defineProps<TrademarkNameProps>();
const emit = defineEmits<TrademarkNameEmits>();
const { ID, TrademarkName, Name } = vehicle;
const onKeyDown = (event: KeyboardEvent) => {
if (event.key === 'Enter') {
emit('showInfo', vehicle);
}
};
</script>
<style scoped>
.trademark__wrapper {
display: flex;
align-items: center;
gap: 8px;
}
.trademark__img-wrapper {
width: 40px;
height: 40px;
border: var(--dx-border-width) solid var(--dx-color-border);
border-radius: var(--dx-border-radius);
cursor: pointer;
}
.trademark__img-wrapper img {
width: 100%;
height: 100%;
object-fit: cover;
object-position: center;
border-radius: var(--dx-border-radius);
}
.trademark__text-wrapper {
width: calc(100% - 48px);
}
.trademark__text {
margin: 0;
padding: 0;
white-space: nowrap;
overflow: hidden;
text-overflow: ellipsis;
}
.trademark__text--title {
font-weight: 600;
}
.trademark__text--subtitle {
font-weight: 400;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'typescript': {
'exports': 'ts',
},
'vue': {
format: 'global',
exports: 'Vue',
esModule: true,
},
'vuex': {
format: 'global',
exports: 'Vuex',
esModule: true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.5.40/dist/vue.global.js',
'@vue/shared': 'npm:@vue/shared@3.4.26/dist/shared.cjs.prod.js',
'dx-systemjs-vue-browser': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'vue-loader': 'loaders:demo-vue-loader.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'openai': 'externals:openai.bundle.js',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"openai": {
"version": "4.73.1"
},
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
export interface Vehicle {
ID: number;
TrademarkName: string;
TrademarkID: number;
Name: string;
Modification: string;
CategoryID: number;
CategoryName: string;
Price: number;
MPGCity: number;
MPGHighway: number;
Doors: number;
BodyStyleID: number;
BodyStyleName: string;
Cylinders: number;
Horsepower: string;
Torque: string;
TransmissionSpeeds: number;
TransmissionType: number;
Description: string;
DeliveryDate: boolean;
InStock: boolean;
Edits: string;
LicenseName: string;
Author: string;
Source: string;
}
export const vehicles: Vehicle[] = [
{
ID: 1,
TrademarkName: 'Toyota',
TrademarkID: 1,
Name: 'Venza',
Modification: 'LE FWD',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 28695,
MPGCity: 20,
MPGHighway: 26,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '181@5800',
Torque: '182@4200',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Toyota Venza is a mid-size crossover SUV (CUV) produced by Japanese automaker Toyota and unveiled at the 2008 North American International Auto Show in Detroit. Based on the Toyota FT-SX concept car unveiled at the 2005 North American International Auto Show, the Venza was primarily engineered at Toyota Technical Center in Ann Arbor, Michigan, and designed at the Calty Design studios in Newport Beach, California. It is currently slotted in size and price between the RAV4 compact crossover SUV, and the Highlander mid-size crossover SUV that has third-row seating. However, the Venza is an inch longer than the Highlander and for the 2009-2010 model years, the base Venza\'s MSRP was $1000 USD higher than the base Highlander.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage44',
},
{
ID: 2,
TrademarkName: 'Ford',
TrademarkID: 2,
Name: 'Edge',
Modification: 'SEL FWD 3.5L V6 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 31995,
MPGCity: 19,
MPGHighway: 27,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '285@6500',
Torque: '253@4000',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Ford Edge is a mid-size crossover SUV (CUV) manufactured by Ford, based on the Ford CD3 platform shared with the Mazda CX-9.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Vauxford',
Source: 'devexpress.com/carimage45',
},
{
ID: 3,
TrademarkName: 'Nissan',
TrademarkID: 3,
Name: 'Murano',
Modification: 'S FWD 3.5L V6 VA',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 29285,
MPGCity: 18,
MPGHighway: 24,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '260@6000',
Torque: '240@4400',
TransmissionSpeeds: -1,
TransmissionType: 1,
Description: 'The Nissan Murano is a mid-size crossover SUV first sold by Nissan in December 2002 as a 2003 model. Nissan introduced the Murano as its first crossover SUV for the United States and Canada. Initially designed at Nissan America in La Jolla, California, the first generation Murano was based on the Nissan FF-L platform first used by the third generation Altima. The single European version of the Murano began sales in 2004.[3] A convertible variant, marketed as the CrossCabriolet, premiered at the 2010 Los Angeles International Auto Show for model year 2011.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Minseong Kim',
Source: 'devexpress.com/carimage46',
},
{
ID: 4,
TrademarkName: 'Honda',
TrademarkID: 4,
Name: 'Crosstour',
Modification: 'EX 2WD 2.4L I4 5A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 28060,
MPGCity: 22,
MPGHighway: 31,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '192@7000',
Torque: '162@4400',
TransmissionSpeeds: 5,
TransmissionType: 1,
Description: 'The Crosstour (initially branded the Accord Crosstour) is a full-size crossover SUV manufactured by Japanese automaker Honda. Sales began in November 2009 for the 2010 model year.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage47',
},
{
ID: 5,
TrademarkName: 'Audi',
TrademarkID: 5,
Name: 'Q5',
Modification: '2.0L I4 8A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 36795,
MPGCity: 20,
MPGHighway: 28,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '211@4300',
Torque: '258@1500',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The Audi Q5 (Typ 8R) is a mid-sized utility vehicle (SUV) manufactured and marketed by Audi since 2008, using the Audi MLP platform (Modular Longitudinal Platform) which debuted on the 2007 Audi A5 coupé. The Q5 is smaller than the Audi Q7 and larger than the Audi Q3.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage76',
},
{
ID: 6,
TrademarkName: 'BMW',
TrademarkID: 6,
Name: 'X3',
Modification: '2.0L I4 8A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 39775,
MPGCity: 21,
MPGHighway: 28,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '240@5000',
Torque: '260@1250',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The BMW X3 is a crossover marketed by German automaker BMW since 2003. Based on the BMW 3 Series platform, and now in its second generation, BMW markets the crossover as a Sports Activity Vehicle, the company\'s proprietary descriptor for its X-line of vehicles. The first generation X3 was designed by BMW in conjunction with Magna Steyr of Graz, Austria—who also manufactured all X3s under contract to BMW. BMW manufactures the second generation X3 at their Spartanburg plant in South Carolina, United States.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage49',
},
{
ID: 7,
TrademarkName: 'Subaru',
TrademarkID: 7,
Name: 'Forester',
Modification: '2.5L H4 5M',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 22090,
MPGCity: 21,
MPGHighway: 27,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '170@5800',
Torque: '174@4100',
TransmissionSpeeds: 5,
TransmissionType: 2,
Description: 'The Subaru Forester is a crossover manufactured since 1997 by Fuji Heavy Industries and sold under the Subaru brand. Available in Japan from 1997, the Forester shares its platform with the Impreza. It was introduced in 1997 as a compact crossover wagon. After ten years of production, it grew to a mid-size crossover SUV. It has been crowned Motor Trend\'s 2014 SUV of the Year.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage50',
},
{
ID: 8,
TrademarkName: 'Volkswagen',
TrademarkID: 8,
Name: 'Tiguan',
Modification: 'S 2.0L I4 6M',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 23820,
MPGCity: 18,
MPGHighway: 26,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '200@5100',
Torque: '207@1700',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'Volkswagen Tiguan is a compact crossover vehicle (CUV) manufactured by German automaker Volkswagen using the PQ35 platform of the Volkswagen Golf. All Tiguans feature two-row seating and four-cylinder engines.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Alexander Migl',
Source: 'devexpress.com/carimage51',
},
{
ID: 9,
TrademarkName: 'Mitsubishi',
TrademarkID: 9,
Name: 'Outlander',
Modification: 'GT S-Awc 3.0L V6 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 29420,
MPGCity: 19,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '230@6250',
Torque: '215@3750',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Mitsubishi Outlander is a crossover manufactured by Japanese automaker Mitsubishi Motors. It was originally known as the Mitsubishi Airtrek when it was introduced in Japan in 2001, and was based on the Mitsubishi ASX concept vehicle exhibited at the 2001 North American International Auto Show. It was sold at Mitsubishi Japan dealership chain called Car Plaza. The ASX (Active Sports Crossover) represented Mitsubishi\'s approach to the industry wide SUV trend for retaining the all-season and off-road abilities offered by a high ground clearance and four-wheel drive, while still offering car-like levels of emissions, economy and size.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage52',
},
{
ID: 10,
TrademarkName: 'Mercedes-Benz',
TrademarkID: 10,
Name: 'Ml350',
Modification: '3.5L V6 7A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 48175,
MPGCity: 18,
MPGHighway: 23,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '302@6500',
Torque: '273@3500',
TransmissionSpeeds: 7,
TransmissionType: 1,
Description: 'The Mercedes-Benz M-Class is a luxury midsize sport utility vehicle (SUV), first offered in 1997 as a 1998 model, and built by the German automaker Mercedes-Benz. Gradually, the M-Class became a sales success in the United States and Mexico. In terms of size, it is slotted in between the smaller GLK-Class (based on the C-Class) and the larger GL-Class, with which it shares platforms. For a short time, between the years 1999 and 2002, the M-Class was also built by Magna Steyr in Graz, Austria, for the European market, before all production moved to the U.S. plant near Vance, Alabama.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'Attribution Only',
Author: 'M 93',
Source: 'devexpress.com/carimage53',
},
{
ID: 11,
TrademarkName: 'Mazda',
TrademarkID: 11,
Name: 'Cx-5',
Modification: 'Sport FWD 2.0L I4 6M',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 21790,
MPGCity: 26,
MPGHighway: 35,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '155@6000',
Torque: '150@4000',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Mazda CX-5 is a compact/small-family crossover SUV produced by Mazda starting in 2012 for the 2013 model year lineup. It is Mazda\'s first car featuring the new KODO - Soul of Motion Design language[9] first shown in the Shinari concept vehicle in May 2010. It is also the first vehicle featuring the company\'s full Skyactiv Technology suite, featuring a rigid, lightweight platform, combined with a new series of efficient engines and transmissions resulting in reduced emissions and fuel consumption. The Skyactiv Engine and Transmission Technologies were released in the 2012 Mazda3 compact sedan and hatchback.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage54',
},
{
ID: 12,
TrademarkName: 'KIA',
TrademarkID: 12,
Name: 'Sportage',
Modification: 'SX AWD 2.0L I4 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 29250,
MPGCity: 20,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '260@6000',
Torque: '269@1850',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Kia Sportage is a compact crossover SUV built by the Korean automaker Kia Motors since July 1993.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'JustAnotherCarDesigner',
Source: 'devexpress.com/carimage55',
},
{
ID: 13,
TrademarkName: 'Land Rover',
TrademarkID: 13,
Name: 'Range Rover Evoque',
Modification: '2.0L I4 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 42040,
MPGCity: 20,
MPGHighway: 28,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '240@5500',
Torque: '251@1750',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Range Rover Evoque is a compact sport utility vehicle (SUV) produced by the British manufacturer Land Rover, part of Tata\'s Jaguar Land Rover group. It has been produced since July 2011 in three and five-door versions, with both two-wheel and four-wheel drive. The Evoque is designed to appeal to urban buyers and meet requirements for lower CO2 emissions and fuel economy. The production vehicle is similar to the Land Rover LRX concept, which was unveiled at the North American International Auto Show in January 2008. The Evoque has been received positively by the automotive press for retaining the features, amenities, and off-road capabilities of a traditional Range Rover in a smaller package. Land Rover sold nearly 88,000 units of the Evoque in its first year of production.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Alexander Migl',
Source: 'devexpress.com/carimage56',
},
{
ID: 14,
TrademarkName: 'Chrysler',
TrademarkID: 14,
Name: 'Town & Country',
Modification: 'Limited 3.6L V6 6A',
CategoryID: 4,
CategoryName: 'Minivan',
Price: 42140,
MPGCity: 17,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 4,
BodyStyleName: 'Passenger Van',
Cylinders: 6,
Horsepower: '283@6400',
Torque: '260@4400',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Chrysler Town & Country is a luxury minivan sold worldwide by the Chrysler division of Chrysler Group LLC. The model was introduced in 1989 as a traditional minivan.\nThe Town & Country has evolved through five generations, offered variously in long-wheelbase (LWB) and short-wheelbase (SWB) versions — though currently only in LWB form. Anniversary editions have included the 1994 \'\"10 Year Anniversary Edition\"\" and the 2004 Platinum Series, marking the Chrysler twentieth year of minivan production.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'crash71100',
Source: 'devexpress.com/carimage71',
},
{
ID: 15,
TrademarkName: 'Dodge',
TrademarkID: 15,
Name: 'Durango',
Modification: 'SXT RWD 3.6L V6 5A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 30790,
MPGCity: 16,
MPGHighway: 23,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '290@6400',
Torque: '260@4800',
TransmissionSpeeds: 5,
TransmissionType: 1,
Description: 'The Dodge Durango is a sport utility vehicle (SUV) produced by the Dodge division of Chrysler. The first two generations were very similar in that both were based on the Dodge Dakota, both featured a body-on-frame construction and both were produced at the Newark Assembly plant in Newark, Delaware. However, they did differ in that the first generation was classified as a mid-size SUV while, the second generation was classified as a full-size SUV.\nThe third generation Durango however is built on the same platform as the Jeep Grand Cherokee, features unibody construction and is currently being assembled at the Jefferson North Assembly plant in Detroit, Michigan. However, it does retain the previous generation\'s classification as a full-size SUV.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'DestinationFearFan',
Source: 'devexpress.com/carimage57',
},
{
ID: 16,
TrademarkName: 'Lexus',
TrademarkID: 16,
Name: 'LX 570',
Modification: '5.7L V8 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 82425,
MPGCity: 12,
MPGHighway: 17,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '383@5600',
Torque: '403@3600',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Lexus LX is a full-size luxury sport utility vehicle (SUV) sold by Lexus since 1996. Three generations of the Lexus LX have been produced, all based heavily on the long-running Toyota Land Cruiser series of SUVs. The first generation LX 450 debuted in 1996 as Lexus\' first entry into the SUV market. Its successor, the LX 470, premiered in 1998 and was produced until 2006. The latest third generation Lexus LX 570 debuted at the New York International Auto Show in April 2007 as a complete redesign for the 2008 model year. The LX 570 is not offered to the Japanese market, but is sold by Lexus in Russia, Brunei, Australia, New Zealand, Dominican Republic, China, Indonesia, Philippines, Taiwan, Middle East, and North America; in those regions, the related Land Cruiser is also sold by Toyota. The LX is not available in the rest of the world, where the Toyota Land Cruiser 200 is sold.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'HJUdall',
Source: 'devexpress.com/carimage58',
},
{
ID: 17,
TrademarkName: 'Suzuki',
TrademarkID: 17,
Name: 'Grand Vitara',
Modification: 'Limited 4WD 2.4L I4 4A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 26799,
MPGCity: 19,
MPGHighway: 23,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '166@6000',
Torque: '162@4000',
TransmissionSpeeds: 4,
TransmissionType: 1,
Description: 'The Suzuki Escudo (known as Sidekick in USA, Vitara in most of Western Europe, Bolivia, Ecuador, the Philippines, Hong Kong, Taiwan as well as North America after 1999 and the Grand Vitara in the United Kingdom, Eastern Europe, parts of South Asia, the Caribbean, South Africa, Iran, Canada, and Australia) is an off-road vehicle that has been in production since 1988. The North American version was produced as a joint venture between Suzuki and General Motors known as CAMI. The vehicle was a follow-up to the popular SJ413 and Samurai. Also, this vehicle, while sold in North America, was designed to slot above the Samurai. A larger version is also made, known as the Suzuki Grand Escudo (known as Grand Vitara XL-7 in other markets). The name is derived from the \'\"escudo\"\", the monetary unit of Portugal until the Euro was adopted.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage59',
},
{
ID: 18,
TrademarkName: 'Toyota',
TrademarkID: 1,
Name: 'Tundra 4x4 Reg. Cab',
Modification: '5.7L V8',
CategoryID: 3,
CategoryName: 'Truck',
Price: 31645,
MPGCity: 13,
MPGHighway: 17,
Doors: 2,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 8,
Horsepower: '381@5600',
Torque: '401@3600',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Toyota Tundra is a full-size pickup truck manufactured in the US by the Japanese manufacturer Toyota since May 1999. The Tundra was eventually nominated for the North American Truck of the Year award and was Motor Trend magazine\'s Truck of the Year in 2000 and 2008. Currently the Tundra is assembled in San Antonio, Texas, USA where production was consolidated in 2008.\nThe first generation Tundra had many similarities with the older Toyota T100 and the compact Toyota Tacoma. The biggest of those similarities was the shared use of a 3.4-liter V6 engine which was the top of the line engine in both the Tacoma and T100. The V6 engine would serve as the base engine for the Tundra, while a second powerplant, a first for a Toyota truck, a V8 engine sized at 4.7-liters was added to the lineup.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Matti Blume',
Source: 'devexpress.com/carimage72',
},
{
ID: 19,
TrademarkName: 'Chevrolet',
TrademarkID: 18,
Name: 'Silverado 1500 Regular CAB 4WD',
Modification: 'LT Standard Box 4.8L V8 4A',
CategoryID: 3,
CategoryName: 'Truck',
Price: 33650,
MPGCity: 13,
MPGHighway: 18,
Doors: 2,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 8,
Horsepower: '302@5600',
Torque: '305@4600',
TransmissionSpeeds: 4,
TransmissionType: 1,
Description: 'The Chevrolet Silverado (along with its GMC counterpart, the GMC Sierra), is the latest line of full-size pickup trucks from General Motors.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'DestinationFearFan',
Source: 'devexpress.com/carimage19',
},
{
ID: 20,
TrademarkName: 'Ford',
TrademarkID: 2,
Name: 'F-150 Regular CAB 4X4',
Modification: '3.7L V6 6A',
CategoryID: 3,
CategoryName: 'Truck',
Price: 31900,
MPGCity: 16,
MPGHighway: 21,
Doors: 2,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 6,
Horsepower: '302@6500',
Torque: '278@4000',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The F-Series is a series of full-size pickup trucks from Ford Motor Company which has been sold continuously for over six decades. The most popular variant of the F-Series is the F-150. It was the best-selling vehicle in the United States for 17 years, currently (2007) the best-selling pick-up for 37 years, and the best selling vehicle in Canada, though this does not include combined sales of GM pick-up trucks. In the tenth generation of the F-series, the F-250 and F-350 changed body style in 1998 and joined the Super Duty series.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Alexander-93',
Source: 'devexpress.com/carimage73',
},
{
ID: 21,
TrademarkName: 'RAM',
TrademarkID: 19,
Name: '1500 Regular CAB 4X4',
Modification: 'SLT SWB 3.6L V6 8A',
CategoryID: 3,
CategoryName: 'Truck',
Price: 32825,
MPGCity: 16,
MPGHighway: 23,
Doors: 2,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 6,
Horsepower: '305@6350',
Torque: '269@4800',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The Ram (formerly the Dodge Ram) is a full-size pickup truck manufactured by the Chrysler Group LLC. As of 2010, it has been sold under the Ram Trucks brand. Previously, Ram was part of the Dodge lineup of light trucks. The name Ram was first used in 1981 on the redesigned Ram and Power Ram following the retiring and rebadging of the Dodge D Series pickup trucks as well as B-series vans. The truck is named for the Ram hood ornament that first appeared on Dodge vehicles in 1933. The Ram Truck is in its fourth generation as of the 2009 model year.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Ruben de Rijcke',
Source: 'devexpress.com/carimage74',
},
{
ID: 22,
TrademarkName: 'Toyota',
TrademarkID: 1,
Name: 'Camry',
Modification: 'XLE 3.5L V6 6AT',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 31260,
MPGCity: 21,
MPGHighway: 31,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '268@6200',
Torque: '248@4700',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Toyota Camry is a series of mid-size automobiles manufactured by Toyota since 1982, and sold in the majority of automotive markets throughout the world. Between 1980 and 1982, the \'\"Camry\"\" nameplate was delegated to a four-door sedan, known as the Toyota Celica Camry.\nThe name \"\"Camry\"\" is an Anglicized phonetic transcription of the Japanese word kanmuri, meaning \"\"crown\"\". This follows Toyota\'s naming tradition of using the crown name for primary models starting with the Toyota Crown in 1955, continuing with the Toyota Corona and Corolla; the Latin words for \"\"crown\"\" and \"\"small crown\"\", respectively. In Japan, it is exclusive to Toyota Corolla Store retail dealerships.\nAs of May 2012, the Camry is the best-selling passenger car in North America. The Camry also sells very well in Australia, and a number of Asian markets. Despite international success, the Camry has not sold as well in its home market Japan, where the only powertrain offered is a hybrid. In Europe, sales ended in 2004, where the similarly sized Toyota Avensis is offered instead.[4] For the East and Southeast Asian markets, high-specification Camry models are seen as executive cars. Since the XV30 series, the Camrys sold in these markets have sported revised front- and rear-end treatment. For the 2006 onwards XV40 version, the same was done, although the Australian-designed and Camry-derived Toyota Aurion (XV40) was the donor model. The Aurion features revised front- and rear-end styling and changes to the interior, but has the same powertrains as the Camry in various markets.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage25',
},
{
ID: 23,
TrademarkName: 'Nissan',
TrademarkID: 3,
Name: 'Altima',
Modification: 'SL 3.5L V6 VA',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 31350,
MPGCity: 22,
MPGHighway: 31,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '270@6400',
Torque: '251@4400',
TransmissionSpeeds: -1,
TransmissionType: 1,
Description: 'The Nissan Altima is a mid-size car manufactured by Nissan, and is a continuation of the Nissan Bluebird line, which began in 1957. The Altima primarily competes in the mainstream mid-size sedan class in the United States against its main rivals, the Toyota Camry and Honda Accord, managing to become the second best-selling car in the United States in 2011.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage26',
},
{
ID: 24,
TrademarkName: 'Honda',
TrademarkID: 4,
Name: 'Accord',
Modification: 'Ex-L V-6 6-Spd AT 3.5L V6 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 30860,
MPGCity: 21,
MPGHighway: 34,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '278@6200',
Torque: '252@4900',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Honda Accord is a series of automobiles manufactured by Honda since 1976, best known for its four-door sedan variant which has been one of the best-selling cars in the United States since 1989. The Accord nameplate has been applied to a variety of vehicles worldwide, including coupes, wagons, hatchbacks and a crossover.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 3.0',
Author: 'Gold Pony',
Source: 'devexpress.com/carimage27',
},
{
ID: 25,
TrademarkName: 'Audi',
TrademarkID: 5,
Name: 'A6',
Modification: '2.0L I4 VA',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 43095,
MPGCity: 25,
MPGHighway: 33,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 4,
Horsepower: '211@4300',
Torque: '258@1500',
TransmissionSpeeds: -1,
TransmissionType: 1,
Description: 'The Audi A6 is an executive car made by the German automaker Audi AG, now in its fourth generation. As the successor to the Audi 100, the A6 is manufactured in Neckarsulm, Germany – and is available in saloon and wagon configurations, the latter marketed by Audi as the Avant.\nAll generations of the A6 have offered either front-wheel drive or Torsen-based four-wheel drive – marketed by Audi as their Quattro system. Second- and third- generation A6 models have shared their platform with the company\'s Allroad models.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 4.0',
Author: 'OWS Photography',
Source: 'devexpress.com/carimage28',
},
{
ID: 26,
TrademarkName: 'Toyota',
TrademarkID: 1,
Name: 'Sienna',
Modification: 'LE 8 Passenger 3.5L V6 6A',
CategoryID: 4,
CategoryName: 'Minivan',
Price: 30980,
MPGCity: 18,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 4,
BodyStyleName: 'Passenger Van',
Cylinders: 6,
Horsepower: '266@6200',
Torque: '245@4700',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Toyota Sienna is a family minivan manufactured by Toyota at the Toyota Motor Manufacturing Indiana facility, in Princeton, Indiana, United States, for the North American market. It replaced the first-generation Previa van in 1997 with a more conventional front wheel drive layout and shares a heavily revised platform with the Camry. Both the Previa and original Sienna were smaller than the other minivans they competed against, but a redesign in 2004 increased the dimensions to match those of its competitors. The Sienna is currently the only minivan in its class to offer all-wheel-drive. It was redesigned a second time for the 2011 model year. The third generation Sienna was put on sale in the US in February 2010 and is the first Sienna to ever receive a \'\"Top Safety Pick\"\" award from the Insurance Institute for Highway Safety.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage15',
},
{
ID: 27,
TrademarkName: 'Honda',
TrademarkID: 4,
Name: 'Odyssey',
Modification: 'EX 3.5L V6 5A',
CategoryID: 4,
CategoryName: 'Minivan',
Price: 32655,
MPGCity: 18,
MPGHighway: 27,
Doors: 4,
BodyStyleID: 4,
BodyStyleName: 'Passenger Van',
Cylinders: 6,
Horsepower: '248@5700',
Torque: '250@4800',
TransmissionSpeeds: 5,
TransmissionType: 1,
Description: 'The Honda Odyssey is a minivan manufactured by Japanese automaker Honda since 1994, marketed worldwide, and now in its fourth generation in North America and Japan.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage16',
},
{
ID: 28,
TrademarkName: 'Dodge',
TrademarkID: 15,
Name: 'Grand Caravan',
Modification: 'SXT 3.6L V6 6A',
CategoryID: 4,
CategoryName: 'Minivan',
Price: 27690,
MPGCity: 17,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 4,
BodyStyleName: 'Passenger Van',
Cylinders: 6,
Horsepower: '283@6400',
Torque: '260@4400',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Dodge Caravan is a family minivan manufactured by Chrysler Group LLC and sold under its Dodge brand. The Caravan was introduced for the 1984 model year along with its nameplate variant, the Plymouth Voyager (1984-2001). In 1987, the Dodge Grand Caravan long-wheelbase (LWB) model was introduced and sold alongside the short-wheelbase (SWB) Caravan. The SWB model was discontinued after the 2007 model year; and, since the 2008 model year, the van has been sold only under the Grand Caravan nameplate.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Christopher Ziemnowicz',
Source: 'devexpress.com/carimage17',
},
{
ID: 29,
TrademarkName: 'Ford',
TrademarkID: 2,
Name: 'Taurus',
Modification: 'SHO AWD 3.5L V6 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 40095,
MPGCity: 17,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '365@5500',
Torque: '350@1500',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Ford Taurus is an automobile manufactured by the Ford Motor Company in the United States. Originally introduced in the 1986 model year, it has remained in near-continuous production for more than two decades, making it the fourth oldest nameplate that is currently sold in the North American Ford lineup. It has had a more upscale Mercury branded version entitled the Sable (1986–2005; 2008–2009), as well as a performance variant, the Ford Taurus SHO (1989–1999 and 2010–); in addition, it served as the basis for the first-ever front-wheel drive Lincoln Continental (1988–1994). It was a front-wheel drive mid-size car until 1999, and has been a full-size car since 2000, and available in front- or all-wheel drive since 2008. It has been built on the D3 platform since 2008.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Anonymousfox36',
Source: 'devexpress.com/carimage29',
},
{
ID: 30,
TrademarkName: 'Toyota',
TrademarkID: 1,
Name: 'Sequoia',
Modification: '2WD 5dr. SR5 5.7L V8',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 43450,
MPGCity: 13,
MPGHighway: 18,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '381@5600',
Torque: '401@3600',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Toyota Sequoia is a full size sport utility vehicle (SUV) manufactured by Toyota and derived from its Tundra pickup truck.\nIntroduced in 2000 and manufactured at Toyota Motor Manufacturing Indiana in Princeton, the Sequoia is the first vehicle from a Japanese marque in the popular mainstream full-sized SUV class in North America, and initial planning done by first-generation Sequoia chief engineer Kaoru Hosegawa aimed the Sequoia directly at the Ford Expedition, also competing with the Chevrolet Tahoe and the later Nissan Armada.\nThe Sequoia slots in above the 4Runner and below the premium Land Cruiser in the North American Toyota SUV lineup, and is the largest SUV currently being produced under the Toyota brand, with the only larger SUV in Toyota\'s history being the Mega Cruiser.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'deathpallie325',
Source: 'devexpress.com/carimage60',
},
{
ID: 31,
TrademarkName: 'Chevrolet',
TrademarkID: 18,
Name: 'Tahoe',
Modification: 'LS 2WD 5.3L V8 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 41400,
MPGCity: 15,
MPGHighway: 21,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '320@5400',
Torque: '335@4000',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Chevrolet Tahoe (and very similar GMC Yukon) are full-size SUVs from General Motors. Chevrolet and GMC sold two different-sized SUVs under their Blazer/Jimmy model names through the early 1990s. This situation changed when GMC rebadged the full-size Jimmy as the Yukon in 1992. Chevrolet waited until 1995 to rebadge the redesigned mid-size S-10 Blazer as the Blazer, renaming the full-size Blazer as the Tahoe. The Tahoe and Yukon gained a new 4-door model slotting in size between the 2-door models and the longer wheelbase and higher passenger capacity Chevrolet Suburban and newly named Yukon XL.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'HJUdall',
Source: 'devexpress.com/carimage61',
},
{
ID: 32,
TrademarkName: 'Ford',
TrademarkID: 2,
Name: 'Expedition',
Modification: 'XLT 4X2 5.4L V8 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 41600,
MPGCity: 14,
MPGHighway: 20,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '310@5100',
Torque: '365@3600',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Ford Expedition is a full-size SUV built by the Ford Motor Company. Introduced in 1996 for the 1997 model year as a replacement to the Ford Bronco, it was previously slotted between the smaller Ford Explorer and the larger Ford Excursion, but as of the 2005 model year, it is Ford\'s largest and last truck-based, off-road and tow-capable SUV. The Expedition is based heavily on the Ford F-150 pickup and continues to share various components (transmissions, electronics, chassis control systems, towing features, etc.) with the full-size half-ton pickup truck. Ford currently offers the standard regular-sized model and the longer EL/Max model, succeeding the Excursion which was discontinued in 2005.\nThe Expedition is the third Ford vehicle to use the \'\"Expedition\"\" name, as it was originally used on a 1992 concept vehicle, the F-150 Eddie Bauer Expedition. The name was subsequently and briefly used for one of the Explorer Sport (two door)\'s trim levels during the 1995 model year, before finding a home on the full-size SUV for the 1997 model year. All Expeditions were originally built in Wayne, Michigan. In 2009, Ford shifted its current third generation (2007–present) model production to Louisville, Kentucky when Ford converted the Wayne assembly plant to begin further production of the Focus. A fourth generation will arrive to dealers in either 2014 for the 2015 model year, or 2015 for the 2016 model year.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'Public Domain',
Author: 'Bull-Doser',
Source: 'devexpress.com/carimage62',
},
{
ID: 33,
TrademarkName: 'Mercedes-Benz',
TrademarkID: 10,
Name: 'G550',
Modification: '5.5L V8 7A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 113905,
MPGCity: 12,
MPGHighway: 15,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '388@6000',
Torque: '391@2800',
TransmissionSpeeds: 7,
TransmissionType: 1,
Description: 'The Mercedes-Benz G-Class or G-Wagen (as it was called from 1979 to 1994), short for Geländewagen (or cross-country vehicle), is a four-wheel drive vehicle / sport utility vehicle (SUV) produced by Steyr-Puch (now Magna Steyr) in Austria for German automaker Mercedes-Benz. The G-wagen is characterized by its boxy styling and body-on-frame construction. It uses three fully locking differentials, one of the few vehicles to have such a feature. Despite the introduction of an intended replacement, the unibody crossover SUV Mercedes-Benz GL-Class in 2006, the G-Class is still in production and is the longest produced Mercedes-Benz in Daimler\'s history, with a span of 32 years.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 3.0',
Author: 'Alekc2m',
Source: 'devexpress.com/carimage75',
},
{
ID: 34,
TrademarkName: 'Toyota',
TrademarkID: 1,
Name: 'Avalon',
Modification: 'XLE 3.5L V6 6AT',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 31785,
MPGCity: 21,
MPGHighway: 31,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '268@6200',
Torque: '248@4700',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Toyota Avalon is a full-size car produced by Toyota in the United States, and is the flagship sedan of Toyota in the United States, Canada, Puerto Rico and the Middle East. It was also produced in Australia from 2000 until July 2005 when it was replaced in November 2006 by the Toyota Aurion. The first Toyota Avalon rolled off the assembly line in Georgetown, Kentucky on February 21, 1994 as a 1995 model. A second-generation model was released in the United States and Japan in 1999. In 2000, the Toyota Avalon was the first Toyota model to feature a non-touch screen navigation system.\nToyota marketed the Avalon as filling the gap left by the discontinuation of the Toyota Cressida in the American market in 1992. While the Cressida was an upper-level midsize rear-wheel drive car with a straight-six engine, the Avalon is front-wheel drive, powered by a V6 engine. In recent years, there has been considerable overlapping with its platform mates, the Toyota Camry V6 and the Lexus ES, although the third generation Avalon was distinguished by offering extra legroom. For its fourth generation, the Avalon was introduced with a platform that is directly shared with the Lexus ES.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage30',
},
{
ID: 35,
TrademarkName: 'Audi',
TrademarkID: 5,
Name: 'S8',
Modification: '4.0L V8 8A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 110895,
MPGCity: 15,
MPGHighway: 26,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 8,
Horsepower: '520@6000',
Torque: '481@5500',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The Audi A8 is a four-door, full-size, luxury sedan car manufactured and marketed by the German automaker Audi since 1994. Succeeding the Audi V8, and now in its third generation, the A8 has been offered with both front- or permanent all-wheel drive—and in short- and long-wheelbase variants. The first two generations employed the Volkswagen Group D platform, with the current generation deriving the MLB platform. After the original model\'s 1994 release, Audi released the second generation in 2002, and the third and current iteration in 2009.\nNotable for being the first mass-market car with an aluminium chassis, all A8 models have utilised this construction method co-developed with Alcoa and marketed as the Audi Space Frame.\nA mechanically-upgraded, high-performance version of the A8 debuted in 1996 as the Audi S8. Produced exclusively at Audi\'s Neckarsulm plant, unlike the donor A8 model, the S8 has been available only in short-wheelbase form and is fitted standard with Audi\'s quattro all-wheel drive system.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Damian B Oh',
Source: 'devexpress.com/carimage31',
},
{
ID: 36,
TrademarkName: 'Nissan',
TrademarkID: 3,
Name: 'Maxima',
Modification: 'SV 3.5L V6 VA',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 34030,
MPGCity: 19,
MPGHighway: 26,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '290@6400',
Torque: '261@4400',
TransmissionSpeeds: -1,
TransmissionType: 1,
Description: 'The Nissan Maxima is an entry-level luxury car manufactured by Nissan, marketed as the \'\"four-door sports car\"\". The origins of the Maxima began in July 1976 as the Datsun 810, an upscale six-cylinder version of the Bluebird, and was spun into its own line in 1981, having been made continuously since then. The \"\"Maxima\"\" name was applied gradually, beginning in 1981. Most pre-2004 Maximas were built in Oppama, Japan, until the current North American Maximas started being assembled in Smyrna, Tennessee.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage32',
},
{
ID: 37,
TrademarkName: 'BMW',
TrademarkID: 6,
Name: '760li',
Modification: '6.0L V12 8A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 141625,
MPGCity: 13,
MPGHighway: 20,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 12,
Horsepower: '536@5250',
Torque: '550@1500',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The BMW 7 Series is a line of full-size luxury vehicles produced by the German automaker BMW. Introduced in 1977, it is BMW\'s flagship car and is only available as a sedan or extended-length limousine. The 7 Series traditionally introduces technologies and exterior design themes before they trickle down to smaller sedans in BMW\'s lineup.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage33',
},
{
ID: 38,
TrademarkName: 'Audi',
TrademarkID: 5,
Name: 'TT RS',
Modification: '2.5L I5 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 58095,
MPGCity: 18,
MPGHighway: 25,
Doors: 2,
BodyStyleID: 1,
BodyStyleName: 'Convertible',
Cylinders: 5,
Horsepower: '360@5500',
Torque: '343@1650',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Audi TT is a small two-door sports car marketed by Volkswagen Group subsidiary Audi since 1998, both assembled by the Audi subsidiary Audi Hungaria Motor Kft. in Győr, Hungary, using bodyshells manufactured and painted at Audi\'s Ingolstadt plant.\nFor each of its two generations, the TT has been available as a 2+2 Coupé and as a two-seater roadster employing consecutive generations of the Volkswagen Group A platform, starting with the A4 (PQ34). As a result of this platform-sharing, the Audi TT has identical powertrain and suspension layouts as its related platform-mates; including a front-mounted transversely oriented engine, front-wheel drive or quattro four-wheel drive system, and fully independent front suspension using MacPherson struts.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 2.0 DE',
Author: 'Lothar Spurzem',
Source: 'devexpress.com/carimage02',
},
{
ID: 39,
TrademarkName: 'Audi',
TrademarkID: 5,
Name: 'Allroad',
Modification: '2.0L I4 8A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 40495,
MPGCity: 20,
MPGHighway: 27,
Doors: 4,
BodyStyleID: 8,
BodyStyleName: 'Wagon',
Cylinders: 4,
Horsepower: '211@4300',
Torque: '258@1500',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The Audi allroad quattro is an automotive nameplate used by the German automobile manufacturer Audi, a division of the Volkswagen Group since 1999. Audi has utilised the name \'\"allroad quattro\"\" to signify semi-offroad ability on two of its mainstream model lines.\nOriginally, the name \"\"Audi allroad quattro\"\" applied to a semi-offroad version of the Audi A6 Avant (wagon) in 1999. Audi retitled subsequent generations, as released in 2006 and 2012, as \"\"Audi A6 allroad quattro\"\".\nSince 2009, Audi has offered the \"\"Audi A4 allroad quattro\"\", based on the mainstream Audi A4 Avant (wagon).',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 2.0',
Author: 'AUDI AG',
Source: 'devexpress.com/carimage69',
},
{
ID: 40,
TrademarkName: 'BMW',
TrademarkID: 6,
Name: 'Z4 Sdrive35i',
Modification: '3.0L I6 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 56075,
MPGCity: 19,
MPGHighway: 26,
Doors: 2,
BodyStyleID: 1,
BodyStyleName: 'Convertible',
Cylinders: 6,
Horsepower: '300@5800',
Torque: '300@1400',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The BMW Z4 is a rear-wheel drive sports car by the German car maker BMW. It follows a line of past BMW roadsters such as the BMW Z1, BMW 507, BMW Z8, and the BMW Z3. The Z4 replaces the Z3. First generation production started in 2002 at BMW USA\'s Greer, South Carolina plant, with production of both roadster and coupe forms. When debuted, it won Automobile Magazine \'\"Design of the Year Award\"\". Starting with the 2009 model year, the second-generation Z4 is built at BMW\'s Regensburg, Germany plant as a retractable hardtop roadster. In 2009, the BMW Z4 won the Red Dot Design Award.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 2.0',
Author: 'Milestoned',
Source: 'devexpress.com/carimage03',
},
{
ID: 41,
TrademarkName: 'BMW',
TrademarkID: 6,
Name: 'M5',
Modification: '4.4L V8 7M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 91125,
MPGCity: 14,
MPGHighway: 20,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 8,
Horsepower: '560@6000',
Torque: '500@1500',
TransmissionSpeeds: 7,
TransmissionType: 2,
Description: 'The BMW M5 is a high performance version of the BMW 5-Series executive car built by the Motorsport division of BMW. Beginning production in 1985, the first incarnation of the M5 was hand-built utilizing the 535i chassis and a modified BMW M1 engine, being the fastest production sedan in the world at the time of its introduction. Subsequent iterations of the M5 have been built from each generation of the 5-Series platform, including the E34, E39, E60/E61, and most recently, F10, with the first orders delivered in late 2011.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 2.0',
Author: 'ilikewaffles11',
Source: 'devexpress.com/carimage34',
},
{
ID: 42,
TrademarkName: 'BMW',
TrademarkID: 6,
Name: 'X6',
Modification: '4.4L V8 8A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 71325,
MPGCity: 14,
MPGHighway: 20,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '400@5500',
Torque: '450@1750',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The BMW X6 is a mid-size luxury crossover released for sale in the second quarter of 2008 for the 2009 model year by German automaker BMW. The X6 was marketed as a Sports Activity Coupé (SAC) by BMW. It combines the attributes of an SUV (high ground clearance, all wheel drive and all-weather ability, large wheels and tires) with the stance of a coupé (bold styling, dramatic sloping roof).',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage64',
},
{
ID: 43,
TrademarkName: 'Subaru',
TrademarkID: 7,
Name: 'Impreza',
Modification: '2.0L H4 5M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 19165,
MPGCity: 25,
MPGHighway: 33,
Doors: 4,
BodyStyleID: 3,
BodyStyleName: 'Hatchback',
Cylinders: 4,
Horsepower: '148@6200',
Torque: '145@4200',
TransmissionSpeeds: 5,
TransmissionType: 2,
Description: 'The Subaru Impreza is a compact automobile, manufactured since 1992 by Subaru—the automobile division of Japanese transportation conglomerate, Fuji Heavy Industries (FHI). Subaru introduced the Impreza as a replacement for the Leone, with the Leone\'s EA series engines replaced by the newer EJ series versions.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'Guillaume Vachey',
Source: 'devexpress.com/carimage11',
},
{
ID: 44,
TrademarkName: 'Subaru',
TrademarkID: 7,
Name: 'Outback',
Modification: '3.6L H6 5A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 29290,
MPGCity: 18,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 8,
BodyStyleName: 'Wagon',
Cylinders: 6,
Horsepower: '256@6000',
Torque: '247@4400',
TransmissionSpeeds: 5,
TransmissionType: 1,
Description: 'The Subaru Outback is an automotive nameplate used by the Japanese automobile manufacturer Fuji Heavy Industries (FHI) since 1994. The \'\"Outback\"\" name has been utilized on two different Subaru branded vehicles. One of these models is based on the mid-sized Subaru Legacy and the other derived from the hatchback version of the Subaru Impreza. Named after the vast, remote, and arid outback regions in Australia—the name is intended to emphasize the moderate off-road capability of the vehicle.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage70',
},
{
ID: 45,
TrademarkName: 'Volkswagen',
TrademarkID: 8,
Name: 'Jetta',
Modification: 'SE 2.5L I5 5M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 19810,
MPGCity: 23,
MPGHighway: 33,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 5,
Horsepower: '170@5700',
Torque: '177@4250',
TransmissionSpeeds: 5,
TransmissionType: 2,
Description: 'The Volkswagen Jetta is a small family car produced by German automaker Volkswagen Group for the Volkswagen Passenger Cars marque since 1979. Positioned to fill a saloon/sedan niche above the firm\'s Golf hatchback offering, it has been marketed over six generations variously as the Atlantic, Fox, Vento, Bora, City Jetta, Jetta City, GLI, Jetta, and Sagitar.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage35',
},
{
ID: 46,
TrademarkName: 'Volkswagen',
TrademarkID: 8,
Name: 'Touareg',
Modification: 'TDI Sport 3.0L V6 8A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 48320,
MPGCity: 20,
MPGHighway: 29,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '240@4000',
Torque: '406@2000',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The Volkswagen Touareg is a mid-size crossover SUV produced by German automaker Volkswagen since 2002 at the Volkswagen Bratislava Plant. The vehicle was named after the Tuareg people, a Berber-speaking group in North Africa.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage65',
},
{
ID: 47,
TrademarkName: 'Volkswagen',
TrademarkID: 8,
Name: 'Golf',
Modification: '2.5l 2.5L I5 5M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 18890,
MPGCity: 23,
MPGHighway: 33,
Doors: 2,
BodyStyleID: 3,
BodyStyleName: 'Hatchback',
Cylinders: 5,
Horsepower: '170@5700',
Torque: '177@4250',
TransmissionSpeeds: 5,
TransmissionType: 2,
Description: 'The Volkswagen Golf is a subcompact car manufactured by German automaker Volkswagen since 1974, marketed worldwide across seven generations, in various body configurations and under various nameplates – as the Volkswagen Rabbit in the United States and Canada (Mk1 and Mk5), and as the Volkswagen Caribe in Mexico (Mk1).',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 2.0',
Author: 'Allie_Caulfield',
Source: 'devexpress.com/carimage12',
},
{
ID: 48,
TrademarkName: 'Mitsubishi',
TrademarkID: 9,
Name: 'Lancer',
Modification: 'GT 2.4L I4 5M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 20790,
MPGCity: 22,
MPGHighway: 31,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 4,
Horsepower: '168@6000',
Torque: '167@4100',
TransmissionSpeeds: 5,
TransmissionType: 2,
Description: 'The Mitsubishi Lancer is a compact car produced by the Japanese manufacturer Mitsubishi Motors since 1973. It has been known as the Colt Lancer, Dodge/Plymouth Colt, Chrysler Valiant Lancer, Chrysler Lancer, Eagle Summit, Hindustan Lancer, Soueast Lioncel, and Mitsubishi Mirage in various countries at different times, and has been sold as the Mitsubishi Galant Fortis in Japan since 2007. It has also been sold as Mitsubishi Lancer Fortis in Taiwan with a different facelift compared to Galant Fortis. In Japan, it was sold at a specific retail chain called Car Plaza.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 3.0',
Author: 'XD4rkxL1ghtx',
Source: 'devexpress.com/carimage36',
},
{
ID: 49,
TrademarkName: 'Mercedes-Benz',
TrademarkID: 10,
Name: 'Slk350',
Modification: '3.5L V6 7A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 56305,
MPGCity: 21,
MPGHighway: 29,
Doors: 2,
BodyStyleID: 1,
BodyStyleName: 'Convertible',
Cylinders: 6,
Horsepower: '302@6500',
Torque: '273@3500',
TransmissionSpeeds: 7,
TransmissionType: 1,
Description: 'The SLK is a compact roadster manufactured by Mercedes-Benz in three generations; R170 launched in 1996, the R171 in 2004 and R172 in 2011.\nAs one of the first modern retractable hardtop convertibles, the SLK followed the 1995 Mitsubishi 3000GT Spyder and preceded other retractable hardtops such as the Peugeot 206cc, Lexus SC, Pontiac G6 and the Chrysler Sebring. The SLK Vario-roof was first shown on the SLK II concept car at the 1994 Paris Motor Show. The car went on sale two years later in Europe, and in 1997 in the US. The SLK is built in Bremen, Germany.\nThe designation SLK derives from the company\'s design mission to create a roadster that was at once sporty, light and short — in German: Sportlich, Leicht und Kurz.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 2.0',
Author: 'Shadman Samee',
Source: 'devexpress.com/carimage04',
},
{
ID: 50,
TrademarkName: 'Mercedes-Benz',
TrademarkID: 10,
Name: 'S600',
Modification: '5.5L V12 5A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 161205,
MPGCity: 12,
MPGHighway: 19,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 12,
Horsepower: '510@5000',
Torque: '612@1800',
TransmissionSpeeds: 5,
TransmissionType: 1,
Description: 'The Mercedes-Benz W140 is a series of flagship vehicles that were manufactured by the German automotive company Mercedes-Benz. On November 16, 1990, Mercedes-Benz unveiled the W140 S-Class via press release, later appearing in several February and March editions of magazines. The W140 made its public debut at the Geneva Motor Show in March 1991, with the first examples rolling off the production line in April 1991 and North American examples on August 6, 1991. Short (SE) and long (SEL) wheelbase sedans were offered initially, as well as the coupé (SEC) body style from October 1992. Like all Mercedes-Benz lines, the W140 S-Class was rationalized in late 1993 using the new \'\"letter-first\"\" nomenclature. The SE, SEL, and SEC cars were renamed the S-Class, with alphanumerical designations inverted. For example, the 500 SE became the S 500, and the 500 SEL became the S 500 L. In 1996 the coupé models following a mid-life update were separated into the CL-Class. The W140 series S-Class was superseded by the W220 S-Class sedan and C215 CL-Class coupe in 1999 after an eight-year production run.\nMercedes-Benz built 432,732 examples of the 140 series,[6] comprising 406,710 sedans and 26,022 coupés.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 4.0',
Author: 'OWS Photography',
Source: 'devexpress.com/carimage37',
},
{
ID: 51,
TrademarkName: 'Mercedes-Benz',
TrademarkID: 10,
Name: 'Cls550',
Modification: '4.6L V8 7A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 72905,
MPGCity: 17,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 8,
Horsepower: '402@5000',
Torque: '443@1800',
TransmissionSpeeds: 7,
TransmissionType: 1,
Description: 'The Mercedes-Benz CLS is an executive-size sedan originally launched in 2004 and based on the W211 E-Class and was internally designated as the W219. The second generation CLS-Class was introduced in September 2010 and production started in the beginning of 2011.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage38',
},
{
ID: 52,
TrademarkName: 'Mazda',
TrademarkID: 11,
Name: 'Mazda6',
Modification: '2.5L I4 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 21520,
MPGCity: 21,
MPGHighway: 30,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 4,
Horsepower: '170@6000',
Torque: '167@4000',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Mazda6 or Mazda 6 (known as the Mazda Atenza in China and Japan) is a large family car produced by the Japanese car manufacturer Mazda since 2002, now in its third generation. The Mazda6 has sold over one million units worldwide since its introduction, hitting this sales milestone faster than all previous Mazdas.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 2.0',
Author: 'Erik Drost',
Source: 'devexpress.com/carimage39',
},
{
ID: 53,
TrademarkName: 'Mazda',
TrademarkID: 11,
Name: 'Mx-5 Miata',
Modification: '2.0L I4 5M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 24515,
MPGCity: 22,
MPGHighway: 28,
Doors: 2,
BodyStyleID: 1,
BodyStyleName: 'Convertible',
Cylinders: 4,
Horsepower: '167@7000',
Torque: '140@5000',
TransmissionSpeeds: 5,
TransmissionType: 2,
Description: 'The MX-5, released as the MX-5 Miata in North America, and the Roadster in Japan, is a lightweight two-seater roadster with a front-engine, rear-wheel-drive layout. Manufactured by Mazda in Hiroshima, Japan, the model debuted in 1989 at the Chicago Auto Show. The MX-5 was conceived as a small roadster – with light weight and minimal mechanical complexity limited only by legal and safety requirements; technologically modern, but philosophically descending from small British and Italian roadsters of the 1960s such as the Triumph Spitfire, MG MGB, Fiat 124 Sport Spider, Alfa Romeo Spider, and Lotus Elan.\nThe second generation MX-5 (NB) was launched in 1998 and the current (NC) model has been in production since 2005. It continues to be the best-selling two-seat convertible sports car in history and by February 2011 over 900,000 MX-5s had been built and sold around the world.\nSince the launch of the third generation, Mazda consolidated worldwide marketing using the MX-5 name with the exception of North America where it is marketed as the MX-5 Miata. The name Miata derives from Old High German for reward.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'Public Domain',
Author: 'IFCAR',
Source: 'devexpress.com/carimage01',
},
{
ID: 54,
TrademarkName: 'KIA',
TrademarkID: 12,
Name: 'RIO',
Modification: 'EX 1.6L I4 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 17300,
MPGCity: 28,
MPGHighway: 36,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 4,
Horsepower: '138@6300',
Torque: '123@4850',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Kia Rio is a subcompact automobile manufactured and marketed by Kia Motors since August 2000 and now in its third generation. Body styles have included a five-door hatchback and four-door sedan body styles, equipped with inline-four gasoline and diesel engines, and front-wheel drive.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Jakub CA',
Source: 'devexpress.com/carimage40',
},
{
ID: 55,
TrademarkName: 'KIA',
TrademarkID: 12,
Name: 'Soul',
Modification: '2.0L I4 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 20700,
MPGCity: 23,
MPGHighway: 28,
Doors: 4,
BodyStyleID: 3,
BodyStyleName: 'Hatchback',
Cylinders: 4,
Horsepower: '164@6500',
Torque: '148@4800',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Kia Soul is a subcompact car designed at Kia\'s design center in California, unveiled at the 2008 Paris Motor Show, manufactured in South Korea and marketed globally beginning with model year 2010.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'Public Domain',
Author: 'US NHTSA',
Source: 'devexpress.com/carimage13',
},
{
ID: 56,
TrademarkName: 'Land Rover',
TrademarkID: 13,
Name: 'LR4',
Modification: '5.0L V8 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 49995,
MPGCity: 12,
MPGHighway: 17,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '375@6500',
Torque: '375@3500',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Land Rover Discovery is an offroad focused mid-size SUV, from the British car maker Land Rover. There have been four generations of the vehicle, which was first introduced in 1989. The current Discovery 4 is marketed in North America as the LR4.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 2.0',
Author: 'Land Rover MENA',
Source: 'devexpress.com/carimage66',
},
{
ID: 57,
TrademarkName: 'Land Rover',
TrademarkID: 13,
Name: 'Range Rover Supercharged',
Modification: '5.0L V8 8A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 99995,
MPGCity: 13,
MPGHighway: 19,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '510@6000',
Torque: '461@2500',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The Range Rover is a large luxury four-wheel drive sport utility vehicle (SUV) flagship model produced by British car maker Land Rover, which is part of the Jaguar Land Rover group, a subsidiary of Tata Motors of India.\nThe model, launched in 1970, is now in its fourth generation. Range Rover is also being developed by Land Rover as its premium brand, and it is used as a brand name on two other models – the Range Rover Evoque and the Range Rover Sport.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'HJUdall',
Source: 'devexpress.com/carimage67',
},
{
ID: 58,
TrademarkName: 'Chrysler',
TrademarkID: 14,
Name: '200 Convertible',
Modification: 'S 3.6L V6 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 34015,
MPGCity: 19,
MPGHighway: 29,
Doors: 2,
BodyStyleID: 1,
BodyStyleName: 'Convertible',
Cylinders: 6,
Horsepower: '283@6400',
Torque: '260@4400',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Chrysler 200 is an entry-level luxury car produced by the American manufacturer Chrysler, introduced during the 2011 model year. It is an update and new nameplate for the outgoing 2010 Chrysler Sebring. The 200 name first appeared on a prototype hybrid vehicle shown at the 2009 North American International Auto Show in Detroit, called the 200C. The prototype was based on the Chrysler 300. While Chrysler\'s sales chief, Steven Landry, said it had been approved for production, CEO Sergio Marchionne later said it was not practical. The 200C concept was engineered to accept either a traditional gasoline engine, hybrid or electric powertrain.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Damian B Oh',
Source: 'devexpress.com/carimage05',
},
{
ID: 59,
TrademarkName: 'Dodge',
TrademarkID: 15,
Name: 'SRT Viper',
Modification: 'GTS 8.4L V10 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 122390,
MPGCity: 13,
MPGHighway: 18,
Doors: 2,
BodyStyleID: 2,
BodyStyleName: 'Coupe',
Cylinders: 10,
Horsepower: '640@6200',
Torque: '600@5000',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The SRT Viper (formerly the Dodge Viper prior to the 2013 model year) is a V10-powered sports car, manufactured by the Dodge (SRT after 2013) division of Chrysler. Production of the two-seat sports car began at New Mack Assembly in 1991 and moved to its current home at Conner Avenue Assembly in October 1995.\nThe Viper was initially conceived in late 1988 at Chrysler\'s Advanced Design Studios. The following February, Chrysler president Bob Lutz suggested to Tom Gale at Chrysler Design that the company should consider producing a modern Cobra, and a clay model was presented to Lutz a few months later. Produced in sheet metal by Metalcrafters, the car appeared as a concept at the North American International Auto Show in 1989. Public reaction was so enthusiastic that chief engineer Roy Sjoberg was directed to develop it as a standard production vehicle.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 2.0',
Author: 'Alden Jewell',
Source: 'devexpress.com/carimage07',
},
{
ID: 60,
TrademarkName: 'Dodge',
TrademarkID: 15,
Name: 'Challenger',
Modification: 'Srt8 6.4L V8 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 45190,
MPGCity: 14,
MPGHighway: 23,
Doors: 2,
BodyStyleID: 2,
BodyStyleName: 'Coupe',
Cylinders: 8,
Horsepower: '470@6000',
Torque: '470@4200',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Dodge Challenger is the name of three different generations of automobiles marketed by the Dodge division of Chrysler. The Dodge Silver Challenger was produced in 1959. From 1970 to 1974, the first generation Dodge Challenger pony car was built using the Chrysler E platform, sharing major components with the Plymouth Barracuda. The second generation, from 1978 to 1983, was a badge engineered Mitsubishi Galant Lambda. The third, and current generation, was introduced in 2008 as a rival to the evolved fifth generation Ford Mustang and the reintroduced fifth generation Chevrolet Camaro.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Calreyn88',
Source: 'devexpress.com/carimage08',
},
{
ID: 61,
TrademarkName: 'Dodge',
TrademarkID: 15,
Name: 'Charger',
Modification: 'SE RWD 3.6L V6 5A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 27290,
MPGCity: 18,
MPGHighway: 27,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '292@6350',
Torque: '260@4800',
TransmissionSpeeds: 5,
TransmissionType: 1,
Description: 'The Dodge Charger is an American automobile manufactured by the Dodge division of Chrysler. There have been several different Dodge vehicles, built on three different platforms and sizes, all bearing the Charger nameplate. The name is generally associated with a performance model in the Dodge range; however, it has also adorned subcompact hatchbacks, full-sized sedans, and personal luxury coupes.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Real Liquidstone',
Source: 'devexpress.com/carimage41',
},
{
ID: 62,
TrademarkName: 'Lexus',
TrademarkID: 16,
Name: 'RX 350',
Modification: '3.5L V6 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 41955,
MPGCity: 18,
MPGHighway: 24,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '270@6200',
Torque: '248@4700',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Lexus RX is a crossover sport utility vehicle (SUV) sold since 1998 by Lexus, the luxury division of Toyota. Originally released in its home market of Japan in late 1997 as the Toyota Harrier, exports began in early 1998 as Lexus RX. Three generations of the Lexus RX have been produced to date, the first being compact in size, and the latter two classified as mid-size. Both front- and four-wheel drive configurations have been used on the RX series, and several gasoline powertrain options, including V6 engines and hybrid systems, have been offered. In the Lexus model lineup, the RX sits below the larger GX and LX body-on-frame SUVs, and remains the marque\'s only crossover model. The RX name stands for Radiant Crossover. It has also been labelled as \'\"Recreation Cross Country\"\" in some markets.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage68',
},
{
ID: 63,
TrademarkName: 'Lexus',
TrademarkID: 16,
Name: 'IS 350',
Modification: '3.5L V6 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 43675,
MPGCity: 19,
MPGHighway: 26,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '306@6400',
Torque: '277@4800',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Lexus IS is a series of entry-level luxury cars / compact executive cars sold by Lexus since 1998. The IS was introduced as an entry-level sport model slotted below the ES in the Lexus lineup (and outside of North America, the Lexus GS). The IS was originally sold under the Toyota Altezza nameplate in Japan (the word \'\"altezza\"\" is Italian for \"\"highness\"\") until the introduction of the Lexus brand and the second generation Lexus IS design in 2006. The Altezza name is still used at times to refer to chromed car taillights like those fitted to the first generation model, known as \'Altezza lights\' or \'Lexus-style\' lights.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Ethan Llamas',
Source: 'devexpress.com/carimage42',
},
{
ID: 64,
TrademarkName: 'Chevrolet',
TrademarkID: 18,
Name: 'Malibu',
Modification: 'LS 2.5L I4 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 22805,
MPGCity: 22,
MPGHighway: 34,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 4,
Horsepower: '197@6300',
Torque: '191@4400',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Chevrolet Malibu is a mid-size car produced by the American manufacturer General Motors (GM) from 1964 to 1983 and from 1997 to present. The Malibu began as a trim-level of the Chevrolet Chevelle, but became its own model line in 1978. Originally a rear-wheel-drive intermediate, GM revived the Malibu nameplate as a front-wheel-drive car in 1997. It is named after the city of Malibu, California.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage43',
},
{
ID: 65,
TrademarkName: 'Chevrolet',
TrademarkID: 18,
Name: 'Camaro',
Modification: 'ZL1 6.2L V8 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 55250,
MPGCity: 14,
MPGHighway: 19,
Doors: 2,
BodyStyleID: 1,
BodyStyleName: 'Convertible',
Cylinders: 8,
Horsepower: '580@6000',
Torque: '556@4200',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Chevrolet Camaro is an automobile manufactured by General Motors under the Chevrolet brand, classified as a pony car and some versions also as a muscle car. It went on sale on September 29, 1966, for the 1967 model year and was designed as a competing model to the Ford Mustang. The car shared its platform and major components with the Pontiac Firebird, also introduced for 1967.\nFour distinct generations of the Camaro were developed before production ended in 2002. The nameplate was revived again on a concept car that evolved into the fifth-generation Camaro; production started on March 16, 2009.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 3.0',
Author: 'Noah Wulf',
Source: 'devexpress.com/carimage06',
},
{
ID: 66,
TrademarkName: 'Chevrolet',
TrademarkID: 18,
Name: 'Corvette Coupe',
Modification: 'ZR1 3ZR 6.2L V8 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 122595,
MPGCity: 14,
MPGHighway: 21,
Doors: 2,
BodyStyleID: 2,
BodyStyleName: 'Coupe',
Cylinders: 8,
Horsepower: '638@6500',
Torque: '604@3800',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Chevrolet Corvette is a sports car by the Chevrolet division of General Motors (GM) that has been produced in seven generations. The first model, a convertible, was designed by Harley Earl and introduced at the GM Motorama in 1953 as a concept show car. Myron Scott is credited for naming the car after the type of small, maneuverable warship called a corvette. Originally built in Flint, Michigan and St. Louis, Missouri, the Corvette is currently manufactured in Bowling Green, Kentucky and is the official sports car of the Commonwealth of Kentucky.\nA Corvette has been used as the Indianapolis 500 pace car 12 times.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 4.0',
Author: 'OWS Photography',
Source: 'devexpress.com/carimage09',
},
{
ID: 67,
TrademarkName: 'RAM',
TrademarkID: 19,
Name: '3500 Regular CAB 4X4',
Modification: 'ST LWB 5.7L V8 6A',
CategoryID: 3,
CategoryName: 'Truck',
Price: 34370,
MPGCity: 0,
MPGHighway: 0,
Doors: 2,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 8,
Horsepower: '383@5600',
Torque: '400@4000',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: "",
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'HJUdall',
Source: 'devexpress.com/carimage22',
},
{
ID: 68,
TrademarkName: 'RAM',
TrademarkID: 19,
Name: '2500 Mega CAB 4X4',
Modification: 'SLT SWB 5.7L V8 6A',
CategoryID: 3,
CategoryName: 'Truck',
Price: 42460,
MPGCity: 0,
MPGHighway: 0,
Doors: 4,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 8,
Horsepower: '383@5600',
Torque: '400@4000',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: "",
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'HJUdall',
Source: 'devexpress.com/carimage23',
},
{
ID: 69,
TrademarkName: 'Ford',
TrademarkID: 2,
Name: 'F-350 SD Supercab 4X4',
Modification: '6.2L V8 6A',
CategoryID: 3,
CategoryName: 'Truck',
Price: 48050,
MPGCity: 0,
MPGHighway: 0,
Doors: 4,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 8,
Horsepower: '316@4179',
Torque: '397@4179',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The F-Series is a series of full-size pickup trucks from Ford Motor Company which has been sold continuously for over six decades.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 3.0',
Author: 'Cristianv14',
Source: 'devexpress.com/carimage24',
},
{
ID: 70,
TrademarkName: 'Ford',
TrademarkID: 2,
Name: 'Mustang GT Coupe',
Modification: '5.0L V8 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 31545,
MPGCity: 15,
MPGHighway: 26,
Doors: 3,
BodyStyleID: 2,
BodyStyleName: 'Coupe',
Cylinders: 8,
Horsepower: '420@6500',
Torque: '390@4250',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Ford Mustang is an automobile manufactured by the Ford Motor Company. It was initially based on the platform of the second generation North American Ford Falcon, a compact car. Introduced early on April 17, 1964, and thus dubbed as a \'\"1964½\"\" model by Mustang fans, the 1965 Mustang was the automaker\'s most successful launch since the Model A. The Mustang has undergone several transformations to its current fifth generation.\nThe Mustang created the \"\"pony car\"\" class of American automobiles—sports car-like coupes with long hoods and short rear decks—and gave rise to competitors such as the Chevrolet Camaro, and Pontiac Firebird, AMC Javelin, as well as Chrysler\'s revamped Plymouth Barracuda and the first generation Dodge Challenger. The Mustang is also credited for inspiring the designs of coupés such as the Toyota Celica and Ford Capri, which were imported to the United States.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 3.0',
Author: 'Tobias \'\"ToMar\"\" Maier',
Source: 'devexpress.com/carimage10',
},
];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
import { AzureOpenAI, OpenAI } from 'openai';
import {
AIIntegration,
type RequestParams,
type Response,
} from 'devextreme-vue/common/ai-integration';
import notify from 'devextreme/ui/notify';
type AIMessage = (OpenAI.ChatCompletionUserMessageParam | OpenAI.ChatCompletionSystemMessageParam) & {
content: string;
};
const AzureOpenAIConfig = {
dangerouslyAllowBrowser: true,
deployment: 'demo-mini',
apiVersion: '2024-02-01',
endpoint: 'https://public-api.devexpress.com/demo-openai',
apiKey: 'DEMO',
};
const RATE_LIMIT_RETRY_DELAY_MS = 30000;
const MAX_PROMPT_SIZE = 5000;
const service = new AzureOpenAI(AzureOpenAIConfig);
async function getAIResponse(messages: AIMessage[], signal: AbortSignal) {
const params = {
messages,
model: AzureOpenAIConfig.deployment,
max_completion_tokens: 1000,
temperature: 0.7,
};
const response = await service.chat.completions.create(params, { signal });
const result = response.choices[0].message?.content;
if (!result) {
throw new Error('AI response returned empty content');
}
return result;
}
function getAIResponseRecursive(messages: AIMessage[], signal: AbortSignal): Promise<string> {
return getAIResponse(messages, signal)
.catch(async (error) => {
if (!error.message.includes('Connection error')) {
return Promise.reject(error);
}
notify({
message: 'Our demo AI service reached a temporary request limit. Retrying in 30 seconds.',
width: 'auto',
type: 'error',
displayTime: 5000,
});
await new Promise((resolve) => setTimeout(resolve, RATE_LIMIT_RETRY_DELAY_MS));
return getAIResponseRecursive(messages, signal);
});
}
export const aiIntegration = new AIIntegration({
sendRequest({ prompt }: RequestParams): Response {
const isValidRequest = JSON.stringify(prompt.user).length < MAX_PROMPT_SIZE;
if (!isValidRequest) {
return {
promise: Promise.reject(new Error('Request is too long. Specify a shorter prompt.')),
abort: () => {},
};
}
const controller = new AbortController();
const signal = controller.signal;
if (!prompt.user || !prompt.system) {
throw new Error('Invalid prompt data');
}
const aiPrompt: AIMessage[] = [
{ role: 'system', content: prompt.system },
{ role: 'user', content: prompt.user },
];
const promise = getAIResponseRecursive(aiPrompt, signal);
const result: Response = {
promise,
abort: () => {
controller.abort();
},
};
return result;
},
});
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>

<dx-data-grid
id="gridContainer"
keyExpr="ID"
[dataSource]="vehicles"
[showBorders]="true"
[aiIntegration]="aiIntegration"
(onAIColumnRequestCreating)="onAIColumnRequestCreating($event)"
>
<dxo-data-grid-grouping [contextMenuEnabled]="false" />
<dxo-data-grid-paging [pageSize]="10" />
<dxi-data-grid-column
dataField="TrademarkName"
caption="Trademark"
[width]="200"
cellTemplate="trademarkTemplate"
/>
<div *dxTemplate="let model of 'trademarkTemplate'">
<trademark
[id]="model.data.ID"
[name]="model.data.Name"
[trademarkName]="model.data.TrademarkName"
(showInfo)="showInfo(model.data)"
/>
</div>
<dxi-data-grid-column
dataField="Price"
format="currency"
alignment="left"
[width]="100"
/>
<dxi-data-grid-column
dataField="CategoryName"
caption="Category"
[minWidth]="180"
cellTemplate="categoryTemplate"
/>
<div *dxTemplate="let model of 'categoryTemplate'">
<category [category]="model.data.CategoryName" />
</div>
<dxi-data-grid-column dataField="Modification" [width]="180" />
<dxi-data-grid-column dataField="Horsepower" [width]="140" />
<dxi-data-grid-column
dataField="BodyStyleName"
caption="Body Style"
[width]="180"
/>
<dxi-data-grid-column
name="AI Column"
caption="AI Column"
cssClass="ai__cell"
type="ai"
[fixed]="true"
fixedPosition="right"
[width]="200"
>
<dxo-data-grid-ai
prompt="Identify the country where the vehicle model is manufactured. When looking up a country, consider vehicle brand, model, and specifications."
mode="auto"
noDataText="No data"
/>
</dxi-data-grid-column>
</dx-data-grid>
<dx-popup
title="Image Info"
[width]="360"
[height]="260"
[(visible)]="popupVisible"
[dragEnabled]="false"
[hideOnOutsideClick]="true"
(onHiding)="hideInfo()"
>
<dxo-position at="center" my="center" collision="fit" />
<div *dxTemplate="let _ of 'content'">
@if(currentVehicle) {
<license-info [vehicle]="currentVehicle" />
}
</div>
</dx-popup>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxDataGridModule, DxPopupModule } from 'devextreme-angular';
import type { AIIntegration } from 'devextreme-angular/common/ai-integration';
import { Service, type Vehicle } from './app.service';
import { AiService } from './ai/ai.service';
import { Trademark } from './trademark/trademark.component';
import { Category } from './category/category.component';
import { LicenseInfo } from './license-info/license-info.component';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
providers: [Service, AiService],
imports: [
DxDataGridModule,
DxPopupModule,
Trademark,
Category,
LicenseInfo,
],
})
export class AppComponent {
vehicles: Vehicle[];
popupVisible = false;
currentVehicle: Vehicle | null = null;
aiIntegration: AIIntegration;
constructor(service: Service, aiService: AiService) {
this.vehicles = service.getVehicles();
this.aiIntegration = aiService.getAiIntegration();
}
showInfo(vehicle: Vehicle) {
this.currentVehicle = vehicle;
this.popupVisible = true;
}
hideInfo() {
this.popupVisible = false;
}
onAIColumnRequestCreating(e: { data: Partial<Vehicle>[] }) {
e.data = e.data.map((item) => ({
ID: item.ID,
TrademarkName: item.TrademarkName,
Name: item.Name,
Modification: item.Modification,
}));
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
::ng-deep #gridContainer {
min-height: 560px;
}
::ng-deep #gridContainer .ai__cell {
background-color: var(--dx-datagrid-row-alternation-bg);
}
import { Injectable } from '@angular/core';
export interface Vehicle {
ID: number;
TrademarkName: string;
TrademarkID: number;
Name: string;
Modification: string;
CategoryID: number;
CategoryName: string;
Price: number;
MPGCity: number;
MPGHighway: number;
Doors: number;
BodyStyleID: number;
BodyStyleName: string;
Cylinders: number;
Horsepower: string;
Torque: string;
TransmissionSpeeds: number;
TransmissionType: number;
Description: string;
DeliveryDate: boolean;
InStock: boolean;
Edits: string;
LicenseName: string;
Author: string;
Source: string;
}
const vehicles: Vehicle[] = [
{
ID: 1,
TrademarkName: 'Toyota',
TrademarkID: 1,
Name: 'Venza',
Modification: 'LE FWD',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 28695,
MPGCity: 20,
MPGHighway: 26,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '181@5800',
Torque: '182@4200',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Toyota Venza is a mid-size crossover SUV (CUV) produced by Japanese automaker Toyota and unveiled at the 2008 North American International Auto Show in Detroit. Based on the Toyota FT-SX concept car unveiled at the 2005 North American International Auto Show, the Venza was primarily engineered at Toyota Technical Center in Ann Arbor, Michigan, and designed at the Calty Design studios in Newport Beach, California. It is currently slotted in size and price between the RAV4 compact crossover SUV, and the Highlander mid-size crossover SUV that has third-row seating. However, the Venza is an inch longer than the Highlander and for the 2009-2010 model years, the base Venza\'s MSRP was $1000 USD higher than the base Highlander.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage44',
},
{
ID: 2,
TrademarkName: 'Ford',
TrademarkID: 2,
Name: 'Edge',
Modification: 'SEL FWD 3.5L V6 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 31995,
MPGCity: 19,
MPGHighway: 27,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '285@6500',
Torque: '253@4000',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Ford Edge is a mid-size crossover SUV (CUV) manufactured by Ford, based on the Ford CD3 platform shared with the Mazda CX-9.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Vauxford',
Source: 'devexpress.com/carimage45',
},
{
ID: 3,
TrademarkName: 'Nissan',
TrademarkID: 3,
Name: 'Murano',
Modification: 'S FWD 3.5L V6 VA',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 29285,
MPGCity: 18,
MPGHighway: 24,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '260@6000',
Torque: '240@4400',
TransmissionSpeeds: -1,
TransmissionType: 1,
Description: 'The Nissan Murano is a mid-size crossover SUV first sold by Nissan in December 2002 as a 2003 model. Nissan introduced the Murano as its first crossover SUV for the United States and Canada. Initially designed at Nissan America in La Jolla, California, the first generation Murano was based on the Nissan FF-L platform first used by the third generation Altima. The single European version of the Murano began sales in 2004.[3] A convertible variant, marketed as the CrossCabriolet, premiered at the 2010 Los Angeles International Auto Show for model year 2011.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Minseong Kim',
Source: 'devexpress.com/carimage46',
},
{
ID: 4,
TrademarkName: 'Honda',
TrademarkID: 4,
Name: 'Crosstour',
Modification: 'EX 2WD 2.4L I4 5A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 28060,
MPGCity: 22,
MPGHighway: 31,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '192@7000',
Torque: '162@4400',
TransmissionSpeeds: 5,
TransmissionType: 1,
Description: 'The Crosstour (initially branded the Accord Crosstour) is a full-size crossover SUV manufactured by Japanese automaker Honda. Sales began in November 2009 for the 2010 model year.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage47',
},
{
ID: 5,
TrademarkName: 'Audi',
TrademarkID: 5,
Name: 'Q5',
Modification: '2.0L I4 8A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 36795,
MPGCity: 20,
MPGHighway: 28,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '211@4300',
Torque: '258@1500',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The Audi Q5 (Typ 8R) is a mid-sized utility vehicle (SUV) manufactured and marketed by Audi since 2008, using the Audi MLP platform (Modular Longitudinal Platform) which debuted on the 2007 Audi A5 coupé. The Q5 is smaller than the Audi Q7 and larger than the Audi Q3.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage76',
},
{
ID: 6,
TrademarkName: 'BMW',
TrademarkID: 6,
Name: 'X3',
Modification: '2.0L I4 8A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 39775,
MPGCity: 21,
MPGHighway: 28,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '240@5000',
Torque: '260@1250',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The BMW X3 is a crossover marketed by German automaker BMW since 2003. Based on the BMW 3 Series platform, and now in its second generation, BMW markets the crossover as a Sports Activity Vehicle, the company\'s proprietary descriptor for its X-line of vehicles. The first generation X3 was designed by BMW in conjunction with Magna Steyr of Graz, Austria—who also manufactured all X3s under contract to BMW. BMW manufactures the second generation X3 at their Spartanburg plant in South Carolina, United States.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage49',
},
{
ID: 7,
TrademarkName: 'Subaru',
TrademarkID: 7,
Name: 'Forester',
Modification: '2.5L H4 5M',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 22090,
MPGCity: 21,
MPGHighway: 27,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '170@5800',
Torque: '174@4100',
TransmissionSpeeds: 5,
TransmissionType: 2,
Description: 'The Subaru Forester is a crossover manufactured since 1997 by Fuji Heavy Industries and sold under the Subaru brand. Available in Japan from 1997, the Forester shares its platform with the Impreza. It was introduced in 1997 as a compact crossover wagon. After ten years of production, it grew to a mid-size crossover SUV. It has been crowned Motor Trend\'s 2014 SUV of the Year.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage50',
},
{
ID: 8,
TrademarkName: 'Volkswagen',
TrademarkID: 8,
Name: 'Tiguan',
Modification: 'S 2.0L I4 6M',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 23820,
MPGCity: 18,
MPGHighway: 26,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '200@5100',
Torque: '207@1700',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'Volkswagen Tiguan is a compact crossover vehicle (CUV) manufactured by German automaker Volkswagen using the PQ35 platform of the Volkswagen Golf. All Tiguans feature two-row seating and four-cylinder engines.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Alexander Migl',
Source: 'devexpress.com/carimage51',
},
{
ID: 9,
TrademarkName: 'Mitsubishi',
TrademarkID: 9,
Name: 'Outlander',
Modification: 'GT S-Awc 3.0L V6 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 29420,
MPGCity: 19,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '230@6250',
Torque: '215@3750',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Mitsubishi Outlander is a crossover manufactured by Japanese automaker Mitsubishi Motors. It was originally known as the Mitsubishi Airtrek when it was introduced in Japan in 2001, and was based on the Mitsubishi ASX concept vehicle exhibited at the 2001 North American International Auto Show. It was sold at Mitsubishi Japan dealership chain called Car Plaza. The ASX (Active Sports Crossover) represented Mitsubishi\'s approach to the industry wide SUV trend for retaining the all-season and off-road abilities offered by a high ground clearance and four-wheel drive, while still offering car-like levels of emissions, economy and size.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage52',
},
{
ID: 10,
TrademarkName: 'Mercedes-Benz',
TrademarkID: 10,
Name: 'Ml350',
Modification: '3.5L V6 7A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 48175,
MPGCity: 18,
MPGHighway: 23,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '302@6500',
Torque: '273@3500',
TransmissionSpeeds: 7,
TransmissionType: 1,
Description: 'The Mercedes-Benz M-Class is a luxury midsize sport utility vehicle (SUV), first offered in 1997 as a 1998 model, and built by the German automaker Mercedes-Benz. Gradually, the M-Class became a sales success in the United States and Mexico. In terms of size, it is slotted in between the smaller GLK-Class (based on the C-Class) and the larger GL-Class, with which it shares platforms. For a short time, between the years 1999 and 2002, the M-Class was also built by Magna Steyr in Graz, Austria, for the European market, before all production moved to the U.S. plant near Vance, Alabama.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'Attribution Only',
Author: 'M 93',
Source: 'devexpress.com/carimage53',
},
{
ID: 11,
TrademarkName: 'Mazda',
TrademarkID: 11,
Name: 'Cx-5',
Modification: 'Sport FWD 2.0L I4 6M',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 21790,
MPGCity: 26,
MPGHighway: 35,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '155@6000',
Torque: '150@4000',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Mazda CX-5 is a compact/small-family crossover SUV produced by Mazda starting in 2012 for the 2013 model year lineup. It is Mazda\'s first car featuring the new KODO - Soul of Motion Design language[9] first shown in the Shinari concept vehicle in May 2010. It is also the first vehicle featuring the company\'s full Skyactiv Technology suite, featuring a rigid, lightweight platform, combined with a new series of efficient engines and transmissions resulting in reduced emissions and fuel consumption. The Skyactiv Engine and Transmission Technologies were released in the 2012 Mazda3 compact sedan and hatchback.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage54',
},
{
ID: 12,
TrademarkName: 'KIA',
TrademarkID: 12,
Name: 'Sportage',
Modification: 'SX AWD 2.0L I4 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 29250,
MPGCity: 20,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '260@6000',
Torque: '269@1850',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Kia Sportage is a compact crossover SUV built by the Korean automaker Kia Motors since July 1993.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'JustAnotherCarDesigner',
Source: 'devexpress.com/carimage55',
},
{
ID: 13,
TrademarkName: 'Land Rover',
TrademarkID: 13,
Name: 'Range Rover Evoque',
Modification: '2.0L I4 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 42040,
MPGCity: 20,
MPGHighway: 28,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '240@5500',
Torque: '251@1750',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Range Rover Evoque is a compact sport utility vehicle (SUV) produced by the British manufacturer Land Rover, part of Tata\'s Jaguar Land Rover group. It has been produced since July 2011 in three and five-door versions, with both two-wheel and four-wheel drive. The Evoque is designed to appeal to urban buyers and meet requirements for lower CO2 emissions and fuel economy. The production vehicle is similar to the Land Rover LRX concept, which was unveiled at the North American International Auto Show in January 2008. The Evoque has been received positively by the automotive press for retaining the features, amenities, and off-road capabilities of a traditional Range Rover in a smaller package. Land Rover sold nearly 88,000 units of the Evoque in its first year of production.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Alexander Migl',
Source: 'devexpress.com/carimage56',
},
{
ID: 14,
TrademarkName: 'Chrysler',
TrademarkID: 14,
Name: 'Town & Country',
Modification: 'Limited 3.6L V6 6A',
CategoryID: 4,
CategoryName: 'Minivan',
Price: 42140,
MPGCity: 17,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 4,
BodyStyleName: 'Passenger Van',
Cylinders: 6,
Horsepower: '283@6400',
Torque: '260@4400',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Chrysler Town & Country is a luxury minivan sold worldwide by the Chrysler division of Chrysler Group LLC. The model was introduced in 1989 as a traditional minivan.\nThe Town & Country has evolved through five generations, offered variously in long-wheelbase (LWB) and short-wheelbase (SWB) versions — though currently only in LWB form. Anniversary editions have included the 1994 \'\"10 Year Anniversary Edition\"\" and the 2004 Platinum Series, marking the Chrysler twentieth year of minivan production.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'crash71100',
Source: 'devexpress.com/carimage71',
},
{
ID: 15,
TrademarkName: 'Dodge',
TrademarkID: 15,
Name: 'Durango',
Modification: 'SXT RWD 3.6L V6 5A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 30790,
MPGCity: 16,
MPGHighway: 23,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '290@6400',
Torque: '260@4800',
TransmissionSpeeds: 5,
TransmissionType: 1,
Description: 'The Dodge Durango is a sport utility vehicle (SUV) produced by the Dodge division of Chrysler. The first two generations were very similar in that both were based on the Dodge Dakota, both featured a body-on-frame construction and both were produced at the Newark Assembly plant in Newark, Delaware. However, they did differ in that the first generation was classified as a mid-size SUV while, the second generation was classified as a full-size SUV.\nThe third generation Durango however is built on the same platform as the Jeep Grand Cherokee, features unibody construction and is currently being assembled at the Jefferson North Assembly plant in Detroit, Michigan. However, it does retain the previous generation\'s classification as a full-size SUV.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'DestinationFearFan',
Source: 'devexpress.com/carimage57',
},
{
ID: 16,
TrademarkName: 'Lexus',
TrademarkID: 16,
Name: 'LX 570',
Modification: '5.7L V8 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 82425,
MPGCity: 12,
MPGHighway: 17,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '383@5600',
Torque: '403@3600',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Lexus LX is a full-size luxury sport utility vehicle (SUV) sold by Lexus since 1996. Three generations of the Lexus LX have been produced, all based heavily on the long-running Toyota Land Cruiser series of SUVs. The first generation LX 450 debuted in 1996 as Lexus\' first entry into the SUV market. Its successor, the LX 470, premiered in 1998 and was produced until 2006. The latest third generation Lexus LX 570 debuted at the New York International Auto Show in April 2007 as a complete redesign for the 2008 model year. The LX 570 is not offered to the Japanese market, but is sold by Lexus in Russia, Brunei, Australia, New Zealand, Dominican Republic, China, Indonesia, Philippines, Taiwan, Middle East, and North America; in those regions, the related Land Cruiser is also sold by Toyota. The LX is not available in the rest of the world, where the Toyota Land Cruiser 200 is sold.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'HJUdall',
Source: 'devexpress.com/carimage58',
},
{
ID: 17,
TrademarkName: 'Suzuki',
TrademarkID: 17,
Name: 'Grand Vitara',
Modification: 'Limited 4WD 2.4L I4 4A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 26799,
MPGCity: 19,
MPGHighway: 23,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 4,
Horsepower: '166@6000',
Torque: '162@4000',
TransmissionSpeeds: 4,
TransmissionType: 1,
Description: 'The Suzuki Escudo (known as Sidekick in USA, Vitara in most of Western Europe, Bolivia, Ecuador, the Philippines, Hong Kong, Taiwan as well as North America after 1999 and the Grand Vitara in the United Kingdom, Eastern Europe, parts of South Asia, the Caribbean, South Africa, Iran, Canada, and Australia) is an off-road vehicle that has been in production since 1988. The North American version was produced as a joint venture between Suzuki and General Motors known as CAMI. The vehicle was a follow-up to the popular SJ413 and Samurai. Also, this vehicle, while sold in North America, was designed to slot above the Samurai. A larger version is also made, known as the Suzuki Grand Escudo (known as Grand Vitara XL-7 in other markets). The name is derived from the \'\"escudo\"\", the monetary unit of Portugal until the Euro was adopted.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage59',
},
{
ID: 18,
TrademarkName: 'Toyota',
TrademarkID: 1,
Name: 'Tundra 4x4 Reg. Cab',
Modification: '5.7L V8',
CategoryID: 3,
CategoryName: 'Truck',
Price: 31645,
MPGCity: 13,
MPGHighway: 17,
Doors: 2,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 8,
Horsepower: '381@5600',
Torque: '401@3600',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Toyota Tundra is a full-size pickup truck manufactured in the US by the Japanese manufacturer Toyota since May 1999. The Tundra was eventually nominated for the North American Truck of the Year award and was Motor Trend magazine\'s Truck of the Year in 2000 and 2008. Currently the Tundra is assembled in San Antonio, Texas, USA where production was consolidated in 2008.\nThe first generation Tundra had many similarities with the older Toyota T100 and the compact Toyota Tacoma. The biggest of those similarities was the shared use of a 3.4-liter V6 engine which was the top of the line engine in both the Tacoma and T100. The V6 engine would serve as the base engine for the Tundra, while a second powerplant, a first for a Toyota truck, a V8 engine sized at 4.7-liters was added to the lineup.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Matti Blume',
Source: 'devexpress.com/carimage72',
},
{
ID: 19,
TrademarkName: 'Chevrolet',
TrademarkID: 18,
Name: 'Silverado 1500 Regular CAB 4WD',
Modification: 'LT Standard Box 4.8L V8 4A',
CategoryID: 3,
CategoryName: 'Truck',
Price: 33650,
MPGCity: 13,
MPGHighway: 18,
Doors: 2,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 8,
Horsepower: '302@5600',
Torque: '305@4600',
TransmissionSpeeds: 4,
TransmissionType: 1,
Description: 'The Chevrolet Silverado (along with its GMC counterpart, the GMC Sierra), is the latest line of full-size pickup trucks from General Motors.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'DestinationFearFan',
Source: 'devexpress.com/carimage19',
},
{
ID: 20,
TrademarkName: 'Ford',
TrademarkID: 2,
Name: 'F-150 Regular CAB 4X4',
Modification: '3.7L V6 6A',
CategoryID: 3,
CategoryName: 'Truck',
Price: 31900,
MPGCity: 16,
MPGHighway: 21,
Doors: 2,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 6,
Horsepower: '302@6500',
Torque: '278@4000',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The F-Series is a series of full-size pickup trucks from Ford Motor Company which has been sold continuously for over six decades. The most popular variant of the F-Series is the F-150. It was the best-selling vehicle in the United States for 17 years, currently (2007) the best-selling pick-up for 37 years, and the best selling vehicle in Canada, though this does not include combined sales of GM pick-up trucks. In the tenth generation of the F-series, the F-250 and F-350 changed body style in 1998 and joined the Super Duty series.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Alexander-93',
Source: 'devexpress.com/carimage73',
},
{
ID: 21,
TrademarkName: 'RAM',
TrademarkID: 19,
Name: '1500 Regular CAB 4X4',
Modification: 'SLT SWB 3.6L V6 8A',
CategoryID: 3,
CategoryName: 'Truck',
Price: 32825,
MPGCity: 16,
MPGHighway: 23,
Doors: 2,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 6,
Horsepower: '305@6350',
Torque: '269@4800',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The Ram (formerly the Dodge Ram) is a full-size pickup truck manufactured by the Chrysler Group LLC. As of 2010, it has been sold under the Ram Trucks brand. Previously, Ram was part of the Dodge lineup of light trucks. The name Ram was first used in 1981 on the redesigned Ram and Power Ram following the retiring and rebadging of the Dodge D Series pickup trucks as well as B-series vans. The truck is named for the Ram hood ornament that first appeared on Dodge vehicles in 1933. The Ram Truck is in its fourth generation as of the 2009 model year.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Ruben de Rijcke',
Source: 'devexpress.com/carimage74',
},
{
ID: 22,
TrademarkName: 'Toyota',
TrademarkID: 1,
Name: 'Camry',
Modification: 'XLE 3.5L V6 6AT',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 31260,
MPGCity: 21,
MPGHighway: 31,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '268@6200',
Torque: '248@4700',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Toyota Camry is a series of mid-size automobiles manufactured by Toyota since 1982, and sold in the majority of automotive markets throughout the world. Between 1980 and 1982, the \'\"Camry\"\" nameplate was delegated to a four-door sedan, known as the Toyota Celica Camry.\nThe name \"\"Camry\"\" is an Anglicized phonetic transcription of the Japanese word kanmuri, meaning \"\"crown\"\". This follows Toyota\'s naming tradition of using the crown name for primary models starting with the Toyota Crown in 1955, continuing with the Toyota Corona and Corolla; the Latin words for \"\"crown\"\" and \"\"small crown\"\", respectively. In Japan, it is exclusive to Toyota Corolla Store retail dealerships.\nAs of May 2012, the Camry is the best-selling passenger car in North America. The Camry also sells very well in Australia, and a number of Asian markets. Despite international success, the Camry has not sold as well in its home market Japan, where the only powertrain offered is a hybrid. In Europe, sales ended in 2004, where the similarly sized Toyota Avensis is offered instead.[4] For the East and Southeast Asian markets, high-specification Camry models are seen as executive cars. Since the XV30 series, the Camrys sold in these markets have sported revised front- and rear-end treatment. For the 2006 onwards XV40 version, the same was done, although the Australian-designed and Camry-derived Toyota Aurion (XV40) was the donor model. The Aurion features revised front- and rear-end styling and changes to the interior, but has the same powertrains as the Camry in various markets.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage25',
},
{
ID: 23,
TrademarkName: 'Nissan',
TrademarkID: 3,
Name: 'Altima',
Modification: 'SL 3.5L V6 VA',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 31350,
MPGCity: 22,
MPGHighway: 31,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '270@6400',
Torque: '251@4400',
TransmissionSpeeds: -1,
TransmissionType: 1,
Description: 'The Nissan Altima is a mid-size car manufactured by Nissan, and is a continuation of the Nissan Bluebird line, which began in 1957. The Altima primarily competes in the mainstream mid-size sedan class in the United States against its main rivals, the Toyota Camry and Honda Accord, managing to become the second best-selling car in the United States in 2011.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage26',
},
{
ID: 24,
TrademarkName: 'Honda',
TrademarkID: 4,
Name: 'Accord',
Modification: 'Ex-L V-6 6-Spd AT 3.5L V6 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 30860,
MPGCity: 21,
MPGHighway: 34,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '278@6200',
Torque: '252@4900',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Honda Accord is a series of automobiles manufactured by Honda since 1976, best known for its four-door sedan variant which has been one of the best-selling cars in the United States since 1989. The Accord nameplate has been applied to a variety of vehicles worldwide, including coupes, wagons, hatchbacks and a crossover.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 3.0',
Author: 'Gold Pony',
Source: 'devexpress.com/carimage27',
},
{
ID: 25,
TrademarkName: 'Audi',
TrademarkID: 5,
Name: 'A6',
Modification: '2.0L I4 VA',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 43095,
MPGCity: 25,
MPGHighway: 33,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 4,
Horsepower: '211@4300',
Torque: '258@1500',
TransmissionSpeeds: -1,
TransmissionType: 1,
Description: 'The Audi A6 is an executive car made by the German automaker Audi AG, now in its fourth generation. As the successor to the Audi 100, the A6 is manufactured in Neckarsulm, Germany – and is available in saloon and wagon configurations, the latter marketed by Audi as the Avant.\nAll generations of the A6 have offered either front-wheel drive or Torsen-based four-wheel drive – marketed by Audi as their Quattro system. Second- and third- generation A6 models have shared their platform with the company\'s Allroad models.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 4.0',
Author: 'OWS Photography',
Source: 'devexpress.com/carimage28',
},
{
ID: 26,
TrademarkName: 'Toyota',
TrademarkID: 1,
Name: 'Sienna',
Modification: 'LE 8 Passenger 3.5L V6 6A',
CategoryID: 4,
CategoryName: 'Minivan',
Price: 30980,
MPGCity: 18,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 4,
BodyStyleName: 'Passenger Van',
Cylinders: 6,
Horsepower: '266@6200',
Torque: '245@4700',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Toyota Sienna is a family minivan manufactured by Toyota at the Toyota Motor Manufacturing Indiana facility, in Princeton, Indiana, United States, for the North American market. It replaced the first-generation Previa van in 1997 with a more conventional front wheel drive layout and shares a heavily revised platform with the Camry. Both the Previa and original Sienna were smaller than the other minivans they competed against, but a redesign in 2004 increased the dimensions to match those of its competitors. The Sienna is currently the only minivan in its class to offer all-wheel-drive. It was redesigned a second time for the 2011 model year. The third generation Sienna was put on sale in the US in February 2010 and is the first Sienna to ever receive a \'\"Top Safety Pick\"\" award from the Insurance Institute for Highway Safety.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage15',
},
{
ID: 27,
TrademarkName: 'Honda',
TrademarkID: 4,
Name: 'Odyssey',
Modification: 'EX 3.5L V6 5A',
CategoryID: 4,
CategoryName: 'Minivan',
Price: 32655,
MPGCity: 18,
MPGHighway: 27,
Doors: 4,
BodyStyleID: 4,
BodyStyleName: 'Passenger Van',
Cylinders: 6,
Horsepower: '248@5700',
Torque: '250@4800',
TransmissionSpeeds: 5,
TransmissionType: 1,
Description: 'The Honda Odyssey is a minivan manufactured by Japanese automaker Honda since 1994, marketed worldwide, and now in its fourth generation in North America and Japan.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage16',
},
{
ID: 28,
TrademarkName: 'Dodge',
TrademarkID: 15,
Name: 'Grand Caravan',
Modification: 'SXT 3.6L V6 6A',
CategoryID: 4,
CategoryName: 'Minivan',
Price: 27690,
MPGCity: 17,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 4,
BodyStyleName: 'Passenger Van',
Cylinders: 6,
Horsepower: '283@6400',
Torque: '260@4400',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Dodge Caravan is a family minivan manufactured by Chrysler Group LLC and sold under its Dodge brand. The Caravan was introduced for the 1984 model year along with its nameplate variant, the Plymouth Voyager (1984-2001). In 1987, the Dodge Grand Caravan long-wheelbase (LWB) model was introduced and sold alongside the short-wheelbase (SWB) Caravan. The SWB model was discontinued after the 2007 model year; and, since the 2008 model year, the van has been sold only under the Grand Caravan nameplate.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Christopher Ziemnowicz',
Source: 'devexpress.com/carimage17',
},
{
ID: 29,
TrademarkName: 'Ford',
TrademarkID: 2,
Name: 'Taurus',
Modification: 'SHO AWD 3.5L V6 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 40095,
MPGCity: 17,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '365@5500',
Torque: '350@1500',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Ford Taurus is an automobile manufactured by the Ford Motor Company in the United States. Originally introduced in the 1986 model year, it has remained in near-continuous production for more than two decades, making it the fourth oldest nameplate that is currently sold in the North American Ford lineup. It has had a more upscale Mercury branded version entitled the Sable (1986–2005; 2008–2009), as well as a performance variant, the Ford Taurus SHO (1989–1999 and 2010–); in addition, it served as the basis for the first-ever front-wheel drive Lincoln Continental (1988–1994). It was a front-wheel drive mid-size car until 1999, and has been a full-size car since 2000, and available in front- or all-wheel drive since 2008. It has been built on the D3 platform since 2008.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Anonymousfox36',
Source: 'devexpress.com/carimage29',
},
{
ID: 30,
TrademarkName: 'Toyota',
TrademarkID: 1,
Name: 'Sequoia',
Modification: '2WD 5dr. SR5 5.7L V8',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 43450,
MPGCity: 13,
MPGHighway: 18,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '381@5600',
Torque: '401@3600',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Toyota Sequoia is a full size sport utility vehicle (SUV) manufactured by Toyota and derived from its Tundra pickup truck.\nIntroduced in 2000 and manufactured at Toyota Motor Manufacturing Indiana in Princeton, the Sequoia is the first vehicle from a Japanese marque in the popular mainstream full-sized SUV class in North America, and initial planning done by first-generation Sequoia chief engineer Kaoru Hosegawa aimed the Sequoia directly at the Ford Expedition, also competing with the Chevrolet Tahoe and the later Nissan Armada.\nThe Sequoia slots in above the 4Runner and below the premium Land Cruiser in the North American Toyota SUV lineup, and is the largest SUV currently being produced under the Toyota brand, with the only larger SUV in Toyota\'s history being the Mega Cruiser.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'deathpallie325',
Source: 'devexpress.com/carimage60',
},
{
ID: 31,
TrademarkName: 'Chevrolet',
TrademarkID: 18,
Name: 'Tahoe',
Modification: 'LS 2WD 5.3L V8 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 41400,
MPGCity: 15,
MPGHighway: 21,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '320@5400',
Torque: '335@4000',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Chevrolet Tahoe (and very similar GMC Yukon) are full-size SUVs from General Motors. Chevrolet and GMC sold two different-sized SUVs under their Blazer/Jimmy model names through the early 1990s. This situation changed when GMC rebadged the full-size Jimmy as the Yukon in 1992. Chevrolet waited until 1995 to rebadge the redesigned mid-size S-10 Blazer as the Blazer, renaming the full-size Blazer as the Tahoe. The Tahoe and Yukon gained a new 4-door model slotting in size between the 2-door models and the longer wheelbase and higher passenger capacity Chevrolet Suburban and newly named Yukon XL.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'HJUdall',
Source: 'devexpress.com/carimage61',
},
{
ID: 32,
TrademarkName: 'Ford',
TrademarkID: 2,
Name: 'Expedition',
Modification: 'XLT 4X2 5.4L V8 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 41600,
MPGCity: 14,
MPGHighway: 20,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '310@5100',
Torque: '365@3600',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Ford Expedition is a full-size SUV built by the Ford Motor Company. Introduced in 1996 for the 1997 model year as a replacement to the Ford Bronco, it was previously slotted between the smaller Ford Explorer and the larger Ford Excursion, but as of the 2005 model year, it is Ford\'s largest and last truck-based, off-road and tow-capable SUV. The Expedition is based heavily on the Ford F-150 pickup and continues to share various components (transmissions, electronics, chassis control systems, towing features, etc.) with the full-size half-ton pickup truck. Ford currently offers the standard regular-sized model and the longer EL/Max model, succeeding the Excursion which was discontinued in 2005.\nThe Expedition is the third Ford vehicle to use the \'\"Expedition\"\" name, as it was originally used on a 1992 concept vehicle, the F-150 Eddie Bauer Expedition. The name was subsequently and briefly used for one of the Explorer Sport (two door)\'s trim levels during the 1995 model year, before finding a home on the full-size SUV for the 1997 model year. All Expeditions were originally built in Wayne, Michigan. In 2009, Ford shifted its current third generation (2007–present) model production to Louisville, Kentucky when Ford converted the Wayne assembly plant to begin further production of the Focus. A fourth generation will arrive to dealers in either 2014 for the 2015 model year, or 2015 for the 2016 model year.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'Public Domain',
Author: 'Bull-Doser',
Source: 'devexpress.com/carimage62',
},
{
ID: 33,
TrademarkName: 'Mercedes-Benz',
TrademarkID: 10,
Name: 'G550',
Modification: '5.5L V8 7A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 113905,
MPGCity: 12,
MPGHighway: 15,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '388@6000',
Torque: '391@2800',
TransmissionSpeeds: 7,
TransmissionType: 1,
Description: 'The Mercedes-Benz G-Class or G-Wagen (as it was called from 1979 to 1994), short for Geländewagen (or cross-country vehicle), is a four-wheel drive vehicle / sport utility vehicle (SUV) produced by Steyr-Puch (now Magna Steyr) in Austria for German automaker Mercedes-Benz. The G-wagen is characterized by its boxy styling and body-on-frame construction. It uses three fully locking differentials, one of the few vehicles to have such a feature. Despite the introduction of an intended replacement, the unibody crossover SUV Mercedes-Benz GL-Class in 2006, the G-Class is still in production and is the longest produced Mercedes-Benz in Daimler\'s history, with a span of 32 years.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 3.0',
Author: 'Alekc2m',
Source: 'devexpress.com/carimage75',
},
{
ID: 34,
TrademarkName: 'Toyota',
TrademarkID: 1,
Name: 'Avalon',
Modification: 'XLE 3.5L V6 6AT',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 31785,
MPGCity: 21,
MPGHighway: 31,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '268@6200',
Torque: '248@4700',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Toyota Avalon is a full-size car produced by Toyota in the United States, and is the flagship sedan of Toyota in the United States, Canada, Puerto Rico and the Middle East. It was also produced in Australia from 2000 until July 2005 when it was replaced in November 2006 by the Toyota Aurion. The first Toyota Avalon rolled off the assembly line in Georgetown, Kentucky on February 21, 1994 as a 1995 model. A second-generation model was released in the United States and Japan in 1999. In 2000, the Toyota Avalon was the first Toyota model to feature a non-touch screen navigation system.\nToyota marketed the Avalon as filling the gap left by the discontinuation of the Toyota Cressida in the American market in 1992. While the Cressida was an upper-level midsize rear-wheel drive car with a straight-six engine, the Avalon is front-wheel drive, powered by a V6 engine. In recent years, there has been considerable overlapping with its platform mates, the Toyota Camry V6 and the Lexus ES, although the third generation Avalon was distinguished by offering extra legroom. For its fourth generation, the Avalon was introduced with a platform that is directly shared with the Lexus ES.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage30',
},
{
ID: 35,
TrademarkName: 'Audi',
TrademarkID: 5,
Name: 'S8',
Modification: '4.0L V8 8A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 110895,
MPGCity: 15,
MPGHighway: 26,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 8,
Horsepower: '520@6000',
Torque: '481@5500',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The Audi A8 is a four-door, full-size, luxury sedan car manufactured and marketed by the German automaker Audi since 1994. Succeeding the Audi V8, and now in its third generation, the A8 has been offered with both front- or permanent all-wheel drive—and in short- and long-wheelbase variants. The first two generations employed the Volkswagen Group D platform, with the current generation deriving the MLB platform. After the original model\'s 1994 release, Audi released the second generation in 2002, and the third and current iteration in 2009.\nNotable for being the first mass-market car with an aluminium chassis, all A8 models have utilised this construction method co-developed with Alcoa and marketed as the Audi Space Frame.\nA mechanically-upgraded, high-performance version of the A8 debuted in 1996 as the Audi S8. Produced exclusively at Audi\'s Neckarsulm plant, unlike the donor A8 model, the S8 has been available only in short-wheelbase form and is fitted standard with Audi\'s quattro all-wheel drive system.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Damian B Oh',
Source: 'devexpress.com/carimage31',
},
{
ID: 36,
TrademarkName: 'Nissan',
TrademarkID: 3,
Name: 'Maxima',
Modification: 'SV 3.5L V6 VA',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 34030,
MPGCity: 19,
MPGHighway: 26,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '290@6400',
Torque: '261@4400',
TransmissionSpeeds: -1,
TransmissionType: 1,
Description: 'The Nissan Maxima is an entry-level luxury car manufactured by Nissan, marketed as the \'\"four-door sports car\"\". The origins of the Maxima began in July 1976 as the Datsun 810, an upscale six-cylinder version of the Bluebird, and was spun into its own line in 1981, having been made continuously since then. The \"\"Maxima\"\" name was applied gradually, beginning in 1981. Most pre-2004 Maximas were built in Oppama, Japan, until the current North American Maximas started being assembled in Smyrna, Tennessee.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage32',
},
{
ID: 37,
TrademarkName: 'BMW',
TrademarkID: 6,
Name: '760li',
Modification: '6.0L V12 8A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 141625,
MPGCity: 13,
MPGHighway: 20,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 12,
Horsepower: '536@5250',
Torque: '550@1500',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The BMW 7 Series is a line of full-size luxury vehicles produced by the German automaker BMW. Introduced in 1977, it is BMW\'s flagship car and is only available as a sedan or extended-length limousine. The 7 Series traditionally introduces technologies and exterior design themes before they trickle down to smaller sedans in BMW\'s lineup.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage33',
},
{
ID: 38,
TrademarkName: 'Audi',
TrademarkID: 5,
Name: 'TT RS',
Modification: '2.5L I5 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 58095,
MPGCity: 18,
MPGHighway: 25,
Doors: 2,
BodyStyleID: 1,
BodyStyleName: 'Convertible',
Cylinders: 5,
Horsepower: '360@5500',
Torque: '343@1650',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Audi TT is a small two-door sports car marketed by Volkswagen Group subsidiary Audi since 1998, both assembled by the Audi subsidiary Audi Hungaria Motor Kft. in GyĹ‘r, Hungary, using bodyshells manufactured and painted at Audi\'s Ingolstadt plant.\nFor each of its two generations, the TT has been available as a 2+2 Coupé and as a two-seater roadster employing consecutive generations of the Volkswagen Group A platform, starting with the A4 (PQ34). As a result of this platform-sharing, the Audi TT has identical powertrain and suspension layouts as its related platform-mates; including a front-mounted transversely oriented engine, front-wheel drive or quattro four-wheel drive system, and fully independent front suspension using MacPherson struts.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 2.0 DE',
Author: 'Lothar Spurzem',
Source: 'devexpress.com/carimage02',
},
{
ID: 39,
TrademarkName: 'Audi',
TrademarkID: 5,
Name: 'Allroad',
Modification: '2.0L I4 8A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 40495,
MPGCity: 20,
MPGHighway: 27,
Doors: 4,
BodyStyleID: 8,
BodyStyleName: 'Wagon',
Cylinders: 4,
Horsepower: '211@4300',
Torque: '258@1500',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The Audi allroad quattro is an automotive nameplate used by the German automobile manufacturer Audi, a division of the Volkswagen Group since 1999. Audi has utilised the name \'\"allroad quattro\"\" to signify semi-offroad ability on two of its mainstream model lines.\nOriginally, the name \"\"Audi allroad quattro\"\" applied to a semi-offroad version of the Audi A6 Avant (wagon) in 1999. Audi retitled subsequent generations, as released in 2006 and 2012, as \"\"Audi A6 allroad quattro\"\".\nSince 2009, Audi has offered the \"\"Audi A4 allroad quattro\"\", based on the mainstream Audi A4 Avant (wagon).',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 2.0',
Author: 'AUDI AG',
Source: 'devexpress.com/carimage69',
},
{
ID: 40,
TrademarkName: 'BMW',
TrademarkID: 6,
Name: 'Z4 Sdrive35i',
Modification: '3.0L I6 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 56075,
MPGCity: 19,
MPGHighway: 26,
Doors: 2,
BodyStyleID: 1,
BodyStyleName: 'Convertible',
Cylinders: 6,
Horsepower: '300@5800',
Torque: '300@1400',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The BMW Z4 is a rear-wheel drive sports car by the German car maker BMW. It follows a line of past BMW roadsters such as the BMW Z1, BMW 507, BMW Z8, and the BMW Z3. The Z4 replaces the Z3. First generation production started in 2002 at BMW USA\'s Greer, South Carolina plant, with production of both roadster and coupe forms. When debuted, it won Automobile Magazine \'\"Design of the Year Award\"\". Starting with the 2009 model year, the second-generation Z4 is built at BMW\'s Regensburg, Germany plant as a retractable hardtop roadster. In 2009, the BMW Z4 won the Red Dot Design Award.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 2.0',
Author: 'Milestoned',
Source: 'devexpress.com/carimage03',
},
{
ID: 41,
TrademarkName: 'BMW',
TrademarkID: 6,
Name: 'M5',
Modification: '4.4L V8 7M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 91125,
MPGCity: 14,
MPGHighway: 20,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 8,
Horsepower: '560@6000',
Torque: '500@1500',
TransmissionSpeeds: 7,
TransmissionType: 2,
Description: 'The BMW M5 is a high performance version of the BMW 5-Series executive car built by the Motorsport division of BMW. Beginning production in 1985, the first incarnation of the M5 was hand-built utilizing the 535i chassis and a modified BMW M1 engine, being the fastest production sedan in the world at the time of its introduction. Subsequent iterations of the M5 have been built from each generation of the 5-Series platform, including the E34, E39, E60/E61, and most recently, F10, with the first orders delivered in late 2011.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 2.0',
Author: 'ilikewaffles11',
Source: 'devexpress.com/carimage34',
},
{
ID: 42,
TrademarkName: 'BMW',
TrademarkID: 6,
Name: 'X6',
Modification: '4.4L V8 8A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 71325,
MPGCity: 14,
MPGHighway: 20,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '400@5500',
Torque: '450@1750',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The BMW X6 is a mid-size luxury crossover released for sale in the second quarter of 2008 for the 2009 model year by German automaker BMW. The X6 was marketed as a Sports Activity Coupé (SAC) by BMW. It combines the attributes of an SUV (high ground clearance, all wheel drive and all-weather ability, large wheels and tires) with the stance of a coupé (bold styling, dramatic sloping roof).',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage64',
},
{
ID: 43,
TrademarkName: 'Subaru',
TrademarkID: 7,
Name: 'Impreza',
Modification: '2.0L H4 5M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 19165,
MPGCity: 25,
MPGHighway: 33,
Doors: 4,
BodyStyleID: 3,
BodyStyleName: 'Hatchback',
Cylinders: 4,
Horsepower: '148@6200',
Torque: '145@4200',
TransmissionSpeeds: 5,
TransmissionType: 2,
Description: 'The Subaru Impreza is a compact automobile, manufactured since 1992 by Subaru—the automobile division of Japanese transportation conglomerate, Fuji Heavy Industries (FHI). Subaru introduced the Impreza as a replacement for the Leone, with the Leone\'s EA series engines replaced by the newer EJ series versions.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'Guillaume Vachey',
Source: 'devexpress.com/carimage11',
},
{
ID: 44,
TrademarkName: 'Subaru',
TrademarkID: 7,
Name: 'Outback',
Modification: '3.6L H6 5A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 29290,
MPGCity: 18,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 8,
BodyStyleName: 'Wagon',
Cylinders: 6,
Horsepower: '256@6000',
Torque: '247@4400',
TransmissionSpeeds: 5,
TransmissionType: 1,
Description: 'The Subaru Outback is an automotive nameplate used by the Japanese automobile manufacturer Fuji Heavy Industries (FHI) since 1994. The \'\"Outback\"\" name has been utilized on two different Subaru branded vehicles. One of these models is based on the mid-sized Subaru Legacy and the other derived from the hatchback version of the Subaru Impreza. Named after the vast, remote, and arid outback regions in Australia—the name is intended to emphasize the moderate off-road capability of the vehicle.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage70',
},
{
ID: 45,
TrademarkName: 'Volkswagen',
TrademarkID: 8,
Name: 'Jetta',
Modification: 'SE 2.5L I5 5M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 19810,
MPGCity: 23,
MPGHighway: 33,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 5,
Horsepower: '170@5700',
Torque: '177@4250',
TransmissionSpeeds: 5,
TransmissionType: 2,
Description: 'The Volkswagen Jetta is a small family car produced by German automaker Volkswagen Group for the Volkswagen Passenger Cars marque since 1979. Positioned to fill a saloon/sedan niche above the firm\'s Golf hatchback offering, it has been marketed over six generations variously as the Atlantic, Fox, Vento, Bora, City Jetta, Jetta City, GLI, Jetta, and Sagitar.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage35',
},
{
ID: 46,
TrademarkName: 'Volkswagen',
TrademarkID: 8,
Name: 'Touareg',
Modification: 'TDI Sport 3.0L V6 8A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 48320,
MPGCity: 20,
MPGHighway: 29,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '240@4000',
Torque: '406@2000',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The Volkswagen Touareg is a mid-size crossover SUV produced by German automaker Volkswagen since 2002 at the Volkswagen Bratislava Plant. The vehicle was named after the Tuareg people, a Berber-speaking group in North Africa.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage65',
},
{
ID: 47,
TrademarkName: 'Volkswagen',
TrademarkID: 8,
Name: 'Golf',
Modification: '2.5l 2.5L I5 5M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 18890,
MPGCity: 23,
MPGHighway: 33,
Doors: 2,
BodyStyleID: 3,
BodyStyleName: 'Hatchback',
Cylinders: 5,
Horsepower: '170@5700',
Torque: '177@4250',
TransmissionSpeeds: 5,
TransmissionType: 2,
Description: 'The Volkswagen Golf is a subcompact car manufactured by German automaker Volkswagen since 1974, marketed worldwide across seven generations, in various body configurations and under various nameplates – as the Volkswagen Rabbit in the United States and Canada (Mk1 and Mk5), and as the Volkswagen Caribe in Mexico (Mk1).',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 2.0',
Author: 'Allie_Caulfield',
Source: 'devexpress.com/carimage12',
},
{
ID: 48,
TrademarkName: 'Mitsubishi',
TrademarkID: 9,
Name: 'Lancer',
Modification: 'GT 2.4L I4 5M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 20790,
MPGCity: 22,
MPGHighway: 31,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 4,
Horsepower: '168@6000',
Torque: '167@4100',
TransmissionSpeeds: 5,
TransmissionType: 2,
Description: 'The Mitsubishi Lancer is a compact car produced by the Japanese manufacturer Mitsubishi Motors since 1973. It has been known as the Colt Lancer, Dodge/Plymouth Colt, Chrysler Valiant Lancer, Chrysler Lancer, Eagle Summit, Hindustan Lancer, Soueast Lioncel, and Mitsubishi Mirage in various countries at different times, and has been sold as the Mitsubishi Galant Fortis in Japan since 2007. It has also been sold as Mitsubishi Lancer Fortis in Taiwan with a different facelift compared to Galant Fortis. In Japan, it was sold at a specific retail chain called Car Plaza.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 3.0',
Author: 'XD4rkxL1ghtx',
Source: 'devexpress.com/carimage36',
},
{
ID: 49,
TrademarkName: 'Mercedes-Benz',
TrademarkID: 10,
Name: 'Slk350',
Modification: '3.5L V6 7A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 56305,
MPGCity: 21,
MPGHighway: 29,
Doors: 2,
BodyStyleID: 1,
BodyStyleName: 'Convertible',
Cylinders: 6,
Horsepower: '302@6500',
Torque: '273@3500',
TransmissionSpeeds: 7,
TransmissionType: 1,
Description: 'The SLK is a compact roadster manufactured by Mercedes-Benz in three generations; R170 launched in 1996, the R171 in 2004 and R172 in 2011.\nAs one of the first modern retractable hardtop convertibles, the SLK followed the 1995 Mitsubishi 3000GT Spyder and preceded other retractable hardtops such as the Peugeot 206cc, Lexus SC, Pontiac G6 and the Chrysler Sebring. The SLK Vario-roof was first shown on the SLK II concept car at the 1994 Paris Motor Show. The car went on sale two years later in Europe, and in 1997 in the US. The SLK is built in Bremen, Germany.\nThe designation SLK derives from the company\'s design mission to create a roadster that was at once sporty, light and short — in German: Sportlich, Leicht und Kurz.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 2.0',
Author: 'Shadman Samee',
Source: 'devexpress.com/carimage04',
},
{
ID: 50,
TrademarkName: 'Mercedes-Benz',
TrademarkID: 10,
Name: 'S600',
Modification: '5.5L V12 5A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 161205,
MPGCity: 12,
MPGHighway: 19,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 12,
Horsepower: '510@5000',
Torque: '612@1800',
TransmissionSpeeds: 5,
TransmissionType: 1,
Description: 'The Mercedes-Benz W140 is a series of flagship vehicles that were manufactured by the German automotive company Mercedes-Benz. On November 16, 1990, Mercedes-Benz unveiled the W140 S-Class via press release, later appearing in several February and March editions of magazines. The W140 made its public debut at the Geneva Motor Show in March 1991, with the first examples rolling off the production line in April 1991 and North American examples on August 6, 1991. Short (SE) and long (SEL) wheelbase sedans were offered initially, as well as the coupé (SEC) body style from October 1992. Like all Mercedes-Benz lines, the W140 S-Class was rationalized in late 1993 using the new \'\"letter-first\"\" nomenclature. The SE, SEL, and SEC cars were renamed the S-Class, with alphanumerical designations inverted. For example, the 500 SE became the S 500, and the 500 SEL became the S 500 L. In 1996 the coupé models following a mid-life update were separated into the CL-Class. The W140 series S-Class was superseded by the W220 S-Class sedan and C215 CL-Class coupe in 1999 after an eight-year production run.\nMercedes-Benz built 432,732 examples of the 140 series,[6] comprising 406,710 sedans and 26,022 coupés.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 4.0',
Author: 'OWS Photography',
Source: 'devexpress.com/carimage37',
},
{
ID: 51,
TrademarkName: 'Mercedes-Benz',
TrademarkID: 10,
Name: 'Cls550',
Modification: '4.6L V8 7A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 72905,
MPGCity: 17,
MPGHighway: 25,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 8,
Horsepower: '402@5000',
Torque: '443@1800',
TransmissionSpeeds: 7,
TransmissionType: 1,
Description: 'The Mercedes-Benz CLS is an executive-size sedan originally launched in 2004 and based on the W211 E-Class and was internally designated as the W219. The second generation CLS-Class was introduced in September 2010 and production started in the beginning of 2011.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage38',
},
{
ID: 52,
TrademarkName: 'Mazda',
TrademarkID: 11,
Name: 'Mazda6',
Modification: '2.5L I4 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 21520,
MPGCity: 21,
MPGHighway: 30,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 4,
Horsepower: '170@6000',
Torque: '167@4000',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Mazda6 or Mazda 6 (known as the Mazda Atenza in China and Japan) is a large family car produced by the Japanese car manufacturer Mazda since 2002, now in its third generation. The Mazda6 has sold over one million units worldwide since its introduction, hitting this sales milestone faster than all previous Mazdas.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 2.0',
Author: 'Erik Drost',
Source: 'devexpress.com/carimage39',
},
{
ID: 53,
TrademarkName: 'Mazda',
TrademarkID: 11,
Name: 'Mx-5 Miata',
Modification: '2.0L I4 5M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 24515,
MPGCity: 22,
MPGHighway: 28,
Doors: 2,
BodyStyleID: 1,
BodyStyleName: 'Convertible',
Cylinders: 4,
Horsepower: '167@7000',
Torque: '140@5000',
TransmissionSpeeds: 5,
TransmissionType: 2,
Description: 'The MX-5, released as the MX-5 Miata in North America, and the Roadster in Japan, is a lightweight two-seater roadster with a front-engine, rear-wheel-drive layout. Manufactured by Mazda in Hiroshima, Japan, the model debuted in 1989 at the Chicago Auto Show. The MX-5 was conceived as a small roadster – with light weight and minimal mechanical complexity limited only by legal and safety requirements; technologically modern, but philosophically descending from small British and Italian roadsters of the 1960s such as the Triumph Spitfire, MG MGB, Fiat 124 Sport Spider, Alfa Romeo Spider, and Lotus Elan.\nThe second generation MX-5 (NB) was launched in 1998 and the current (NC) model has been in production since 2005. It continues to be the best-selling two-seat convertible sports car in history and by February 2011 over 900,000 MX-5s had been built and sold around the world.\nSince the launch of the third generation, Mazda consolidated worldwide marketing using the MX-5 name with the exception of North America where it is marketed as the MX-5 Miata. The name Miata derives from Old High German for reward.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'Public Domain',
Author: 'IFCAR',
Source: 'devexpress.com/carimage01',
},
{
ID: 54,
TrademarkName: 'KIA',
TrademarkID: 12,
Name: 'RIO',
Modification: 'EX 1.6L I4 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 17300,
MPGCity: 28,
MPGHighway: 36,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 4,
Horsepower: '138@6300',
Torque: '123@4850',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Kia Rio is a subcompact automobile manufactured and marketed by Kia Motors since August 2000 and now in its third generation. Body styles have included a five-door hatchback and four-door sedan body styles, equipped with inline-four gasoline and diesel engines, and front-wheel drive.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Jakub CA',
Source: 'devexpress.com/carimage40',
},
{
ID: 55,
TrademarkName: 'KIA',
TrademarkID: 12,
Name: 'Soul',
Modification: '2.0L I4 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 20700,
MPGCity: 23,
MPGHighway: 28,
Doors: 4,
BodyStyleID: 3,
BodyStyleName: 'Hatchback',
Cylinders: 4,
Horsepower: '164@6500',
Torque: '148@4800',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Kia Soul is a subcompact car designed at Kia\'s design center in California, unveiled at the 2008 Paris Motor Show, manufactured in South Korea and marketed globally beginning with model year 2010.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'Public Domain',
Author: 'US NHTSA',
Source: 'devexpress.com/carimage13',
},
{
ID: 56,
TrademarkName: 'Land Rover',
TrademarkID: 13,
Name: 'LR4',
Modification: '5.0L V8 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 49995,
MPGCity: 12,
MPGHighway: 17,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '375@6500',
Torque: '375@3500',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Land Rover Discovery is an offroad focused mid-size SUV, from the British car maker Land Rover. There have been four generations of the vehicle, which was first introduced in 1989. The current Discovery 4 is marketed in North America as the LR4.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 2.0',
Author: 'Land Rover MENA',
Source: 'devexpress.com/carimage66',
},
{
ID: 57,
TrademarkName: 'Land Rover',
TrademarkID: 13,
Name: 'Range Rover Supercharged',
Modification: '5.0L V8 8A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 99995,
MPGCity: 13,
MPGHighway: 19,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 8,
Horsepower: '510@6000',
Torque: '461@2500',
TransmissionSpeeds: 8,
TransmissionType: 1,
Description: 'The Range Rover is a large luxury four-wheel drive sport utility vehicle (SUV) flagship model produced by British car maker Land Rover, which is part of the Jaguar Land Rover group, a subsidiary of Tata Motors of India.\nThe model, launched in 1970, is now in its fourth generation. Range Rover is also being developed by Land Rover as its premium brand, and it is used as a brand name on two other models – the Range Rover Evoque and the Range Rover Sport.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'HJUdall',
Source: 'devexpress.com/carimage67',
},
{
ID: 58,
TrademarkName: 'Chrysler',
TrademarkID: 14,
Name: '200 Convertible',
Modification: 'S 3.6L V6 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 34015,
MPGCity: 19,
MPGHighway: 29,
Doors: 2,
BodyStyleID: 1,
BodyStyleName: 'Convertible',
Cylinders: 6,
Horsepower: '283@6400',
Torque: '260@4400',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Chrysler 200 is an entry-level luxury car produced by the American manufacturer Chrysler, introduced during the 2011 model year. It is an update and new nameplate for the outgoing 2010 Chrysler Sebring. The 200 name first appeared on a prototype hybrid vehicle shown at the 2009 North American International Auto Show in Detroit, called the 200C. The prototype was based on the Chrysler 300. While Chrysler\'s sales chief, Steven Landry, said it had been approved for production, CEO Sergio Marchionne later said it was not practical. The 200C concept was engineered to accept either a traditional gasoline engine, hybrid or electric powertrain.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Damian B Oh',
Source: 'devexpress.com/carimage05',
},
{
ID: 59,
TrademarkName: 'Dodge',
TrademarkID: 15,
Name: 'SRT Viper',
Modification: 'GTS 8.4L V10 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 122390,
MPGCity: 13,
MPGHighway: 18,
Doors: 2,
BodyStyleID: 2,
BodyStyleName: 'Coupe',
Cylinders: 10,
Horsepower: '640@6200',
Torque: '600@5000',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The SRT Viper (formerly the Dodge Viper prior to the 2013 model year) is a V10-powered sports car, manufactured by the Dodge (SRT after 2013) division of Chrysler. Production of the two-seat sports car began at New Mack Assembly in 1991 and moved to its current home at Conner Avenue Assembly in October 1995.\nThe Viper was initially conceived in late 1988 at Chrysler\'s Advanced Design Studios. The following February, Chrysler president Bob Lutz suggested to Tom Gale at Chrysler Design that the company should consider producing a modern Cobra, and a clay model was presented to Lutz a few months later. Produced in sheet metal by Metalcrafters, the car appeared as a concept at the North American International Auto Show in 1989. Public reaction was so enthusiastic that chief engineer Roy Sjoberg was directed to develop it as a standard production vehicle.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 2.0',
Author: 'Alden Jewell',
Source: 'devexpress.com/carimage07',
},
{
ID: 60,
TrademarkName: 'Dodge',
TrademarkID: 15,
Name: 'Challenger',
Modification: 'Srt8 6.4L V8 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 45190,
MPGCity: 14,
MPGHighway: 23,
Doors: 2,
BodyStyleID: 2,
BodyStyleName: 'Coupe',
Cylinders: 8,
Horsepower: '470@6000',
Torque: '470@4200',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Dodge Challenger is the name of three different generations of automobiles marketed by the Dodge division of Chrysler. The Dodge Silver Challenger was produced in 1959. From 1970 to 1974, the first generation Dodge Challenger pony car was built using the Chrysler E platform, sharing major components with the Plymouth Barracuda. The second generation, from 1978 to 1983, was a badge engineered Mitsubishi Galant Lambda. The third, and current generation, was introduced in 2008 as a rival to the evolved fifth generation Ford Mustang and the reintroduced fifth generation Chevrolet Camaro.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Calreyn88',
Source: 'devexpress.com/carimage08',
},
{
ID: 61,
TrademarkName: 'Dodge',
TrademarkID: 15,
Name: 'Charger',
Modification: 'SE RWD 3.6L V6 5A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 27290,
MPGCity: 18,
MPGHighway: 27,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '292@6350',
Torque: '260@4800',
TransmissionSpeeds: 5,
TransmissionType: 1,
Description: 'The Dodge Charger is an American automobile manufactured by the Dodge division of Chrysler. There have been several different Dodge vehicles, built on three different platforms and sizes, all bearing the Charger nameplate. The name is generally associated with a performance model in the Dodge range; however, it has also adorned subcompact hatchbacks, full-sized sedans, and personal luxury coupes.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Real Liquidstone',
Source: 'devexpress.com/carimage41',
},
{
ID: 62,
TrademarkName: 'Lexus',
TrademarkID: 16,
Name: 'RX 350',
Modification: '3.5L V6 6A',
CategoryID: 2,
CategoryName: 'Crossover & SUV',
Price: 41955,
MPGCity: 18,
MPGHighway: 24,
Doors: 4,
BodyStyleID: 7,
BodyStyleName: 'Sport Utility Vehicle',
Cylinders: 6,
Horsepower: '270@6200',
Torque: '248@4700',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Lexus RX is a crossover sport utility vehicle (SUV) sold since 1998 by Lexus, the luxury division of Toyota. Originally released in its home market of Japan in late 1997 as the Toyota Harrier, exports began in early 1998 as Lexus RX. Three generations of the Lexus RX have been produced to date, the first being compact in size, and the latter two classified as mid-size. Both front- and four-wheel drive configurations have been used on the RX series, and several gasoline powertrain options, including V6 engines and hybrid systems, have been offered. In the Lexus model lineup, the RX sits below the larger GX and LX body-on-frame SUVs, and remains the marque\'s only crossover model. The RX name stands for Radiant Crossover. It has also been labelled as \'\"Recreation Cross Country\"\" in some markets.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage68',
},
{
ID: 63,
TrademarkName: 'Lexus',
TrademarkID: 16,
Name: 'IS 350',
Modification: '3.5L V6 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 43675,
MPGCity: 19,
MPGHighway: 26,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 6,
Horsepower: '306@6400',
Torque: '277@4800',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Lexus IS is a series of entry-level luxury cars / compact executive cars sold by Lexus since 1998. The IS was introduced as an entry-level sport model slotted below the ES in the Lexus lineup (and outside of North America, the Lexus GS). The IS was originally sold under the Toyota Altezza nameplate in Japan (the word \'\"altezza\"\" is Italian for \"\"highness\"\") until the introduction of the Lexus brand and the second generation Lexus IS design in 2006. The Altezza name is still used at times to refer to chromed car taillights like those fitted to the first generation model, known as \'Altezza lights\' or \'Lexus-style\' lights.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Ethan Llamas',
Source: 'devexpress.com/carimage42',
},
{
ID: 64,
TrademarkName: 'Chevrolet',
TrademarkID: 18,
Name: 'Malibu',
Modification: 'LS 2.5L I4 6A',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 22805,
MPGCity: 22,
MPGHighway: 34,
Doors: 4,
BodyStyleID: 6,
BodyStyleName: 'Sedan',
Cylinders: 4,
Horsepower: '197@6300',
Torque: '191@4400',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The Chevrolet Malibu is a mid-size car produced by the American manufacturer General Motors (GM) from 1964 to 1983 and from 1997 to present. The Malibu began as a trim-level of the Chevrolet Chevelle, but became its own model line in 1978. Originally a rear-wheel-drive intermediate, GM revived the Malibu nameplate as a front-wheel-drive car in 1997. It is named after the city of Malibu, California.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 4.0',
Author: 'Dinkun Chen',
Source: 'devexpress.com/carimage43',
},
{
ID: 65,
TrademarkName: 'Chevrolet',
TrademarkID: 18,
Name: 'Camaro',
Modification: 'ZL1 6.2L V8 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 55250,
MPGCity: 14,
MPGHighway: 19,
Doors: 2,
BodyStyleID: 1,
BodyStyleName: 'Convertible',
Cylinders: 8,
Horsepower: '580@6000',
Torque: '556@4200',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Chevrolet Camaro is an automobile manufactured by General Motors under the Chevrolet brand, classified as a pony car and some versions also as a muscle car. It went on sale on September 29, 1966, for the 1967 model year and was designed as a competing model to the Ford Mustang. The car shared its platform and major components with the Pontiac Firebird, also introduced for 1967.\nFour distinct generations of the Camaro were developed before production ended in 2002. The nameplate was revived again on a concept car that evolved into the fifth-generation Camaro; production started on March 16, 2009.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 3.0',
Author: 'Noah Wulf',
Source: 'devexpress.com/carimage06',
},
{
ID: 66,
TrademarkName: 'Chevrolet',
TrademarkID: 18,
Name: 'Corvette Coupe',
Modification: 'ZR1 3ZR 6.2L V8 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 122595,
MPGCity: 14,
MPGHighway: 21,
Doors: 2,
BodyStyleID: 2,
BodyStyleName: 'Coupe',
Cylinders: 8,
Horsepower: '638@6500',
Torque: '604@3800',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Chevrolet Corvette is a sports car by the Chevrolet division of General Motors (GM) that has been produced in seven generations. The first model, a convertible, was designed by Harley Earl and introduced at the GM Motorama in 1953 as a concept show car. Myron Scott is credited for naming the car after the type of small, maneuverable warship called a corvette. Originally built in Flint, Michigan and St. Louis, Missouri, the Corvette is currently manufactured in Bowling Green, Kentucky and is the official sports car of the Commonwealth of Kentucky.\nA Corvette has been used as the Indianapolis 500 pace car 12 times.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY 4.0',
Author: 'OWS Photography',
Source: 'devexpress.com/carimage09',
},
{
ID: 67,
TrademarkName: 'RAM',
TrademarkID: 19,
Name: '3500 Regular CAB 4X4',
Modification: 'ST LWB 5.7L V8 6A',
CategoryID: 3,
CategoryName: 'Truck',
Price: 34370,
MPGCity: 0,
MPGHighway: 0,
Doors: 2,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 8,
Horsepower: '383@5600',
Torque: '400@4000',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: "",
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'HJUdall',
Source: 'devexpress.com/carimage22',
},
{
ID: 68,
TrademarkName: 'RAM',
TrademarkID: 19,
Name: '2500 Mega CAB 4X4',
Modification: 'SLT SWB 5.7L V8 6A',
CategoryID: 3,
CategoryName: 'Truck',
Price: 42460,
MPGCity: 0,
MPGHighway: 0,
Doors: 4,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 8,
Horsepower: '383@5600',
Torque: '400@4000',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: "",
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC0 1.0',
Author: 'HJUdall',
Source: 'devexpress.com/carimage23',
},
{
ID: 69,
TrademarkName: 'Ford',
TrademarkID: 2,
Name: 'F-350 SD Supercab 4X4',
Modification: '6.2L V8 6A',
CategoryID: 3,
CategoryName: 'Truck',
Price: 48050,
MPGCity: 0,
MPGHighway: 0,
Doors: 4,
BodyStyleID: 5,
BodyStyleName: 'Pickup',
Cylinders: 8,
Horsepower: '316@4179',
Torque: '397@4179',
TransmissionSpeeds: 6,
TransmissionType: 1,
Description: 'The F-Series is a series of full-size pickup trucks from Ford Motor Company which has been sold continuously for over six decades.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 3.0',
Author: 'Cristianv14',
Source: 'devexpress.com/carimage24',
},
{
ID: 70,
TrademarkName: 'Ford',
TrademarkID: 2,
Name: 'Mustang GT Coupe',
Modification: '5.0L V8 6M',
CategoryID: 1,
CategoryName: 'Passenger Car',
Price: 31545,
MPGCity: 15,
MPGHighway: 26,
Doors: 3,
BodyStyleID: 2,
BodyStyleName: 'Coupe',
Cylinders: 8,
Horsepower: '420@6500',
Torque: '390@4250',
TransmissionSpeeds: 6,
TransmissionType: 2,
Description: 'The Ford Mustang is an automobile manufactured by the Ford Motor Company. It was initially based on the platform of the second generation North American Ford Falcon, a compact car. Introduced early on April 17, 1964, and thus dubbed as a \'\"1964½\"\" model by Mustang fans, the 1965 Mustang was the automaker\'s most successful launch since the Model A. The Mustang has undergone several transformations to its current fifth generation.\nThe Mustang created the \"\"pony car\"\" class of American automobiles—sports car-like coupes with long hoods and short rear decks—and gave rise to competitors such as the Chevrolet Camaro, and Pontiac Firebird, AMC Javelin, as well as Chrysler\'s revamped Plymouth Barracuda and the first generation Dodge Challenger. The Mustang is also credited for inspiring the designs of coupés such as the Toyota Celica and Ford Capri, which were imported to the United States.',
DeliveryDate: false,
InStock: false,
Edits: 'Resize and crop',
LicenseName: 'CC BY-SA 3.0',
Author: 'Tobias \'\"ToMar\"\" Maier',
Source: 'devexpress.com/carimage10',
},
];
@Injectable()
export class Service {
getVehicles() {
return vehicles;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'openai': 'externals:openai.bundle.js',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.16.2/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.69/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"openai": {
"version": "4.73.1"
},
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
},
"@angular/core": {
"version": "22.1.0"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "6.0.3"
},
"zone.js": {
"version": "0.16.2"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.16.2/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>
import { AzureOpenAI, OpenAI } from 'openai';
import { Injectable } from '@angular/core';
import notify from 'devextreme/ui/notify';
import {
AIIntegration,
type RequestParams,
type Response,
} from 'devextreme-angular/common/ai-integration';
type AIMessage = (OpenAI.ChatCompletionUserMessageParam | OpenAI.ChatCompletionSystemMessageParam) & {
content: string;
};
const AzureOpenAIConfig = {
dangerouslyAllowBrowser: true,
deployment: 'demo-mini',
apiVersion: '2024-02-01',
endpoint: 'https://public-api.devexpress.com/demo-openai',
apiKey: 'DEMO',
};
const RATE_LIMIT_RETRY_DELAY_MS = 30000;
const MAX_PROMPT_SIZE = 5000;
const service = new AzureOpenAI(AzureOpenAIConfig);
async function getAIResponse(messages: AIMessage[], signal: AbortSignal) {
const params = {
messages,
model: AzureOpenAIConfig.deployment,
max_completion_tokens: 1000,
temperature: 0.7,
};
const response = await service.chat.completions.create(params, { signal });
const result = response.choices[0].message?.content;
if (!result) {
throw new Error('AI response returned empty content');
}
return result;
}
function getAIResponseRecursive(messages: AIMessage[], signal: AbortSignal): Promise<string> {
return getAIResponse(messages, signal)
.catch(async (error) => {
if (!error.message.includes('Connection error')) {
return Promise.reject(error);
}
notify({
message: 'Our demo AI service reached a temporary request limit. Retrying in 30 seconds.',
width: 'auto',
type: 'error',
displayTime: 5000,
});
await new Promise((resolve) => setTimeout(resolve, RATE_LIMIT_RETRY_DELAY_MS));
return getAIResponseRecursive(messages, signal);
});
}
const aiIntegration = new AIIntegration({
sendRequest({ prompt }: RequestParams): Response {
const isValidRequest = JSON.stringify(prompt.user).length < MAX_PROMPT_SIZE;
if (!isValidRequest) {
return {
promise: Promise.reject(new Error('Request is too long. Specify a shorter prompt.')),
abort: () => {},
};
}
const controller = new AbortController();
const signal = controller.signal;
if (!prompt.user || !prompt.system) {
throw new Error('Invalid prompt data');
}
const aiPrompt: AIMessage[] = [
{ role: 'system', content: prompt.system },
{ role: 'user', content: prompt.user },
];
const promise = getAIResponseRecursive(aiPrompt, signal);
const result: Response = {
promise,
abort: () => {
controller.abort();
},
};
return result;
},
});
@Injectable()
export class AiService {
getAiIntegration() {
return aiIntegration;
}
}
.category__wrapper {
display: inline-block;
padding: 2px 8px;
border-radius: 24px;
background-color: var(--dx-color-separator);
}
<div class="category__wrapper">
{{ category }}
</div>
import { Component, Input } from '@angular/core';
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'category',
templateUrl: `app/category/category.component.html`,
styleUrls: [`app/category/category.component.css`],
})
export class Category {
@Input() category!: string;
}
<p>
<b>Image licensed under: </b>
<span>{{ vehicle.LicenseName }}</span>
</p>
<p>
<b>Author: </b>
<span>{{ vehicle.Author }}</span>
</p>
<p>
<b>Source link: </b>
<a [href]="vehicleLink" target="_blank">{{ vehicleLink }}</a>
</p>
<p>
<b>Edits: </b>
<span>{{ vehicle.Edits }}</span>
</p>
import { Component, Input } from '@angular/core';
import { Vehicle } from '../app.service';
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'license-info',
templateUrl: `app/license-info/license-info.component.html`,
})
export class LicenseInfo {
vehicleLink = '';
@Input() vehicle!: Vehicle;
ngOnChanges(): void {
this.vehicleLink = `https://${this.vehicle.Source}`;
}
}
.trademark__wrapper {
display: flex;
align-items: center;
gap: 8px;
}
.trademark__img-wrapper {
width: 40px;
height: 40px;
border: var(--dx-border-width) solid var(--dx-color-border);
border-radius: var(--dx-border-radius);
cursor: pointer;
}
.trademark__img-wrapper img {
width: 100%;
height: 100%;
object-fit: cover;
object-position: center;
border-radius: var(--dx-border-radius);
}
.trademark__text-wrapper {
width: calc(100% - 48px);
}
.trademark__text {
margin: 0;
padding: 0;
white-space: nowrap;
overflow: hidden;
text-overflow: ellipsis;
}
.trademark__text--title {
font-weight: 600;
}
.trademark__text--subtitle {
font-weight: 400;
}
<div class="trademark__wrapper">
<div class="trademark__img-wrapper">
<img
class="trademark__img"
src="../../../../images/vehicles/image_{{ id }}.png"
alt="{{ trademarkName }} {{ name }}"
(click)="showInfo.emit()"
(keydown)="onKeyDown($event)"
role="button"
tabindex="0"
[attr.aria-haspopup]="'dialog'"
[attr.aria-label]="
trademarkName + ' ' + name + ' - press Enter for image info'
"
/>
</div>
<div class="trademark__text-wrapper">
<div class="trademark__text trademark__text--title">{{
trademarkName
}}</div>
<div class="trademark__text trademark__text--subtitle">{{ name }}</div>
</div>
</div>
import { Component, EventEmitter, Input, Output } from '@angular/core';
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'trademark',
templateUrl: `app/trademark/trademark.component.html`,
styleUrls: [`app/trademark/trademark.component.css`],
})
export class Trademark {
@Input() id!: number;
@Input() name!: string;
@Input() trademarkName!: string;
@Output() showInfo = new EventEmitter<void>();
onKeyDown = (event: KeyboardEvent) => {
if (event.key === 'Enter') {
this.showInfo.emit();
}
};
}